Fri, 31 Jan 2020 11:02:47 +0000
Author : Robert Osfield
Updates for 3.6.5 release

Fri, 31 Jan 2020 10:37:25 +0000
Author : Robert Osfield
Added mutex lock to avoid threading issues when glyphs are added to a Font from multiple threads

Thu, 30 Jan 2020 19:25:50 +0000
Author : Robert Osfield
Updates for 3.6.5-rc3

Thu, 30 Jan 2020 16:30:41 +0000
Author : OpenSceneGraph git repository
Merge pull request #911 from LaurensVoerman/FbxSdkFixFix for older versions of fbxsdk without xml or zlib libraries,

Thu, 30 Jan 2020 16:21:32 +0000
Author : Robert Osfield
Added explicit clean up removeView

Thu, 30 Jan 2020 16:32:42 +0100
Author : Laurens Voerman
Fix for older versions of fbxsdk without xml or zlib libraries, fix cmake multiconfig generators (msvc) with irrelevant CMAKE_BUILD_TYPE.

Mon, 27 Jan 2020 10:11:23 +0000
Author : OpenSceneGraph git repository
Merge pull request #907 from DeadParrot/OpenSceneGraph-3.6FBX plugin updates / PREFIX-NOTFOUND work-around

Sun, 26 Jan 2020 14:28:56 -0500
Author : Stuart Mentzer
FBX plugin updates / PREFIX-NOTFOUND work-around

Tue, 21 Jan 2020 10:11:30 +0000
Author : Robert Osfield
Updater rc number for 3.6.5-rc2, and CHangeLog

Tue, 21 Jan 2020 09:43:08 +0000
Author : Robert Osfield
Removed stray space

Tue, 21 Jan 2020 09:32:57 +0000
Author : OpenSceneGraph git repository
Merge pull request #902 from mp3butcher/oqn3.6 OQN API convergence 

Tue, 21 Jan 2020 09:16:51 +0000
Author : OpenSceneGraph git repository
Merge pull request #903 from dedowsdi/renderstageAdd getPreRenderList, getPostRenderList to RenderStage.

Fri, 17 Jan 2020 18:47:49 +0800
Author : dedowsdi
Add getPreRenderList getPostRenderList to RenderStage.

Fri, 23 Aug 2019 09:59:54 +0200
Author : Daniel Trstenjak
OcclusionQueryNode: make all usages of 'updateDefaultQueryGeometry' thread safe

Fri, 23 Aug 2019 09:46:02 +0200
Author : Daniel Trstenjak
OcclusionQueryNode: fix resetting to default query geometryWhen the query geometry gets reset to its default then its
vertices have to be updated by the bounding box dimensions of
the current children of the OcclusionQueryNode.


Wed, 14 Aug 2019 11:27:40 +0200
Author : Daniel Trstenjak
OcclusionQueryNode: fix use case of user defined query geometryThe user defined query geometry handling has been broken in several ways.

The previous way of defining a query geometry was using the non const
`getQueryGeometry` method and overriding its members. But then
`OcclusionQueryNode` wasn't aware of the geometry change and couldn't
internally handle it correctly.

The `computeBound` method never considered a user defined query geometry and
always just overrode the vertices of the geometry.

The member `_validQueryGeometry` wasn't correctly set.

This change should fix all this issues by introducing a small backward
compatibility break. The non const `getQueryGeometry` method is removed
forcing the user to use the `setQueryGeometry` method. But then `OcclusionQueryNode`
is aware of the user defined query geometry and can handle it correctly.


Tue, 29 Jan 2019 14:40:16 +0100
Author : Daniel Trstenjak
OcclusionQueryNode: reset the test result of the invalid geometryThere're cases that the occlusion test result has been retrieved
after the query geometry has been changed, it's the result of the
geometry before the change.


Tue, 29 Jan 2019 11:37:28 +0100
Author : Daniel Trstenjak
OcclusionQueryNode: ensure a valid query geometryIf the query geometry is invalid then don't do any occlusion queries and
never traverse the subgraphs.


Fri, 25 Jan 2019 15:02:45 +0100
Author : Daniel Trstenjak
OcclusionQueryNode: ensure a consistent value for '_passed'

Sat, 26 Jan 2019 16:33:23 +0000
Author : Robert Osfield
Introduced a QueryGeometry::getQueryResult(const osg::Camera*) method as a more informative replacedment for QueryGeometry::getNumPixels().

Mon, 20 Jan 2020 10:37:12 +0000
Author : OpenSceneGraph git repository
Merge pull request #900 from dedowsdi/fix_particle_rotationFix particle rotation.

Fri, 17 Jan 2020 11:18:30 +0800
Author : dedowsdi
Fix particle rotation.

Fri, 17 Jan 2020 09:28:09 +0000
Author : Robert Osfield
Updated ChangeLog

Fri, 17 Jan 2020 09:07:58 +0000
Author : Robert Osfield
Moved setting of isftream locale to Model::readOBJ(..) and Model::readMTL(..).

Fri, 17 Jan 2020 08:54:52 +0000
Author : Robert Osfield
Added explict setting of local to classic to avoid local platform settings affecting parsing

Tue, 14 Jan 2020 16:32:29 +0000
Author : Robert Osfield
Updated README.md for 3.6.5-rc1

Tue, 14 Jan 2020 16:30:14 +0000
Author : Robert Osfield
Updated ChangeLog and set rc candidate 1 for 3.6.5-rc1

Tue, 14 Jan 2020 16:29:07 +0000
Author : Robert Osfield
Fixed warnings

Tue, 14 Jan 2020 14:57:15 +0000
Author : Robert Osfield
Fixed build warning due to auto_ptr<>

Tue, 14 Jan 2020 14:42:01 +0000
Author : Robert Osfield
Fixed workaround for invalid indices

Mon, 13 Jan 2020 14:14:48 +0000
Author : OpenSceneGraph git repository
Merge pull request #895 from openscenegraph/CurrentThreadIdAdded commment explaining that OpenThreads::Thread::CurrentThread() r…

Mon, 13 Jan 2020 14:12:54 +0000
Author : Robert Osfield
Added commment explaining that OpenThreads::Thread::CurrentThread() return NULL on non OpenThreads thread.

Mon, 13 Jan 2020 13:41:37 +0000
Author : Robert Osfield
Added support for using CurrentCodePage functionality with osgText::String To the DXF plugin added Option string support for using CurrentCodePage|WidePage, UTF8, UTF16, UTF32 and FontFile=filename

Mon, 13 Jan 2020 09:58:47 +0000
Author : Robert Osfield
Added encoding and font setting to dxfText as a first step towards making these user controllable to enble handling of non default settings

Sat, 11 Jan 2020 14:39:46 +0000
Author : Robert Osfield
Added creation of image directories when required

Fri, 10 Jan 2020 10:12:13 +0000
Author : Robert Osfield
Fixed handling of _autoScaleTransitionWidthRatio<=0.0

Tue, 7 Jan 2020 11:12:18 +0000
Author : Robert Osfield
Implemented TextBase::compileGLObjects() with handling of VAO/VBOs to address bugs associated with VAO usage of Text.

Mon, 6 Jan 2020 18:39:51 +0000
Author : Robert Osfield
Added Thread::CurrentThreadId() method to wrap up thread id functionality in a more platform appropriate way.

Mon, 6 Jan 2020 10:27:18 +0000
Author : OpenSceneGraph git repository
Merge pull request #887 from limbolily/patch-1Fix navagation error about Android GLES2 example.

Mon, 6 Jan 2020 14:48:34 +0800
Author : limbolily
Fix navagation error about Android GLES2 example.Android GLES2 example use event queue without initializing window rectangle with graphics context,that produce navigation error.

Mon, 23 Dec 2019 14:20:26 +0100
Author : Michael Danilov
Fix #877 "Shift key stuck if both shifts switch keymap"Adapted the patch from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=687332


Mon, 23 Dec 2019 14:53:17 +0000
Author : Robert Osfield
Adopted CMake's FindDCMTK.cmake variables

Sun, 22 Dec 2019 12:29:47 +0000
Author : OpenSceneGraph git repository
Merge pull request #874 from blobfish/occt7.4Occt7.4

Thu, 19 Dec 2019 11:46:05 -0500
Author : blobfish
Plugins: OpenCasCade: Adding 'std' prefix where needed. See Following.Prior to 7.4, occt had a 'using namespace std' in a header file that
was polluting dependent projects. They have since fixed it and so these
changes are required.


Thu, 19 Dec 2019 10:16:09 -0500
Author : blobfish
Plugins: Cmake: OpenCasCade: Changing header used for include directory search. See Following.BRepMesh.hxx is gone in occt 7.4. Now searching for Standard_Version.hxx, which should be more consistent.


Wed, 18 Dec 2019 14:25:07 +0000
Author : Robert Osfield
Added classic locale setting to avoid local setting of locale affecting the GLSL code generated.

Mon, 16 Dec 2019 17:10:39 +0000
Author : Robert Osfield
Updated ChangeLog

Mon, 16 Dec 2019 16:51:16 +0000
Author : Robert Osfield
Added automatically removal from the OjbectCache when a object or it's subgraph contain Texture that no longer have an osg::Image.

Mon, 16 Dec 2019 11:54:12 +0000
Author : OpenSceneGraph git repository
Merge pull request #871 from LaurensVoerman/commit_tgaFixfix debug compile error for ReaderWriterTGA

Mon, 16 Dec 2019 11:02:41 +0100
Author : Laurens Voerman
fix debug compile error for ReaderWriterTGA

Mon, 16 Dec 2019 09:40:30 +0000
Author : OpenSceneGraph git repository
Merge pull request #870 from eligovision/OpenSceneGraph-3.6_glext_fixGLExtensions's isPBOSupported and isVAOSupported flags fixed

Mon, 16 Dec 2019 09:40:00 +0000
Author : OpenSceneGraph git repository
Merge pull request #869 from eligovision/OpenSceneGraph-3.6_glextAdded FBO GL extensions (useful for mobile VR etc.)

Fri, 13 Dec 2019 19:40:11 +0300
Author : konstantin.matveyev
GLExtensions's isPBOSupported and isVAOSupported flags fixed for GLES2+GLES3 configuration

Fri, 13 Dec 2019 19:42:30 +0300
Author : konstantin.matveyev
GLExtensions's isInvalidateFramebufferSupported flag improved

Tue, 26 Nov 2019 17:17:38 +0800
Author : PntAndCnt
Fontconfig should be external library.Add Fontconfig to TARGET_LIBRARIES cause osg3::osgText target looking for
openscegraph-Fontconfig-import-targets.cmake, which doesn't exists.


Sun, 13 Oct 2019 20:24:36 +0800
Author : PntAndCnt
Fix a typo and invisible 3dtext in examples/osgtext.Second text alignment is wrong when "--alignment" specified.

3D text radius is too small, only SCREEN_COORDS can be seen.

Text position should multiply radius.


Tue, 3 Sep 2019 16:11:14 +0800
Author : Kent
Mered fix for internalFormat

Thu, 12 Dec 2019 18:41:23 +0300
Author : valid-ptr
glInvalidateFramebuffer added to GLExtensions

Thu, 31 Oct 2019 18:59:04 +0300
Author : konstantin.matveyev
glFramebufferTexture2DMultisample added to GLExtensions

Tue, 10 Dec 2019 15:08:25 +0300
Author : Dmitry Marakasov
Add FreeBSD-specific code bits for pthread_setaffinity_np support

Thu, 12 Dec 2019 13:25:44 +0000
Author : Robert Osfield
Fix linking with Xinerama

Thu, 12 Dec 2019 13:09:33 +0000
Author : OpenSceneGraph git repository
Merge pull request #861 from aluaces/default-ffmpegSet ffmpeg as the default plugin for video files.

Fri, 22 Nov 2019 21:07:36 +0100
Author : elsid
Fix clang 8 & libc++ build errorsReplace operators for implicit type conversion by explicit data() method to
access implementation pointer and subscript operator to access element by
index just like in std::vector.

src/osgPlugins/tga/ReaderWriterTGA.cpp:455:22: error: use of overloaded operator '==' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'long')
        if (colormap == NULL)
            ~~~~~~~~ ^  ~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:525:16: error: use of overloaded operator '==' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'long')
    if (buffer == NULL || linebuf == NULL)
        ~~~~~~ ^  ~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:525:35: error: use of overloaded operator '==' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'long')
    if (buffer == NULL || linebuf == NULL)
                          ~~~~~~~ ^  ~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:548:30: error: use of overloaded operator '==' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'long')
            if (formattedMap == NULL)
                ~~~~~~~~~~~~ ^  ~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:574:40: error: use of overloaded operator '[]' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                        index = linebuf[x];
                                ~~~~~~~^~
src/osgPlugins/tga/ReaderWriterTGA.cpp:577:50: error: use of overloaded operator '+' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                        index = getInt16(linebuf + x * 2);
                                         ~~~~~~~ ^ ~~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:580:50: error: use of overloaded operator '+' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                        index = getInt24(linebuf + x * 3);
                                         ~~~~~~~ ^ ~~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:583:50: error: use of overloaded operator '+' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                        index = getInt32(linebuf + x * 4);
                                         ~~~~~~~ ^ ~~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:592:72: error: use of overloaded operator '+' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                        (dest + adjustedX * format)[i] = (formattedMap + index * format)[i];
                                                          ~~~~~~~~~~~~ ^ ~~~~~~~~~~~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:626:30: error: use of overloaded operator '==' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'long')
            if (formattedMap == NULL)
                ~~~~~~~~~~~~ ^  ~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:642:21: error: use of overloaded operator '==' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'long')
            if (buf == NULL)
                ~~~ ^  ~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:664:44: error: use of overloaded operator '[]' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                            index = linebuf[x];
                                    ~~~~~~~^~
src/osgPlugins/tga/ReaderWriterTGA.cpp:667:54: error: use of overloaded operator '+' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                            index = getInt16(linebuf + x * 2);
                                             ~~~~~~~ ^ ~~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:670:54: error: use of overloaded operator '+' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                            index = getInt24(linebuf + x * 3);
                                             ~~~~~~~ ^ ~~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:673:54: error: use of overloaded operator '+' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                            index = getInt32(linebuf + x * 4);
                                             ~~~~~~~ ^ ~~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:688:76: error: use of overloaded operator '+' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'int')
                            (dest + adjustedX * format)[i] = (formattedMap + index * format)[i];
                                                              ~~~~~~~~~~~~ ^ ~~~~~~~~~~~~~~
src/osgPlugins/tga/ReaderWriterTGA.cpp:708:21: error: use of overloaded operator '==' is ambiguous (with operand types 'SafeArray<unsigned char>' and 'long')
            if (buf == NULL)
                ~~~ ^  ~~~~
17 errors generated.


Thu, 12 Dec 2019 10:55:35 +0000
Author : OpenSceneGraph git repository
Fixed indentation, replacing tabs with spaces

Mon, 4 Nov 2019 05:37:37 +0100
Author : Tim Moore
Fix bug in matrix transpose() and transpose3x3The diagonal elements were not copied from the source matrix.


Fri, 1 Nov 2019 09:26:28 -0700
Author : flashk
Support reading RGB float DDS imagesThe DDS plugin is not able to load floating point RGB images saved out by itself. There doesn't appear to be a fourcc code for RGB float/half-float data, so I added the appropriate entries to the RGBFormat table so the images can be loaded properly.

Thu, 12 Dec 2019 10:08:32 +0000
Author : OpenSceneGraph git repository
Merge pull request #851 from LaurensVoerman/submitCpSubImgfix copySubImage crash on compressed files

Wed, 25 Sep 2019 12:16:51 -0500
Author : DCFennell
GL_CLAMP_VERTEX_COLOR and GL_CLAMP_FRAGMENT_COLOR deprecated in GL core profile according to OpenGL 4.5 specification.

Mon, 23 Sep 2019 15:05:54 +0200
Author : Johannes Pabst
Fix: LuaCallbackObject could form circular references to LuaScriptEngine that prevented its destruction. Destruction of LuaScriptEngine now disarms all callbacks into Lua.

Fri, 13 Sep 2019 12:50:29 +0200
Author : Riccardo Corsi
Fbx Plugin: added plugin option to set the target axis system. Default left to OpenGL.

Thu, 12 Sep 2019 13:54:28 -0700
Author : grdowns
Add vcpkg installation instructions

Wed, 11 Dec 2019 17:51:02 +0000
Author : OpenSceneGraph git repository
Merge pull request #837 from LaurensVoerman/carbonFixfix apple carbon reference

Wed, 11 Dec 2019 17:07:27 +0000
Author : OpenSceneGraph git repository
Merge pull request #833 from cj-mcdonald/osga-fixUpdate ReaderWriterOSGA.cpp

Fri, 30 Aug 2019 16:48:25 +0200
Author : Guilhem Saurel
fix dae readme

Wed, 11 Dec 2019 16:58:50 +0000
Author : OpenSceneGraph git repository
Merge pull request #828 from eligovision/OpenSceneGraph-3.6_ios_build_fixFix build iOS: when using Toolchain or building with Makefiles (not X…

Wed, 11 Dec 2019 16:47:44 +0000
Author : OpenSceneGraph git repository
Merge pull request #822 from mp3butcher/patch-32optimize indexed color DDS conversion

Wed, 4 Dec 2019 22:10:46 +0100
Author : Alberto Luaces
Set ffmpeg as the default plugin for video files.As xine is not used anymore, there is no plugin in charge of loading
video files, and osgmovie and other programs are not able to open
them.

If ffmpeg is present, it is registered for opening video files.


Fri, 1 Nov 2019 16:42:50 +0100
Author : Laurens Voerman
fix copySubImage crash on compressed files

Wed, 11 Sep 2019 10:22:16 +0200
Author : Laurens Voerman
fix apple carbon reference

Mon, 2 Sep 2019 17:43:38 +0100
Author : Colin McDonald
Update ReaderWriterOSGA.cppFix typo in osga archives which stops node files working

Fri, 23 Aug 2019 18:31:22 +0300
Author : Konstantin S. Matveyev
Fix build iOS: when using Toolchain or building with Makefiles (not Xcode)

Sun, 18 Aug 2019 17:56:51 +0200
Author : Julien Valentin
use memcpy instead of union

Sat, 17 Aug 2019 22:05:38 +0200
Author : Julien Valentin
optimize conversion with a union

Thu, 22 Aug 2019 14:49:43 +0100
Author : Robert Osfield
Removed exlict keyword to address build problems with VS older than 2015.

Sun, 18 Aug 2019 20:14:17 +0200
Author : Remo E
Debugging: Hint to debug LoadLibrary issuesThis helps to debug loading dynamic libraries in an environment without implemented "dlopen". For example emscripten with static compiled OSG.

Sat, 17 Aug 2019 20:04:38 +0100
Author : Robert Osfield
Merge branch 'OpenSceneGraph-3.6' of https://github.com/openscenegraph/OpenSceneGraph into OpenSceneGraph-3.6

Sat, 17 Aug 2019 20:04:30 +0100
Author : OpenSceneGraph git repository
Merge pull request #820 from Capostrophic/ddsDDS plugin: add support for DDPF_PALETTEINDEXED8 pixel format reading

Fri, 16 Aug 2019 13:52:56 +0200
Author : Björn Blissing
Fixed spelling error in warning message

Sat, 17 Aug 2019 15:11:49 +0300
Author : capostrophic
Fix memory leaks

Sat, 17 Aug 2019 01:43:47 +0300
Author : capostrophic
Add support for DDPF_PALETTEINDEXED8 pixel format reading

Fri, 16 Aug 2019 10:27:28 +0100
Author : Robert Osfield
Added TKXCAF to find package list

Thu, 15 Aug 2019 20:21:15 +0200
Author : Julien Valentin
remove return of local pointer

Fri, 16 Aug 2019 09:35:00 +0100
Author : OpenSceneGraph git repository
Merge pull request #818 from mp3butcher/patch-31fix comment block CMake syntax

Thu, 15 Aug 2019 20:46:52 +0200
Author : Julien Valentin
fix cmake block comment syntax

Thu, 15 Aug 2019 20:27:05 +0200
Author : Julien Valentin
remove unproperly parsed CMake commenthttps://github.com/openscenegraph/OpenSceneGraph/issues/812

Wed, 7 Aug 2019 10:56:59 +0100
Author : OpenSceneGraph git repository
Merge pull request #808 from 640kb/OpenSceneGraph-3.6las plugin: fix linking against static boost library under windows

Wed, 7 Aug 2019 09:49:16 +0200
Author : Daniel Wendt
las plugin: fix linking against static boost library under windowsSigned-off-by: Daniel Wendt <daniel.wendt@linux.com>


Wed, 31 Jul 2019 14:11:59 +0100
Author : Robert Osfield
Added a _fontFallback to TextBase to cache any fallback font (usually DefaultFont) that is used when the Textbase::_font is null.

Mon, 29 Jul 2019 13:01:00 +0100
Author : Robert Osfield
Replaced GL_QUADS usage with GL_TRIANGLE_STRIP

Mon, 29 Jul 2019 12:29:25 +0100
Author : Robert Osfield
Refactored the mesh setup to use GL_TRIANGLE_STIP instead of GL_QUADS

Mon, 29 Jul 2019 09:59:57 +0100
Author : Robert Osfield
Updated version to 3.6.5

Mon, 29 Jul 2019 08:57:56 +0100
Author : OpenSceneGraph git repository
Merge pull request #804 from eligovision/OpenSceneGraph-3.6_GLQUADS[*] ParticleSystem: Use GL_TRIANGLES instead if GL_QUADS when GL{1,2}…

Fri, 26 Jul 2019 21:14:45 +0300
Author : Konstantin S. Matveyev
[*] ParticleSystem: Use GL_TRIANGLES instead if GL_QUADS when GL{1,2} or GLES1 are unavailable

Fri, 26 Jul 2019 12:54:16 +0100
Author : OpenSceneGraph git repository
Merge pull request #802 from eligovision/OpenSceneGraph-3.6_osgtext_fcOSG_TEXT_USE_FONTCONFIG cmake option added: Set to ON to enable attem…

Fri, 26 Jul 2019 14:40:47 +0300
Author : konstantin.matveyev
OSG_TEXT_USE_FONTCONFIG additional check needed

Fri, 26 Jul 2019 14:09:36 +0300
Author : konstantin.matveyev
OSG_TEXT_USE_FONTCONFIG cmake option added: Set to ON to enable attempt to use FontConfig in osgText; Disabled by default for iOS and Android

Thu, 25 Jul 2019 15:10:36 +0100
Author : Robert Osfield
UPdated for 3.6.3-rc9

Thu, 25 Jul 2019 14:58:17 +0100
Author : Robert Osfield
Changed the #extension enable

Thu, 25 Jul 2019 14:10:01 +0100
Author : Robert Osfield
Change the DefaultFont so that it's managemed via the ObjectCache to enabl it to be release and cleared in a central manner. Added call to Registry::releaseGLObjects() to osgViewer/Renderer.cpp to enable automatic clean up of objects in the ObjectCache.

Thu, 25 Jul 2019 12:48:21 +0100
Author : Robert Osfield
Added readObject() implementations

Thu, 25 Jul 2019 10:39:34 +0100
Author : Robert Osfield
Added ReaderWriterOBJ::readObject(..) implementations to address issue with using osgconv

Mon, 22 Jul 2019 19:22:16 +0100
Author : Robert Osfield
Updates for 3.6.4-rc8

Mon, 22 Jul 2019 17:20:10 +0100
Author : Robert Osfield
Added handling of iOS and Android to make sure FontConfig is only used for Desktop builds

Fri, 19 Jul 2019 09:20:50 +0100
Author : Robert Osfield
Updated for rc7

Fri, 19 Jul 2019 09:10:02 +0100
Author : OpenSceneGraph git repository
Merge pull request #797 from wangii/OpenSceneGraph-3.6 fix u64 and i64 allocation, setArray bug 

Fri, 19 Jul 2019 14:06:20 +0800
Author : Linan Wang
fix typo

Fri, 19 Jul 2019 13:28:25 +0800
Author : Linan Wang
fix u64 and i64 allocation, setArray bug

Thu, 18 Jul 2019 12:44:59 +0100
Author : Robert Osfield
Fixed indentation

Thu, 18 Jul 2019 09:13:25 +0800
Author : Long Huan
Add OutputTextureFiles OptionAdd OutputTextureFiles Option support Write out the texture images to file


Wed, 17 Jul 2019 15:07:38 +0800
Author : Long Huan
Update OBJWriterNodeVisitor.cpp

Wed, 17 Jul 2019 14:52:10 +0800
Author : Long Huan
fix obj-Plugin export texture fileFix obj-plugin to support export texture file


Thu, 18 Jul 2019 12:18:04 +0100
Author : Robert Osfield
Added handling of zero radius models

Thu, 18 Jul 2019 11:16:08 +0100
Author : Robert Osfield
Removed references OpenVRML plugin

Thu, 18 Jul 2019 11:14:10 +0100
Author : Robert Osfield
Removed vrml plugin from build as OpenVRML plugin relies on no longer supported functionality

Thu, 18 Jul 2019 10:34:53 +0100
Author : Robert Osfield
Added calls to curl_global_init and curl_global_cleanup to improve the robustness of threaded curl plugin usage

Tue, 16 Jul 2019 13:50:02 +0100
Author : Robert Osfield
Updated for rc6

Tue, 16 Jul 2019 11:53:24 +0100
Author : OpenSceneGraph git repository
Merge pull request #789 from rhabacker/OpenSceneGraph-3.6cmake: Add find_package module for fontconfig

Tue, 16 Jul 2019 11:32:10 +0100
Author : OpenSceneGraph git repository
Merge pull request #791 from aluaces/mingw-osg_windowing_systemAvoid that mingw cross-compilation choosing X11 as the windowing system.

Tue, 16 Jul 2019 11:08:25 +0200
Author : Alberto Luaces
Avoid that mingw cross-compilation choosing X11 as the windowing system.I have moved the PROJECT stanza before the conditionals, because
otherwise expressions like IF(MINGW) always fail.


Mon, 15 Jul 2019 18:54:30 +0200
Author : Ralf Habacker
cmake: Add summary information to get an idea of what dependencies might be missing

Mon, 15 Jul 2019 18:52:14 +0200
Author : Ralf Habacker
cmake: Added find_package module for fontconfig which is not available with cmake < 3.14This file has been taken from cmake 3.14


Mon, 15 Jul 2019 17:06:51 +0100
Author : Robert Osfield
Updated for 3.6.4-rc5

Mon, 15 Jul 2019 16:16:45 +0100
Author : Robert Osfield
Adopted the matrix transformation code from Text

Mon, 15 Jul 2019 16:13:57 +0100
Author : Robert Osfield
Added test of picking

Mon, 15 Jul 2019 15:05:05 +0100
Author : Robert Osfield
Cuietened down the reporting of failure to find fontconfig

Mon, 15 Jul 2019 14:11:11 +0100
Author : OpenSceneGraph git repository
Merge pull request #788 from rhabacker/3.6-obj-plugin-fixes3.6 obj plugin fixes

Tue, 16 Jan 2018 10:23:36 +0100
Author : Ralf Habacker
obj plugin: Fix bug not adding first vertex index on writing GL_LINExxx array types

Mon, 15 Jan 2018 14:22:18 +0100
Author : Ralf Habacker
obj plugin: Fix not writing material shininess

Mon, 15 Jul 2019 14:29:26 +0200
Author : Ralf Habacker
obj plugin: add option "NsIfNotPresent=" for setting the specular exponent of a material if not present

Mon, 25 Sep 2017 13:59:13 +0200
Author : Ralf Habacker
obj plugin: Fix bug not using specular color (Ks) for illumination mode > 2See paragraph "Illumination models" at http://paulbourke.net/dataformats/mtl/ for details.


Mon, 15 Jul 2019 11:14:47 +0100
Author : OpenSceneGraph git repository
Merge pull request #786 from rhabacker/OpenSceneGraph-3.6Fix 'Incorrect default location for true type fonts on openSUSE'

Tue, 2 Jul 2019 22:56:02 +0200
Author : Ralf Habacker
Fix 'Incorrect default location for true type fonts on openSUSE'https://github.com/openscenegraph/OpenSceneGraph/issues/778


Fri, 12 Jul 2019 17:00:20 +0100
Author : Robert Osfield
Added check against any empty _segments to avoid undefined behaviour

Fri, 12 Jul 2019 16:16:43 +0100
Author : Robert Osfield
Removed debug info for constructor and destructors

Fri, 12 Jul 2019 16:09:12 +0100
Author : Robert Osfield
Added FrameBufferAttachment::resizeGLObjectBuffers(..) and releaseGLObjects(..) methods

Tue, 2 Jul 2019 20:37:02 +0200
Author : StefanBruens
Fix wxWidgets COMPONENTS specification, deprecated usage broken with CMake 3.14Current FindWxWidgets.cmake allows to specify OPTIONAL components, unfortunately
this broke the (deprecated) use of wxWidgets_USE_LIBS.

Fixes: #779

Tue, 2 Jul 2019 20:21:45 +0100
Author : Robert Osfield
Updated ChangeLog for rc4

Tue, 2 Jul 2019 20:21:05 +0100
Author : Robert Osfield
Updated SO number to refect change to the Drawable header inline method status

Tue, 2 Jul 2019 20:19:05 +0100
Author : Robert Osfield
Updated in prep for 3.6.4-rc4

Mon, 1 Jul 2019 16:15:21 +0100
Author : Colin McDonald
Trivial change to src/osgSim/LineOfSight.cpp to quieten down an info message in DatabaseCacheReadCallback::readNodeFile.

Mon, 1 Jul 2019 16:12:53 +0100
Author : Robert Osfield
Updated release candidate number to 4 in prep for 3.6.4-rc4 release.

Mon, 1 Jul 2019 15:48:29 +0100
Author : Robert Osfield
Removed stray tab

Tue, 25 Jun 2019 17:09:46 +1200
Author : jimcamel
Fixed bug where FFmpeg Image Stream would stop if paused for more than 10 secondsThe FFmpeg image stream class uses a 10 second timeout between frames to determine if the stream is dead and if so closes it. However, the timeout is determined using the variable lastUpdateTS which stores the last time the publishNewFrame function was called, and if the video has been playing and then is paused for longer than 10 seconds, when it is unpaused this timeout will fire and the stream will be closed, stopping the video playing beyond what has been buffered.

To stop this timeout from happening before the video starts playing, the timeout checks to see if the lastUpdateTS > 0 (at initialization it is set to 0). In this fix, we simply set the value of lastUpdateTS to 0 when the video is unpaused, this will force the check to skip on unpause, and from then on lastUpdateTS will have the correct value again.

The lastUpdateTS variable is private and only used for this one function, so there should be no side effects from the change.

Fri, 7 Jun 2019 12:45:45 +0200
Author : Riccardo Corsi
Bugfix due to copy-paste typo which prevented multi uv channel mesh to be imported correctly.

Mon, 1 Jul 2019 13:43:29 +0100
Author : Robert Osfield
Fixed layout

Mon, 1 Jul 2019 13:42:33 +0100
Author : Robert Osfield
Merge branch 'patch-27' of https://github.com/mp3butcher/OpenSceneGraph into patch-27

Thu, 30 May 2019 23:10:27 +0300
Author : Alexey Galitsyn
Fix not checking num lock state when remapping keypad keys on Windows.Num lock state was never checked during remapping keypad keys on Windows.
Now when num lock is active, keypad numeric keys and keypad delimeter key
should work as expected (return KEY_KP_0 to KEY_KP_9 and KEY_KP_Decimal
respectivly).


Mon, 1 Jul 2019 12:56:36 +0100
Author : Robert Osfield
Restructed the setting of the default osgDB::Options so it doesn't override the ObjectCacheHint setting when a user specified osgDB::Options object is passed in.

Mon, 1 Jul 2019 12:33:21 +0100
Author : Robert Osfield
Merge branch 'OpenSceneGraph-3.6_vas' of https://github.com/eligovision/OpenSceneGraph into OpenSceneGraph-3.6_vas

Mon, 1 Jul 2019 12:18:21 +0100
Author : Robert Osfield
Couldn't resolve warnings coming from the FBX headers so had to suppress warnings.

Tue, 21 May 2019 13:28:41 +0200
Author : Laurens Voerman
replaced "if (apm || !apm->valid())"

Tue, 21 May 2019 13:29:47 +0200
Author : Laurens Voerman
fix typo in header guard.

Wed, 15 May 2019 11:49:17 +0200
Author : Laurens Voerman
fix typo in ReaderWriterFBX: writObject -> writeObject

Fri, 14 Jun 2019 15:28:46 +0100
Author : OpenSceneGraph git repository
Merge pull request #760 from LaurensVoerman/readObjectimplement readObject for all relevant readerWriters

Fri, 14 Jun 2019 15:01:15 +0100
Author : OpenSceneGraph git repository
Merge pull request #759 from AnyOldName3/more-tgaVarious TGA improvements

Fri, 14 Jun 2019 14:32:31 +0100
Author : OpenSceneGraph git repository
Merge pull request #758 from LaurensVoerman/osgt_indentationfix indentation for osgt files for windows dynamic library build.

Fri, 14 Jun 2019 14:29:32 +0100
Author : OpenSceneGraph git repository
Merge pull request #757 from LaurensVoerman/rendererNoRefCountfix compile error if OSGUTIL_RENDERBACKEND_USE_REF_PTR not defined in include/osgUtil/RenderLeaf

Sat, 8 Jun 2019 01:17:21 +0200
Author : Julien Valentin
update traversedebug preventing traversal to disable OQN

Fri, 31 May 2019 15:27:18 +0200
Author : Julien Valentin
add enable check in traverseQuery

Wed, 15 May 2019 14:35:39 +0300
Author : Konstantin S. Matveyev
typo fix

Wed, 15 May 2019 14:27:10 +0300
Author : valid-ptr
VertexArrayState's lazy disabling of vertex attributes mechanism major fix: _vertexAttribArrays must be 'shared'

Tue, 14 May 2019 14:25:30 +0200
Author : Laurens Voerman
implement readObject for all relevant readerWriters

Mon, 13 May 2019 21:56:07 +0100
Author : AnyOldName3
Add support for Targa type 3 and 11 images (greyscale)

Mon, 13 May 2019 17:25:29 +0200
Author : Laurens Voerman
fix indentation for osgt files for windows dynamic library build.

Mon, 13 May 2019 17:02:53 +0200
Author : Laurens Voerman
fix compile error if OSGUTIL_RENDERBACKEND_USE_REF_PTR not defined in include/osgUtil/RenderLeaf

Sat, 11 May 2019 00:00:41 +0100
Author : AnyOldName3
Avoid wasting memory loading optional TGA fields as RLE image data

Fri, 10 May 2019 00:04:49 +0100
Author : AnyOldName3
Add support for type 9 (colour mapped, compressed) TGA images.

Fri, 10 May 2019 00:04:08 +0100
Author : AnyOldName3
Check TGA footer if present to see if attribute channel contains alpha data

Wed, 8 May 2019 10:17:06 +0100
Author : Robert Osfield
Merged ELSEIF fix from master

Tue, 30 Apr 2019 11:03:02 +0200
Author : Laurens Voerman
add missing E to ELSIF# Conflicts:
#	src/osgViewer/CMakeLists.txt


Wed, 8 May 2019 00:59:40 +0100
Author : AnyOldName3
Consistently check for failed memory allocation

Wed, 8 May 2019 00:56:42 +0100
Author : AnyOldName3
Switch to using safe buffers (fixing a memory leak)

Sat, 4 May 2019 01:19:31 +0100
Author : AnyOldName3
Cleanup TGA header interpretation* Read the colour map `First Entry Index` field. If non-zero, error out as the format specification is vague as to what it does and different readers interpret it differently.
* Rename the variable that holds the colour map entry size as the existing name could be misinterpreted as the size of the pointer, not the thing pointed to.
* Handle images reporting themselves as 15 bits per pixel in the same way as Truevision's example code.


Fri, 26 Apr 2019 10:46:04 +0100
Author : Robert Osfield
Fixed indentation

Fri, 19 Apr 2019 13:04:35 +0800
Author : Wei Lisi
remove tabs

Fri, 5 Apr 2019 14:31:21 -0700
Author : flashk
Update fbxRMesh.cpp

Tue, 26 Mar 2019 22:37:50 +0800
Author : Wei Lisi
clean up

Tue, 26 Mar 2019 21:01:24 +0800
Author : Wei Lisi
fix fbx hierarchy issue

Wed, 28 Nov 2018 14:21:37 -0600
Author : Derek Quam
Fix two bugs introduced when removing the Geode visitor from the FBX exporter.In the Geometry visitor, use getNodePath to check if the Geometry node
is root instead of getNumParents.

Reset the state inside buildFaces to prevent duplication when a
Group is inside of Group.


Tue, 13 Nov 2018 08:47:06 -0600
Author : Derek Quam
Fix duplicate geometries in FBX export.The fix to allow the export of orphaned Geometry nodes accidentally
duplicated those geometry nodes in 'normal' scene trees. This commit
refactors the code to rely on the visitor to traverse the Geometry as
opposed to traversing the Geometry in the Geode visit and the Geometry
visit.


Fri, 26 Apr 2019 09:36:51 +0100
Author : OpenSceneGraph git repository
Merge pull request #745 from eligovision/OpenSceneGraph-3.6_cmake CMake: OSG_WINDOWING_SYSTEM fixed

Sun, 14 Apr 2019 00:47:36 +0300
Author : Konstantin S. Matveyev
CMake: Win32 option added to OSG_WINDOWING_SYSTEM

Sun, 14 Apr 2019 00:04:11 +0300
Author : valid-ptr
CMake: OSG_WINDOWING_SYSTEM fixed; FORCE flag removed

Fri, 12 Apr 2019 13:57:35 +0100
Author : Robert Osfield
cMerge branch 'OpenSceneGraph-3.6' of https://github.com/openscenegraph/OpenSceneGraph into OpenSceneGraph-3.6

Fri, 12 Apr 2019 13:55:39 +0100
Author : Robert Osfield
Added ability to set which tree rendering techniques to build (via --featuers bitmask command line) and output scene to using -o outputfilename.extension command line.

Thu, 11 Apr 2019 12:42:22 +0100
Author : OpenSceneGraph git repository
Merge pull request #737 from eligovision/OpenSceneGraph-3.6_androidosgDB::DynamicLibrary: local lib loading on Android fixed

Fri, 29 Mar 2019 16:25:43 +0300
Author : Konstantin S. Matveyev
osgDB::DynamicLibrary: local lib loading on Android fixed

Tue, 26 Mar 2019 06:52:09 +0100
Author : Jeongseok Lee
Update CMakeModules/FindCOLLADA.cmakeKeeping old style operator to align with OSG CMake 2.8.0 support.

Co-Authored-By: eknabe <44489094+eknabe@users.noreply.github.com>


Mon, 25 Mar 2019 14:09:04 +0000
Author : Robert Osfield
Added basic load and compile stats collection enabled by --stats command line.

Mon, 25 Mar 2019 12:42:28 +0000
Author : Robert Osfield
Added a call to the CullSetting::readCommnadLine(..) to make sure the --NO_CULLING and --VIEW_FRUSTUM, --VIEW_FRUSTUM_SIDES command line parameters are honoured

Mon, 25 Mar 2019 12:40:41 +0000
Author : Robert Osfield
Added --NO_CULLING, --VIEW_FRSUTUM and --VIEW_FRUSTUM_SIDES/--vfs command line options for setting the Camera CullingMode value

Wed, 20 Mar 2019 09:09:56 -0700
Author : Jeongseok Lee
Update comments and fix cmake version check

Tue, 19 Mar 2019 14:33:42 +0000
Author : OpenSceneGraph git repository
Merge pull request #727 from ccochran/OpenSceneGraph-3.6Fixes Android build for osgViewer.

Mon, 18 Mar 2019 08:55:05 -0600
Author : Colin Cochran
Fixes osgViewer CMake build for Android.Adds FORCE to overwrite the cached OWG_WINDOWING_SYSTEM variable.


Sat, 16 Mar 2019 11:59:28 -0600
Author : Colin Cochran
Fixes Android build for osgViewer.Previously, cmake attempted to build cocoa windowing system source even if MAKE_SYSTEM_NAME was set to ANDROID.


Fri, 15 Mar 2019 15:46:58 +0300
Author : Capostrophic
Replace redundant asCullVisitor usage with a type check

Sat, 16 Mar 2019 11:30:21 +0000
Author : OpenSceneGraph git repository
Merge pull request #726 from Capostrophic/linearinterpolatorOverride default behavior for linear vector interpolations

Fri, 15 Mar 2019 21:29:13 +0300
Author : Capostrophic
Override default behavior for linear vector interpolations

Tue, 26 Feb 2019 17:19:06 +0000
Author : Chris Djali
Resolve OpenGL error caused by confusion between geometry shader implementations.There are two types of Geometry Shaders in OpenGL. One is provided by `GL_EXT_geometry_shader4` and `GL_ARB_geometry_shader4` and requires that certain parameters are set with calls to `glProgramParameteri` before the program is linked. The other is provided by OpenGL 3.2 as a core feature and by the GLES extensions `GL_EXT_geometry_shader` and `GL_OES_geometry_shader` and requires these parameters to be set in the GLSL source itself.

The value of `isGeometryShader4Supported` is being used to determine if the `glProgramParameteri` calls should occur, so it should only be `true` when one of the extensions requiring them is present.

Tue, 5 Mar 2019 09:32:55 -0800
Author : flashk
Update StackedTransform.cpp

Sun, 10 Mar 2019 15:43:48 +0300
Author : Capostrophic
Avoid unnecessary matrix type conversion in osgParticle

Thu, 14 Mar 2019 10:13:15 +0000
Author : Robert Osfield
Removed the optional code path hack

Wed, 13 Mar 2019 20:05:12 +0300
Author : Capostrophic
Add OSG_USE_FLOAT_QUAT build option to use single precision quaternions

Thu, 14 Mar 2019 09:39:40 +0000
Author : OpenSceneGraph git repository
Merge pull request #724 from AnyOldName3/more-gitignoreAdd missing files to .gitignore

Wed, 13 Mar 2019 23:13:41 +0000
Author : AnyOldName3
Add Visual Studio cache/options directory to .gitignore

Wed, 13 Mar 2019 23:13:00 +0000
Author : AnyOldName3
Add missing documentation build files to .gitignore

Mon, 25 Feb 2019 15:06:54 +0000
Author : Robert Osfield
Streamline the animation path completion message

Tue, 29 Jan 2019 14:40:16 +0100
Author : Daniel Trstenjak
OcclusionQueryNode: reset the test result of the invalid geometryThere're cases that the occlusion test result has been retrieved
after the query geometry has been changed, it's the result of the
geometry before the change.


Tue, 29 Jan 2019 11:37:28 +0100
Author : Daniel Trstenjak
OcclusionQueryNode: ensure a valid query geometryIf the query geometry is invalid then don't do any occlusion queries and
never traverse the subgraphs.


Mon, 4 Feb 2019 14:46:42 +0100
Author : Björn Blissing
Add search location for textures in FBX pluginThe FBX plugin may fail texture lookup even if the texture is located in
the same folder as the model file. This change tries, as a last resort,
to check if the texture filename is available in the same folder as the
model.


Wed, 20 Feb 2019 16:54:23 +0000
Author : OpenSceneGraph git repository
Merge pull request #704 from mp3butcher/patch-24uncomment INLINE_DRAWABLE_DRAW

Wed, 20 Feb 2019 16:31:58 +0000
Author : Robert Osfield
Added override for broken bindings

Mon, 28 Jan 2019 01:40:35 +0100
Author : Julien Valentin
uncomment INLINE_DRAWABLE_DRAW

Sat, 26 Jan 2019 19:36:30 +0000
Author : Robert Osfield
Updates for 3.6.4-rc3

Sat, 26 Jan 2019 18:21:47 +0000
Author : OpenSceneGraph git repository
Merge pull request #702 from mp3butcher/fix36add MeshReindexation flag

Sat, 26 Jan 2019 18:10:44 +0000
Author : Robert Osfield
Added missing {} to fix getPassed() bug introducted by previus commit

Fri, 25 Jan 2019 15:02:45 +0100
Author : Daniel Trstenjak
OcclusionQueryNode: ensure a consistent value for '_passed'

Sat, 26 Jan 2019 16:33:23 +0000
Author : Robert Osfield
Introduced a QueryGeometry::getQueryResult(const osg::Camera*) method as a more informative replacedment for QueryGeometry::getNumPixels().

Wed, 23 Jan 2019 12:10:00 +0100
Author : Daniel Trstenjak
OcclusionQueryNode: add resetting of queriesIf there's a big view change then it might not be appropriate to wait
for '_queryFrameCount' till the next query is issued, because then
geometry might pop into the view after '_queryFrameCount'.

This is especially important for applications not having a constant
frame rate, but just issue a new frame on demand.


Wed, 23 Jan 2019 17:06:04 +0100
Author : mp3butcher
fix variable name

Fri, 17 Aug 2018 09:22:40 +0100
Author : OpenSceneGraph git repository
Changed member variable name to be consistent with header

Fri, 17 Aug 2018 09:21:31 +0100
Author : OpenSceneGraph git repository
Changed the member variable to be consistent with the method name.

Thu, 16 Aug 2018 00:18:24 +0200
Author : mp3butcher
add a bool parameter to allow forced reindexation of a mesh

Wed, 23 Jan 2019 15:40:13 +0000
Author : Robert Osfield
Commented out the reset of the _vertexArrayObject = 0 as it was break later State::resetCurrentVertexArrayStateOnMatch() calls ability to reset the State::_currentVAO when required.

Wed, 23 Jan 2019 08:52:11 +0000
Author : Robert Osfield
Fixed typo

Tue, 22 Jan 2019 20:21:56 +0000
Author : Robert Osfield
Added separate test and rest of _currentVAO to State::resetCurrentVertexArrayStateOnMatch(..) method

Mon, 21 Jan 2019 18:13:43 +0000
Author : Robert Osfield
Changed resetCurrentVertexArrayStateOnMatch() to reset  _vas tp _globalVertexArrayState and currentVAO to 0.

Mon, 21 Jan 2019 17:36:40 +0000
Author : Robert Osfield
Added reset of the State::CurrentVertexArrayState() to prevent the State::_vas becoming a dangling pointer when VertexArrayState objects are deleted.

Sat, 19 Jan 2019 16:16:53 +0000
Author : Robert Osfield
Added calling of releaseGLObjects() and resizeGLObjects() to the Camera DrawCallback's to enable the draw callbacks to clean up their own GL objects.

Thu, 17 Jan 2019 17:24:22 +0000
Author : OpenSceneGraph git repository
Merge pull request #693 from LaurensVoerman/glObj_C4250fix MSVC warning C4250: inherits 'X' via dominance (94x)

Thu, 17 Jan 2019 16:22:51 +0100
Author : Laurens Voerman
fix MSVC warning C4250: inherits 'X' via dominance (94x)

Mon, 14 Jan 2019 11:55:24 +0000
Author : Robert Osfield
Added derpecated and thread unsafe warning message to docs of ObjectCache::getgetFromObjectCache()

Mon, 14 Jan 2019 10:23:05 +0000
Author : OpenSceneGraph git repository
Merge pull request #691 from LaurensVoerman/clrObjCacheclear temp objectCache in databaseRequest

Mon, 14 Jan 2019 09:55:00 +0000
Author : Robert Osfield
Added using to quieten VS warnings

Mon, 14 Jan 2019 10:19:41 +0100
Author : Laurens Voerman
clear temp objectCache in databaseRequest

Sat, 12 Jan 2019 11:27:18 +0000
Author : Robert Osfield
Moved resizeGLObjects/releaseGLObjects out of Referenced to avoid multiple inheritance warnings

Thu, 10 Jan 2019 09:45:32 +0000
Author : Robert Osfield
Added read/writeObject() entry point to FBX plugin.

Wed, 9 Jan 2019 10:22:54 +0000
Author : Robert Osfield
Upated ChangeLog

Wed, 9 Jan 2019 10:19:34 +0000
Author : Robert Osfield
Updated for 3.6.4-rc2

Wed, 9 Jan 2019 08:51:29 +0000
Author : Robert Osfield
Added cmake package configuration files to gitignore

Wed, 9 Jan 2019 08:43:08 +0000
Author : Robert Osfield
Replaced use of heap with use of stack created ifstream to avoid potential memory leak

Wed, 9 Jan 2019 08:38:16 +0000
Author : Robert Osfield
Introduced use of ref_ptr<> and private destructor to tighen up memory management and avoid users attempting to inappropriately delete TexCoordRange.

Tue, 8 Jan 2019 19:32:50 +0000
Author : Robert Osfield
Fixed for crashes on exit associaciated with VAO usage and vairous niche usage cases

Mon, 7 Jan 2019 17:46:02 +0000
Author : Robert Osfield
Fixed crash on exit issues with osgFX, osgParticle, osgSim and the osgforest example

Mon, 7 Jan 2019 10:25:13 +0000
Author : Robert Osfield
Merged changes from master

Fri, 4 Jan 2019 09:22:12 +0000
Author : Robert Osfield
Updated rc number for 3.6.4 release candidate

Fri, 4 Jan 2019 09:10:39 +0000
Author : Robert Osfield
Updated ChangeLog and AUTHORS in prep for 3.6.4 work

Fri, 4 Jan 2019 08:10:15 +0000
Author : Robert Osfield
Added use of sizeof to make code a bit more flexible

Fri, 4 Jan 2019 08:08:07 +0000
Author : Robert Osfield
Restructured the clean up of arrays/primitives and GL objects

Mon, 31 Dec 2018 11:06:45 +0000
Author : Robert Osfield
Changed the clean up of the GL objects on destruction so that the destructors of the arrays/primitives themselves do the release rather than have it done explictly in the destructor.  This allows arrays/primitives to be shared.

Thu, 20 Dec 2018 08:46:12 +0000
Author : OpenSceneGraph git repository
Merge pull request #679 from mp3butcher/patch-18setup camera Read/Draw Buffer

Wed, 19 Dec 2018 18:30:26 +0100
Author : Julien Valentin
setup camera Read/Draw Bufferfix flickering shadows in SingleThread

Fri, 14 Dec 2018 09:14:26 +0000
Author : Robert Osfield
Removed examples from build as it was causing travis to timeout

Thu, 13 Dec 2018 14:06:51 +0000
Author : OpenSceneGraph git repository
Fixed indentation

Thu, 13 Dec 2018 08:31:27 +0000
Author : OpenSceneGraph git repository
Merge pull request #671 from mp3butcher/patch-16remove useless code

Thu, 13 Dec 2018 08:01:24 +0000
Author : OpenSceneGraph git repository
Merge pull request #672 from ccochran/OpenSceneGraph-3.6Xcode 9/10 build fixes for OSG 3.6

Tue, 11 Dec 2018 23:56:47 +0100
Author : Julien Valentin
remove dead code

Mon, 23 Jul 2018 23:52:16 +0100
Author : Thomas Hogarth
removed ios simulator reference, adjusted readme

Tue, 10 Jul 2018 02:09:28 +0100
Author : Thomas Hogarth
Improved iOS cmake support for xcode 9.4 and cmake 3.11

Fri, 7 Dec 2018 14:53:52 +0000
Author : OpenSceneGraph git repository
Merge pull request #670 from emminizer/four-byte-utf8osgText::String:createUTF8EncodedString() now supports 4-byte UTF-8 strings (code points over 0x100000)

Thu, 6 Dec 2018 14:07:55 -0500
Author : Daniel Emminizer
osgText::String:createUTF8EncodedString() now supports 4-byte UTF-8 strings (code points over 0x100000).

Tue, 20 Nov 2018 16:12:21 -0800
Author : flashk
Prefer FOURCC pixel format in DDS loaderI have found that certain image editing programs export DDS images with both the DDPF_FOURCC and DDPF_RGB pixel format flags. The DDS loader will give preference to the DDPF_RGB flag and try to deduce the format from the RGB bit mask values instead of using the more reliable FOURCC flag. This causes some images to not load, even though the FOURCC flag is supported.  I've modified the loader so that it checks for the DDPF_FOURCC flag first, then falls back on deducing the format from the RGB bit masks.

Tue, 20 Nov 2018 14:24:24 +0000
Author : Robert Osfield
Added, currently commented out, alias for .vsga and .vsgb to help with automatic loading a vsg plugin when .vsga and .vsgb files are encountered.

Tue, 20 Nov 2018 14:19:37 +0000
Author : Robert Osfield
Added support for reading and writing images

Sun, 11 Nov 2018 10:14:50 +0000
Author : Robert Osfield
Restructed the setting of the OSG_GL_CONTEXT_VERSION to allow script to set it's default value

Fri, 9 Nov 2018 11:28:57 +0000
Author : Robert Osfield
Added make clobber target, imported in from the VSG project.

Fri, 9 Nov 2018 11:25:16 +0000
Author : Robert Osfield
Removed 12 year old workaround that is no longer required and was causing a misleading info message  "OpenGL extension '' is not supported." to be reported.

Fri, 2 Nov 2018 08:34:43 +0000
Author : OpenSceneGraph git repository
Replaced tabs with spaces to fix indentation

Thu, 1 Nov 2018 10:49:40 -0700
Author : flashk
Fix handling of alpha values in animated gifsThe gif loader was incorrectly setting pixels as transparent in certain animated gifs. It was ignoring the disposal method value in the extension block and always overwriting the alpha value in each frame. It is common for some animated gifs to set the disposal method so that the previous alpha value is retained. This patch modifies the loader to respect the disposal method flag.

Thu, 1 Nov 2018 09:13:43 +0000
Author : Robert Osfield
Removed reprecated C++ usage

Mon, 29 Oct 2018 07:22:50 +0100
Author : Emil Knabe
Added support for FBX 2019

Tue, 23 Oct 2018 08:44:55 +0100
Author : OpenSceneGraph git repository
Merge pull request #649 from LaurensVoerman/3.6-dae3.6 dae

Fri, 12 Oct 2018 13:25:13 -0700
Author : flashk
Update daeRMaterials.cpp

Fri, 12 Oct 2018 13:23:23 -0700
Author : flashk
Update daeReader.h

Wed, 17 Oct 2018 15:55:10 +0100
Author : Robert Osfield
Added check under Windows for a concatinated path that exceeds the MAX_PATH so that it isn't used for file IO operations that could lead to undefined behavior https://github.com/openscenegraph/OpenSceneGraph/issues/634

Mon, 15 Oct 2018 11:03:54 -0700
Author : flashk
Update ReaderWriterDAE.cpp

Thu, 11 Oct 2018 16:13:01 -0700
Author : flashk
Fix crash in Collada loaderThe collada loader would crash when processing effects that didn't have a technique defined.

Wed, 10 Oct 2018 02:33:47 +0300
Author : Boris Pek
fix builds with case sensitive includesTested during cross-compilation for MS Windows using MinGW.


Wed, 10 Oct 2018 13:10:55 +0100
Author : Robert Osfield
Fixed buld

Wed, 10 Oct 2018 08:31:30 +0200
Author : Antoine Lavenant
fix apply once

Wed, 3 Oct 2018 14:21:03 -0700
Author : flashk
Fix for HDR DDS imagesThe DDS loader was not applying the correct internal format for certain HDR images (e.g. float/half_float formats)

Wed, 3 Oct 2018 14:12:54 -0700
Author : flashk
osgDB::OutputStream write array optimizationI've made a change to osgDB::OutputStream::writeArrayImplementation so that it writes the array data in a single write operation for binary files. This significantly speeds up writing out osgb files for large data sets (e.g. point clouds). osgDB::InputStream already performs a similar optimization when reading array data from binary files.

Wed, 3 Oct 2018 11:32:10 -0700
Author : flashk
Fix for GifImageStream::setReferenceTimeSetting the reference time greater than the duration of a gif would cause a crash. Also, the current reference time is not immediately updated when manually setting the reference time.

Wed, 3 Oct 2018 09:59:34 -0700
Author : flashk
Update ReaderWriterFBX.cpp

Wed, 3 Oct 2018 09:52:10 -0700
Author : flashk
Update fbxRMesh.cpp

Wed, 3 Oct 2018 09:49:37 -0700
Author : flashk
Update fbxReader.h

Tue, 2 Oct 2018 09:04:26 -0700
Author : flashk
Fix hardware mipmap generation for cube mapsI was getting a black image when enabling hardware mipmap generation on cubemaps. I believe the problem is that the base Texture class is hard coding GL_TEXTURE_2D when enabling mipmap generation, instead of using the target type from the derived class.

Tue, 2 Oct 2018 12:21:31 +0100
Author : Robert Osfield
Removed unused static variables

Tue, 2 Oct 2018 11:28:34 +0100
Author : Robert Osfield
From Andy Skinner, Added ~GLExtensions to clear cached values for context ID

Mon, 1 Oct 2018 23:13:10 +0200
Author : Julien Valentin
add version and required extensionlet a chance to work on intel chipset

Tue, 2 Oct 2018 10:46:25 +0100
Author : OpenSceneGraph git repository
Merge pull request #627 from eligovision/OpenSceneGraph-3.6_gui_adapters_1px1px error in GUIEventAdapter, View, Viewer and CompositeViewer major fix

Fri, 21 Sep 2018 13:26:18 +0300
Author : Konstantin S. Matveyev
1px error in GUIEventAdapter, View, Viewer and CompositeViewer major fix

Fri, 14 Sep 2018 11:16:53 +0100
Author : Robert Osfield
Updated ChangeLog for 3.6.3 release

Fri, 14 Sep 2018 10:41:24 +0100
Author : Robert Osfield
Updated version number and date for 3.6.3 stable release

Thu, 13 Sep 2018 08:52:21 +0100
Author : Robert Osfield
Updated ChangeLog for 3.6.3-rc3

Thu, 13 Sep 2018 08:47:17 +0100
Author : Robert Osfield
Updated for 3.6.3-rc3

Wed, 12 Sep 2018 17:45:49 +0100
Author : Robert Osfield
Standardized the glTexStorage*() calls to use osg::maximum(_numMipmapLevels,1) of rnumber of mipmaps to keep the usage consistent. Fixed the erronous Texture2DArray glTexStorage call so that it used the _numMipmapLevels as above to resolve bug in allocation.

Tue, 11 Sep 2018 15:32:44 +0100
Author : Robert Osfield
Warning fixes

Tue, 11 Sep 2018 12:29:40 +0100
Author : Robert Osfield
Fixed warning

Tue, 11 Sep 2018 12:23:01 +0100
Author : Robert Osfield
Updated for 3.6.3-rc2

Tue, 11 Sep 2018 11:56:04 +0100
Author : Robert Osfield
Updated rc number 2 for 3.6.3-rc2

Tue, 11 Sep 2018 11:29:36 +0100
Author : OpenSceneGraph git repository
Merge pull request #620 from LaurensVoerman/txt_SCREEN_COORDSfix scale problem for osgText with characterSizeMode SCREEN_COORDS and _position set.

Tue, 11 Sep 2018 11:23:34 +0100
Author : Robert Osfield
Fixed hang using a ReentrantMutex

Tue, 11 Sep 2018 10:13:49 +0100
Author : Robert Osfield
Fixed build

Tue, 11 Sep 2018 09:31:35 +0100
Author : Robert Osfield
Fixed build

Tue, 11 Sep 2018 09:03:01 +0100
Author : Robert Osfield
Cleaned up code

Mon, 10 Sep 2018 08:00:41 -0400
Author : gwaldron
osgText: fixed thread-safety issues in Glyph and Font

Sat, 8 Sep 2018 18:18:33 +0200
Author : mp3butcher
fix examples context creation for X11 (when display not :0.0)

Tue, 11 Sep 2018 08:34:20 +0100
Author : OpenSceneGraph git repository
Merge pull request #619 from mathieu/topic/SaveInlinedImagesAdded saving of inline Images without having the physical image file.

Tue, 11 Sep 2018 08:11:27 +0100
Author : Robert Osfield
Added greater control of how cubemap is set up and controlled

Fri, 7 Sep 2018 15:09:15 +0200
Author : Laurens Voerman
fix scale problem for osgText with characterSizeMode SCREEN_COORDS and _position set.

Fri, 7 Sep 2018 14:04:41 +0200
Author : Mathieu MARACHE
Added saving of inline Images without having the physical image file.The can be read from and inlined image file


Thu, 6 Sep 2018 12:30:18 +0100
Author : Robert Osfield
Merge branch 'OpenSceneGraph-3.6' of https://github.com/openscenegraph/OpenSceneGraph into OpenSceneGraph-3.6

Thu, 6 Sep 2018 12:29:44 +0100
Author : Robert Osfield
Updated for 3.6.3-rc1

Thu, 6 Sep 2018 11:50:21 +0100
Author : Robert Osfield
Fixed memory leak with assignment of default value to ObjectSerializer

Wed, 5 Sep 2018 18:06:25 +0100
Author : OpenSceneGraph git repository
Merge pull request #616 from eligovision/OpenSceneGraph-3.6_particlesParticleSystem: Added support for GLES2 and upper (GL_QUADS -> GL_TRI…

Wed, 5 Sep 2018 18:01:33 +0100
Author : Robert Osfield
Fixed copy constructor

Wed, 5 Sep 2018 19:00:29 +0300
Author : Konstantin S. Matveyev
ParticleSystem: Using of GL_TRIANGLES for GLES2 and upper; GL_QUADS otherwise

Wed, 5 Sep 2018 14:04:57 +0100
Author : OpenSceneGraph git repository
Merge pull request #617 from aluaces/Image_scaleImage_typoFix typo in the initial check of Image::scaleImage().

Wed, 5 Sep 2018 13:27:35 +0200
Author : Alberto Luaces
Fix typo in the initial check of Image::scaleImage().

Wed, 5 Sep 2018 14:00:09 +0300
Author : Konstantin S. Matveyev
ParticleSystem: Added support for GLES2 and upper (GL_QUADS -> GL_TRIANGLES)

Tue, 4 Sep 2018 10:35:38 -0400
Author : Jason Beverage
Protect the _programSet in Shader with a mutex. This prevents thread safety issues when Shader objects are used in multiple programs.

Wed, 5 Sep 2018 09:33:24 +0100
Author : Robert Osfield
Updated ChangeLog

Tue, 4 Sep 2018 15:26:30 +0100
Author : Robert Osfield
Changed the ShapeDrawable::build() methpd so that it does run when the ShadpwDrawabe is a KdTree.

Tue, 4 Sep 2018 14:13:32 +0100
Author : Robert Osfield
Updated SO version as XmlNode::Input changes change the ABI

Tue, 4 Sep 2018 12:19:14 +0100
Author : Robert Osfield
Added support for reading UTF-8 encoded of xml files

Mon, 3 Sep 2018 12:30:02 +0100
Author : Robert Osfield
Changed the logic for whether to call setUpThreading() in setThreadingModel() to make it possible to changed threadings even if the threading model starts of as SingleThreaded

Mon, 3 Sep 2018 11:19:50 +0100
Author : Robert Osfield
Updated version number to 3.6.3 in prep for next naintainance release

Mon, 3 Sep 2018 10:16:45 +0100
Author : Robert Osfield
Merge branch 'OpenSceneGraph-3.6-TexStorage' into OpenSceneGraph-3.6

Mon, 3 Sep 2018 09:37:36 +0100
Author : Robert Osfield
Added reset of _stateset to prevent the releaseGLObjects calling release on th StateSet from the destructor

Mon, 3 Sep 2018 09:37:36 +0100
Author : Robert Osfield
Added reset of _stateset to prevent the releaseGLObjects calling release on th StateSet from the destructor

Tue, 28 Aug 2018 11:22:57 +0100
Author : Robert Osfield
Replaced the glSGetProcAddressARB code with the dlsym() usage as the NVidia driver looks to be returning non NULL pointers for invalid function names.

Tue, 28 Aug 2018 11:22:57 +0100
Author : Robert Osfield
Replaced the glSGetProcAddressARB code with the dlsym() usage as the NVidia driver looks to be returning non NULL pointers for invalid function names.

Wed, 22 Aug 2018 11:13:11 +0100
Author : Robert Osfield
Enabled point sprite validty modes.

Wed, 22 Aug 2018 11:13:11 +0100
Author : Robert Osfield
Enabled point sprite validty modes.

Wed, 22 Aug 2018 10:42:18 +0100
Author : Robert Osfield
Merged fix for PointSprite modes validity checks from master.

Wed, 22 Aug 2018 10:42:18 +0100
Author : Robert Osfield
Merged fix for PointSprite modes validity checks from master.

Tue, 21 Aug 2018 09:38:03 -0400
Author : plevy
Change GL_RGBA16F to  GL_RGBA16F_ARB to fix Windows BuildChange GL_RGBA16F to  GL_RGBA16F_ARB to fix Windows build.

Tue, 21 Aug 2018 09:38:03 -0400
Author : plevy
Change GL_RGBA16F to  GL_RGBA16F_ARB to fix Windows BuildChange GL_RGBA16F to  GL_RGBA16F_ARB to fix Windows build.

Tue, 21 Aug 2018 09:19:50 +0100
Author : Robert Osfield
Replaced GL_RGBA32F with GL_RGBA32F_ARB to fix Windows build

Tue, 21 Aug 2018 09:19:50 +0100
Author : Robert Osfield
Replaced GL_RGBA32F with GL_RGBA32F_ARB to fix Windows build

Mon, 20 Aug 2018 10:08:09 +0100
Author : OpenSceneGraph git repository
Merge pull request #606 from mp3butcher/OpenSceneGraph-3.6-TexStorageOpen scene graph 3.6 tex storage

Mon, 20 Aug 2018 05:10:11 +0200
Author : mp3butcher
complete TexStorage support

Mon, 20 Aug 2018 04:50:14 +0200
Author : mp3butcher
add more extensions

Sun, 19 Aug 2018 22:46:10 +0200
Author : mp3butcher
remove redondant variable and test

Fri, 17 Aug 2018 16:51:55 +0100
Author : Robert Osfield
Removed check as this is better outside of the function

Fri, 17 Aug 2018 12:20:59 +0100
Author : Robert Osfield
Created a GLenum Texture::selectSizedInternalFormat(const osg::Image* image=0) const method to help clean up set up of glTexStorage. Fixed typo.

Fri, 17 Aug 2018 10:31:46 +0100
Author : Robert Osfield
Merged changes to InternalPixelRelations sizedInternalFormats[] from master

Thu, 16 Aug 2018 19:23:17 +0100
Author : Robert Osfield
Fixed memory leak associated with VertexArrayStte objects not getting released on destruction of Geometry/Drawables.

Wed, 8 Aug 2018 14:42:04 +0100
Author : Robert Osfield
From Chris White, Cygwin build fix

Wed, 8 Aug 2018 15:05:53 +0300
Author : Vic-Min
Renamed USE_DEPRECATED_API to OSG_USE_DEPRECATED_API

Tue, 31 Jul 2018 16:58:41 +0100
Author : OpenSceneGraph git repository
Merge pull request #583 from emminizer/flt-registry-cacheOpenFlight: Replace internal caches with osgDB::ObjectCache use.  Fix…

Tue, 31 Jul 2018 11:45:33 -0400
Author : Daniel Emminizer
OpenFlight: Replace internal caches with osgDB::ObjectCache use.  Fixes unbounded memory growth when using readNode(std::istream&, ...) method.

Tue, 31 Jul 2018 09:13:20 +0100
Author : Robert Osfield
Removed unneccessary FIX ME statement.

Fri, 27 Jul 2018 17:34:30 +0100
Author : Robert Osfield
Fixed check against dataType changes

Wed, 25 Nov 2015 09:36:15 +1100
Author : Alex Burton
updated osgviewerWX to remove deprecated calls in wxWidgets 3.x

Mon, 9 Jul 2018 17:55:38 +0100
Author : OpenSceneGraph git repository
Merge pull request #573 from emminizer/fix-flt-typoFLT: Fix texture unit typo and code style from PR 568.

Mon, 9 Jul 2018 06:34:41 -0400
Author : Daniel Emminizer
FLT: Fix texture unit typo and code style from PR 568.

Fri, 29 Jun 2018 10:56:35 +0100
Author : Robert Osfield
Updated ChangeLog for 3.6.2 release

Fri, 29 Jun 2018 10:56:01 +0100
Author : Robert Osfield
Updated date for 3.6.2 releases

Fri, 29 Jun 2018 10:54:13 +0100
Author : Robert Osfield
Updates for 3.6.2 stable release

Fri, 29 Jun 2018 10:53:23 +0100
Author : Robert Osfield
Fixed isPointSpriteModeSupported assignment bug

Fri, 29 Jun 2018 09:52:47 +0100
Author : Robert Osfield
Removed the gl3.h usage for GL3 case as these headers were replaced by glcorearb.h, it's probably better to just fallback to gl.h and have the OSG get the extentions at runtime.

Thu, 28 Jun 2018 07:34:49 +0100
Author : Robert Osfield
UPdated ChangeLog

Thu, 28 Jun 2018 07:06:59 +0100
Author : Robert Osfield
Updated for rc3

Wed, 27 Jun 2018 21:21:31 -0700
Author : Larry-Hu
Remove call to nonexistent member seekpos() of std::fpos in VS 2017 version 15.8 or later

Wed, 27 Jun 2018 20:59:09 +0100
Author : OpenSceneGraph git repository
Merge pull request #568 from emminizer/fix-flt-texture-export-gl3OpenFlight: Textures now correctly export in GLCORE mode.

Wed, 27 Jun 2018 12:57:20 -0400
Author : Daniel Emminizer
OpenFlight: Textures now correctly export in GLCORE mode.

Wed, 27 Jun 2018 09:17:00 +0100
Author : Robert Osfield
Updated for 3.6.2-rc2

Wed, 27 Jun 2018 09:06:58 +0100
Author : Robert Osfield
Fixed relaseGLObjects() calls

Tue, 26 Jun 2018 20:50:55 +0100
Author : Robert Osfield
Merge branch 'OpenSceneGraph-3.6' of https://github.com/openscenegraph/OpenSceneGraph into OpenSceneGraph-3.6

Tue, 26 Jun 2018 20:46:49 +0100
Author : Robert Osfield
Replaced creation of a temporary Settings object on the heap with creation on the stack to improve performance

Tue, 26 Jun 2018 20:17:07 +0100
Author : OpenSceneGraph git repository
Merge pull request #566 from emminizer/fix-gl_rb-in-gluscaleimageGL_RG is now a supported format in gluScaleImage().

Tue, 26 Jun 2018 20:10:51 +0100
Author : Robert Osfield
Added GLExtensions::isPointSpriteModeSupported to allow it to be enable for GL versions that support GL_POINT_SPRITE_ARB/GL_POINT_SPRITE_OES

Tue, 26 Jun 2018 14:44:34 -0400
Author : Daniel Emminizer
GL_RG is now a support format in gluScaleImage().

Mon, 25 Jun 2018 20:02:30 +0100
Author : Robert Osfield
Moved osg::clampProjectionMatrix() template from CullVisitor.cpp into include/osg/CullSettings to make it easier to implement custom clampProjectionMatrix callbacks

Wed, 20 Jun 2018 13:59:10 +0100
Author : Robert Osfield
Updates for 3.6.2-rc1

Tue, 19 Jun 2018 17:09:56 +0100
Author : Calum Robinson
Fix z near calculation for lines

Tue, 19 Jun 2018 11:50:38 +0100
Author : OpenSceneGraph git repository
Merge pull request #558 from LaurensVoerman/submit-ffmpeg3.2resolve av sync failure with ffmpeg 3.2 and up

Tue, 19 Jun 2018 09:21:02 +0200
Author : Laurens Voerman
resolve av sync failure with ffmpeg 3.2 and up

Tue, 19 Jun 2018 00:33:03 +0800
Author : 弥继平
Fixed the position of the viewport for the cameraThe position of viewport doesn't setup properly, some part of viewer is out of CMFC_OSG_MDIView,  and not visible.

Thu, 14 Jun 2018 14:31:28 +0200
Author : Laurens Voerman
remove include/osgQt from doxyfiles; add osgPresentation and osgUI

Thu, 14 Jun 2018 14:44:16 +0100
Author : OpenSceneGraph git repository
Merge pull request #555 from emminizer/fix-noisy-flt-loadingFLT: Missing optional attr files on textures no longer generates a co…

Thu, 14 Jun 2018 07:33:08 -0400
Author : Daniel Emminizer
FLT: Missing optional attr files on textures no longer generates a console warning.

Thu, 14 Jun 2018 08:54:21 +0100
Author : Robert Osfield
Changed version to 3.6.2 in prep for next release

Thu, 14 Jun 2018 08:51:00 +0100
Author : Robert Osfield
To handle calling Array::setBinding() after Geometry::set*Array() call, to the Geometry::addVertexBufferObjectIfRequired(osg::Array* array) added treatment of array->getBinding()==Array::BIND_UNDEFINED as BIND_PER_VERTEX as a safe fallback.

Wed, 13 Jun 2018 12:23:29 +0100
Author : Robert Osfield
Moved Stae::setUseVertexAttributeAliasing(bool) implementation to .cpp an added call to _globalVertexArrayState->assignAllDispatchers(); to ensure state is consistent

Sun, 3 Jun 2018 10:27:00 +0100
Author : Robert Osfield
Updated LICENSE to use the WxWidgets-3.1 and updates to the LGPL-2.1-only that updates addresses and tighten up language used.Functionality the OSGPL-1.0 is the same as OSGPL-0.0, All the OpenSceneGraph users can use either OSGPL-0.0 or OSGPL-1.0.


Thu, 31 May 2018 15:11:19 +0100
Author : Robert Osfield
Removed deprecated xine plugin to simplify licensing (xine plugin is GPL'd)

Thu, 31 May 2018 14:45:37 +0100
Author : Robert Osfield
As the author of all the files in osgPresentation and present3D have rectified the license notices to reflect their intended license rather than histoical license they had prior to being merged into the OpenSceneGraph project.  OSGPL was always intended but missed during merge. Replaced the GPL notices with OSGPL usge in present3D and include/osgPresentation as this was intended when Present3D was merged back into OpenSceneGraph but missed.

Mon, 28 May 2018 08:58:21 +0100
Author : Robert Osfield
Updated for 3.6.1

Sun, 27 May 2018 14:21:57 +0200
Author : Philippe Renon
Notify: silence warning about unused argument

Wed, 23 May 2018 19:54:10 +0100
Author : Robert Osfield
Updated ChangeLog

Wed, 23 May 2018 19:53:12 +0100
Author : Robert Osfield
Updates for 3.6.1-rc7

Wed, 23 May 2018 17:02:28 +0100
Author : Robert Osfield
Updated REMOVE_SERIALIZER( ImageAttachment ); block to use 154 version to retain compatibility with binaries made with 153 SOVERSION prior to the Imageattachement change

Wed, 23 May 2018 14:30:31 +0100
Author : Robert Osfield
Implemented StateGraph reuse in in scene graph Canera's RenderStage.

Wed, 23 May 2018 14:13:27 +0100
Author : Robert Osfield
Fixed warning of RenderLeaf's having multiple references in CullVisitor::createOrReuseRenderLeaf() but forcing a clean up of the StateGraph at the end of RenderStage::draw()

Wed, 23 May 2018 07:47:15 +0100
Author : Robert Osfield
Added check to make sure that glEnablei and glDisablei are only called when the capability is non zero to fix GL invalid value error.

Wed, 23 May 2018 06:32:42 +0100
Author : Robert Osfield
Fixed type of Timer_t under Windows

Tue, 22 May 2018 09:04:48 +0100
Author : Robert Osfield
Updates for rc6

Mon, 21 May 2018 13:26:04 -0400
Author : gwaldron
osgText: perform pixel size computation in double-precision to prevent coordinate jitter

Mon, 21 May 2018 18:14:18 +0100
Author : Robert Osfield
Moved the rotation to before the scale

Mon, 21 May 2018 13:18:29 +0100
Author : Robert Osfield
Fixed typos

Mon, 21 May 2018 13:10:40 +0100
Author : Robert Osfield
Restored the REGISTER_WINDOWINGSYSTEMINTERFACE macro to the include/osg/GraphicsContext header and removed the OSGVIEWER_EXPORT as this was causing compatibility issues with osgQt.In GraphicsWindowWin32 replaced REGISTER_WINDOWINGSYSTEMINTERFACE usage with locally implemented equivilant with the required OSGVIEWER_EXPORT.


Sun, 20 May 2018 13:39:44 +0100
Author : Robert Osfield
Updated ChangeLog and README.md for rc5

Sun, 20 May 2018 13:22:58 +0100
Author : Robert Osfield
Restructed SCREEN auto scaling so that it's removes the rotation of the modelview matrix so that the XY coords of the text map directly to window xy coords for all text alignment types

Fri, 18 May 2018 15:49:28 +0100
Author : Robert Osfield
Updates in prep for 3.6.1-rc5

Fri, 18 May 2018 14:58:53 +0100
Author : Robert Osfield
Moved REGISTER_WINDOWINGSYSTEMINTERFACE from include/osg/GraphicsContext to include/osgViewer/GraphicsWindow and added OSGVIEWER_EXPORT

Fri, 18 May 2018 13:53:39 +0100
Author : Robert Osfield
Added GL_RED and GL_RG support to _readColor()/Image::getColor();

Fri, 18 May 2018 12:52:50 +0100
Author : Robert Osfield
Cleaned up the WindowingSystemInterface registration

Fri, 18 May 2018 12:47:34 +0100
Author : Robert Osfield
Fixed create of graphics context by explicting adding USE_GRAPHICSWINDOW to force the WindowingSystemInterface to initialize

Fri, 18 May 2018 12:42:20 +0100
Author : Robert Osfield
Quitened down unsupport compression output when passing in a file with a non rgb extension

Fri, 18 May 2018 10:00:10 +0100
Author : Robert Osfield
Introduced a local StateGraph hierarchy into CullVisitor::apply(osg::Camera&) and RenderBin to fixed RTT Camera bug where multiple RTT Camera end up with the rendering back end results assigned to them which occured when RTT Camera's share the same StateSet or null StateSet.

Mon, 14 May 2018 09:34:04 +0100
Author : Robert Osfield
Fixed support for update and event callbacks on StateSet/Uniform/StateAttributes on View(er) Cameras.

Mon, 14 May 2018 08:43:08 +0100
Author : Robert Osfield
Renamed the counter used to enable traversal order sorting

Mon, 14 May 2018 08:24:02 +0100
Author : Robert Osfield
Improved the handling of precision

Sun, 13 May 2018 11:52:06 +0100
Author : Robert Osfield
Fixed crash when using ShapeDrawable with a TriangleMesh or ConvexHull shape due to missing texture coords

Sun, 13 May 2018 09:23:38 +0100
Author : Robert Osfield
Updated for rc

Sun, 13 May 2018 09:18:31 +0100
Author : Robert Osfield
Removed _traverseNumber variable that was duplicating the one in NodeVisitor base class

Sat, 12 May 2018 12:47:08 +0100
Author : Robert Osfield
Updates for 3.6.1-rc4

Sat, 12 May 2018 12:41:42 +0100
Author : Robert Osfield
Build fixes for OSG_USE_REF_PTR_IMPLICIT_OUTPUT set to OFF

Sat, 12 May 2018 11:40:25 +0100
Author : Robert Osfield
Rewrote TextBase::computeMatrix(..) computation of the scaling factor with slower but easier to understand and more robust code

Sat, 12 May 2018 07:51:51 +0100
Author : Robert Osfield
Removed use of deprecated cmake policy

Fri, 11 May 2018 11:15:45 +0100
Author : Robert Osfield
Moved constructors and destructors to .cpp

Fri, 11 May 2018 11:11:48 +0100
Author : Robert Osfield
Revert "Moved the Options constructors and destructor implementaions into the cpp to make it easier to do debugging"This reverts commit 0fc7aa8cc096e59b9366df60c1fdbd0803ac4481.


Fri, 11 May 2018 09:00:22 +0100
Author : Robert Osfield
Fixed crash the occurred when passing in a osgDB::Options to the ObjectCache that doesn't have any references to it.

Fri, 11 May 2018 08:58:30 +0100
Author : Robert Osfield
Moved the Options constructors and destructor implementaions into the cpp to make it easier to do debugging

Thu, 10 May 2018 18:58:29 +0100
Author : Robert Osfield
Fixed build when OSG_ENVVAR_SUPPORTED is disabled and quietened down warnings using OSG_UNUSED* macros

Thu, 10 May 2018 18:50:17 +0100
Author : Robert Osfield
Changed the ordering of the build include directory and the source include directory to avoid build issues on systems where a different version of the OSG has been built in-source then another built out-of-source resulting in conflicts

Thu, 10 May 2018 16:59:56 +0100
Author : Robert Osfield
Fixed typo

Sun, 6 May 2018 07:47:23 +0100
Author : Robert Osfield
Updates for 3.6.1-rc3

Sat, 5 May 2018 15:47:28 +0100
Author : Robert Osfield
Restructed the handling of SCREEN_COORD scaling to better handle window resizing

Sat, 5 May 2018 12:31:00 +0100
Author : Robert Osfield
Added C++ specific path for calling std::map<>::erase() to avoid issues with std::map<>::erase implementation that invalidates iterators

Sat, 5 May 2018 12:28:45 +0100
Author : Robert Osfield
Replaced std::auto_ptr<> usage as it's deprecated in C++11 and will be removed in C++17

Fri, 4 May 2018 16:11:31 +0100
Author : OpenSceneGraph git repository
Merge pull request #545 from emminizer/fix-gl3-text-bad-modeText only applies GL_TEXTURE_2D modes when fixed function is availabl…

Fri, 4 May 2018 06:44:13 -0400
Author : Daniel Emminizer
Text only applies GL_TEXTURE_2D modes when fixed function is available.  Prevents GL3 Core Profile console spam.

Fri, 4 May 2018 10:54:02 +0100
Author : Robert Osfield
Added non const version of State::getActiveDisplaySettings()

Fri, 4 May 2018 09:44:43 +0100
Author : Robert Osfield
Added check for null to prevent null entries getting into the cache

Fri, 18 Nov 2016 14:56:05 +0000
Author : Robert Osfield
Added osg::MakeString class to make it easier to create std::string's using std::ostream style << usage.

Fri, 4 May 2018 09:22:54 +0100
Author : Robert Osfield
Fixed null pointer warning

Thu, 3 May 2018 12:56:08 +0200
Author : Björn Blissing
Check existence of path before reading imageWhen loading texture images inside the FBX plugin check that the path
exists before trying to read the image. This is done to avoid
unnecessary warnings inside the readRefImageFile function.


Wed, 2 May 2018 09:14:04 +0100
Author : Robert Osfield
Updated ChangeLog

Wed, 2 May 2018 09:10:54 +0100
Author : Robert Osfield
Updates for the 3.6.1-rc2

Mon, 30 Apr 2018 11:55:17 +0100
Author : Robert Osfield
Updated SO version to reflect change in ABI

Mon, 30 Apr 2018 11:44:02 +0100
Author : OpenSceneGraph git repository
Merge pull request #542 from psyinf/fix_particle_system_headerFIX: <osgParticle> removed unimplemented functions from header

Mon, 30 Apr 2018 11:16:02 +0200
Author : Sebastian Messerschmidt
FIX: <osgParticle> removed unimplemented functions from header

Fri, 27 Apr 2018 11:23:07 +0100
Author : Robert Osfield
Fixed particle update bug where a ParticleSystem wouldn't start when loaded during the frame loop due to the _last_frame value not being set.

Thu, 26 Apr 2018 10:21:53 +0100
Author : Robert Osfield
Updated ChangeLog, README.md and rc number for 3.6.1-rc1

Thu, 26 Apr 2018 09:49:35 +0100
Author : Robert Osfield
Split up #pragma so that there only three parameters per line to aovid Intel driver bug crash

Thu, 26 Apr 2018 09:36:52 +0100
Author : Robert Osfield
Renamed text.vert and text.frag to osgText_Text.vert and .frag to avoid name overlapping with user shaders.

Wed, 25 Apr 2018 09:48:02 +0100
Author : Julien Valentin
add wrapper for osg::DrawIndirectBufferObject

Tue, 24 Apr 2018 17:05:03 +0100
Author : Robert Osfield
Renamed CMake variable + C++ #define to OSG_GL_CONTEXT_VERSION

Tue, 24 Apr 2018 16:22:13 +0100
Author : Robert Osfield
Added OSG_GL_CONTEXT_STRING cmake variable to set include/osg/GL headers that sets Traits::glContextVersion.

Tue, 24 Apr 2018 15:38:02 +0100
Author : OpenSceneGraph git repository
Merge pull request #537 from openscenegraph/revert-536-default-gl3-contextRevert "When GL3 build is enabled, default context requested is version 3.3, …"

Tue, 24 Apr 2018 15:37:44 +0100
Author : OpenSceneGraph git repository
Revert "When GL3 build is enabled, default context requested is version 3.3, …"

Tue, 24 Apr 2018 15:36:11 +0100
Author : OpenSceneGraph git repository
Merge pull request #536 from emminizer/default-gl3-contextWhen GL3 build is enabled, default context requested is version 3.3, …

Tue, 24 Apr 2018 15:33:03 +0100
Author : Robert Osfield
Refactored the handling of glyph and shadow alpha values to make the text and shadow clearer for fonts with narrow glyphs

Tue, 24 Apr 2018 13:52:53 +0100
Author : Robert Osfield
Refactored the handling of text bounding box to provide more stable bounding box computation

Tue, 24 Apr 2018 06:31:32 -0400
Author : Daniel Emminizer
When GL3 build is enabled, default context requested is version 3.3, enabling core profile by default.

Fri, 20 Apr 2018 21:16:46 +0200
Author : Alberto Luaces
Small fix for uncaught typo.

Fri, 20 Apr 2018 18:18:22 +0200
Author : Alberto Luaces
Fix typos and spelling.

Mon, 23 Apr 2018 11:02:03 +0100
Author : OpenSceneGraph git repository
Merge pull request #534 from emminizer/fix-msvc-includesFix includes for MSVC 2015 build.

Fri, 20 Apr 2018 13:16:43 -0400
Author : Daniel Emminizer
Fix includes for MSVC 2015 build.

Fri, 20 Apr 2018 15:58:27 +0100
Author : Robert Osfield
Updated ChangeLog

Fri, 20 Apr 2018 14:32:34 +0100
Author : Robert Osfield
Replaced osgUtil::IntersectVisitor usage with osgUtil::InteresectionVisitor

Fri, 20 Apr 2018 10:24:17 +0100
Author : Robert Osfield
Removed TriStripVisitor for default set of Optimizer passes as it doesn't generate efficient scene graphs

Fri, 20 Apr 2018 09:57:04 +0100
Author : Robert Osfield
Added osgUtil::optimizeMesh(osg::Node* node) convinience method

Fri, 20 Apr 2018 11:42:31 +0100
Author : Robert Osfield
Removed usage of the osgUtil::TriStripVisitor is it generates osg::Geometry that perform very poorly when using VBO and VAO's vs GL DisplayLists. With DisplayLists being deprecated in GL and VBO and VAO becoming standard it's best to standardize on using the osgUtil::MeshOptimizers instead of TripStrupVisitor

Thu, 19 Apr 2018 19:43:14 +0100
Author : Robert Osfield
Fixed the set*Binding() methods so that they assign BufferObjects when required

Thu, 19 Apr 2018 19:42:51 +0100
Author : Robert Osfield
Fixed messages

Thu, 19 Apr 2018 19:41:51 +0100
Author : Robert Osfield
Fixed the GLBufferObject size computation so that it takes into account padding.

Thu, 19 Apr 2018 19:36:19 +0100
Author : Robert Osfield
Replaced the use of osgUtil::TriStripVisitor with ogUtil::MeshOptimizer usage to improve performance. Fixed set setColorArray assignement to pass in the color binding

Wed, 18 Apr 2018 10:02:43 +0100
Author : Robert Osfield
Fixed the handle of boundary equalization

Wed, 18 Apr 2018 09:33:12 +0100
Author : Robert Osfield
Added --equalize-boundaries -e command line option to call terrain->setEqualizeBoundaries(true)

Mon, 16 Apr 2018 17:53:38 +0100
Author : Robert Osfield
Updated version number in prep for future 3.6.1 release.

Mon, 16 Apr 2018 15:08:24 +0100
Author : Robert Osfield
Fixed inline Drawable::draw(..) method

Mon, 16 Apr 2018 15:05:11 +0100
Author : Robert Osfield
Fixed Geometry::drawImplmentation() handling of VBO's to prevent them from being used when display lists are used.

Sun, 15 Apr 2018 08:25:57 +0100
Author : Robert Osfield
Replaced osgViewer::GraphicsWindow dynamic_cast as it's not neccessary.

Sat, 7 Apr 2018 18:35:19 +0100
Author : Robert Osfield
Fixed typo

Sat, 7 Apr 2018 17:59:55 +0100
Author : Robert Osfield
Renamed osg::ComputeDispatch to osg::DispatchCompute to make sure the nameing between GL and OSG is consistent i.e glDispatchCompute -> osg::DispatchComputeUpdated AUTHORS.txt, NEWS.txt and README.txt for CMakeLists.txt for 3.6.0 release


Sat, 7 Apr 2018 07:19:14 +0100
Author : Robert Osfield
Updated ChangeLog

Sat, 7 Apr 2018 07:18:41 +0100
Author : Robert Osfield
Updated for rc7

Fri, 6 Apr 2018 20:05:26 +0100
Author : Robert Osfield
Refactored the way that margin is applied to the text buounding box to prevent growth of the bounding box each time Text::setPosition() is called.

Fri, 6 Apr 2018 15:33:42 +0100
Author : Robert Osfield
Updated ChangeLog

Fri, 6 Apr 2018 14:58:00 +0100
Author : Robert Osfield
Update ChangeLog

Fri, 6 Apr 2018 14:47:54 +0100
Author : Robert Osfield
Updated for rc6

Fri, 6 Apr 2018 14:17:35 +0100
Author : Robert Osfield
Fixed warning

Fri, 6 Apr 2018 14:07:58 +0100
Author : Robert Osfield
Changed TextBase::setAlignment() to use computeGlyphRepresentation(); rather than computePositions(); to address issues seen with calling Text::setAlignment() after calls to Text::setText()

Fri, 6 Apr 2018 14:06:50 +0100
Author : Robert Osfield
Added osgtext --alignment test to look the effect of calling Text::setAlignent() before and after the Text::setText().

Thu, 5 Apr 2018 18:00:30 +0100
Author : OpenSceneGraph git repository
Merge pull request #525 from emminizer/fix-windows-exportosgDB: Added missing extern OSGDB_EXPORT.

Thu, 5 Apr 2018 10:51:24 -0400
Author : Daniel Emminizer
osgDB: Added missing extern OSGDB_EXPORT.

Thu, 5 Apr 2018 14:14:49 +0100
Author : Robert Osfield
Quietened down debug message output for osgText shader setup and Drawable::createVertexArrayStateImplementation

Thu, 5 Apr 2018 12:35:36 +0100
Author : Robert Osfield
Changed DisplaySettings::setShaderHint(..) messages to INFO

Thu, 5 Apr 2018 12:19:56 +0100
Author : Robert Osfield
Updated ChangeLOG and news

Thu, 5 Apr 2018 11:21:55 +0200
Author : Philippe Renon
mingw: fix compile error in GraphicsWindowWin32.cppcompilation error was introduced by msvc specific change
see https://github.com/openscenegraph/OpenSceneGraph/commit/bb169979a1054e2fa63a7ea82c9c8bec87e90494


Wed, 4 Apr 2018 08:33:55 +0200
Author : Ralf Habacker
Remove duplicated and incorrect fetching of 'map_bump' attributes in obj pluginParsing the key 'map_bump' was processed in the block, where the attributes
for 'bump' are extracted and results into having parts of the key in the
extracted filename, generating an invalid filename.

The mentioned string compare could be removed without loosing any features,
because the key 'map_bump' is parsed correctly some lines below.


Wed, 4 Apr 2018 15:35:28 +0100
Author : Robert Osfield
Updated ChangeLog for rc5

Wed, 4 Apr 2018 15:09:43 +0100
Author : Robert Osfield
Fixed threading crash in osgFX that occurred when an osgFX node is added to the scene being rendered in multiple threaded windows.

Wed, 4 Apr 2018 13:40:51 +0100
Author : Robert Osfield
Added focus classifiction of handling of keyboard events

Wed, 4 Apr 2018 13:40:06 +0100
Author : Robert Osfield
Added EventHandler to report key and mouse events for debugging purposes

Wed, 4 Apr 2018 12:26:53 +0100
Author : Robert Osfield
Added -4 command line entry that creates two seperate windows within CompositeViewer

Wed, 4 Apr 2018 08:50:39 +0100
Author : Frank Bausch
When testing XYZ/ECEF coordinate values that convert to LLA points with latitude = 90.0 or latitude = -90.0, the heights calculated by EllipsoidModel::convertXYZToLatLongHeight have substantial errors. With the provided change, points at the pole are handled more correctly. This has been tested against US NGA GoldData.

Tue, 3 Apr 2018 17:21:47 +0100
Author : Robert Osfield
Updated rc to 5

Tue, 3 Apr 2018 17:17:59 +0100
Author : OpenSceneGraph git repository
Merge pull request #518 from emminizer/fix-scroll-eventCompositeViewer: SCROLL event now only goes to view with focus.  Incl…

Tue, 3 Apr 2018 16:07:46 +0100
Author : Robert Osfield
Updated rc number to 4

Tue, 3 Apr 2018 16:04:24 +0100
Author : Robert Osfield
Updated ChangeLog and NEWS for rc3

Tue, 3 Apr 2018 15:48:37 +0100
Author : Thomas Hogarth
missing gles2 check

Tue, 3 Apr 2018 10:32:58 -0400
Author : Daniel Emminizer
CompositeViewer: SCROLL event now only goes to view with focus.  Includes minor typo fixes.

Tue, 3 Apr 2018 15:29:54 +0100
Author : Robert Osfield
Added a ShadowTechniue::setShadowedScene() virtual method to make it possible to implement techniques as fascades to other techniques

Tue, 3 Apr 2018 12:42:37 +0100
Author : Andreas Ekstrand
The attached code (from the 3.6 branch) adds a keepSeparatePoints option to the SHP plugin which makes it possible to avoid merging point features into multi-points, in case you e.g. need to keep separate point attributes.It also contains a fix in the Xbase DBF parser, converting a numeric shape attribute to double instead of integer. As stated in e.g. https://en.wikipedia.org/wiki/.dbf the numeric field can contain decimals.


Tue, 3 Apr 2018 11:35:31 +0100
Author : Robert Osfield
Removed osgShadow::ShadowVolume as it functionality isn't functional

Tue, 3 Apr 2018 12:10:29 +0100
Author : OpenSceneGraph git repository
Merge pull request #516 from eligovision/OpenSceneGraph-3.6_programosg::Program's compileGLObjects and apply methods fixed for OSG witho…

Mon, 2 Apr 2018 23:56:36 +0300
Author : Konstantin S. Matveyev
osg::Program's compileGLObjects and apply methods fixed for OSG without OSG_GL_FIXED_FUNCTION_AVAILABLE

Mon, 2 Apr 2018 18:26:26 +0100
Author : Robert Osfield
Rewrote the handling of AutoTransform::setAutoScaleToScreen(bool) functionality so that is disabling CullingActive when switched on.

Mon, 2 Apr 2018 16:21:20 +0100
Author : Robert Osfield
Added __VERSION__<140 check for usage of gl_ClipVertex to avoid GL3 core profile usage issues

Mon, 2 Apr 2018 14:08:47 +0100
Author : Robert Osfield
Restructured merge geometry code to make it easier to follow

Mon, 2 Apr 2018 11:44:03 +0100
Author : Robert Osfield
Fix for MergeGeometryVsiitor bug. Restructured the processing the merge geometry list to avoid missing geometries that aren't binned along with other geometries.

Sun, 1 Apr 2018 10:40:25 +0100
Author : Robert Osfield
Removed stray CMAkeLists.txt from TARGET_SRC list

Sun, 1 Apr 2018 10:18:45 +0100
Author : Andreas Ekstrand
Small fix (from the 3.6 branch) in the osgjs plugin, avoiding a double addition of the CullFace attribute when it has been turned off. This resulted in an empty json object in the osgjs file causing warnings in osgjs.

Fri, 30 Mar 2018 17:52:12 +0100
Author : Robert Osfield
Updated NEWS and ChangeLog for 3.6.0-rc3

Fri, 30 Mar 2018 16:34:01 +0100
Author : Robert Osfield
Fixed build with OSG_USE_REF_PTR_IMPLICIT_OUTPUT_CONVERSION set to OFF

Fri, 30 Mar 2018 15:27:35 +0100
Author : Robert Osfield
Added suport for writing to gl_ClipVertex

Fri, 30 Mar 2018 15:16:45 +0100
Author : Robert Osfield
To osgclipe example added --text textstring and --simple command line options to test mixing text and clipping

Fri, 30 Mar 2018 12:39:52 +0100
Author : Robert Osfield
Changed Layer::get*Value(..) methods to const

Thu, 29 Mar 2018 11:38:04 +0100
Author : Robert Osfield
Fixed double calling of TerrainTechnique::init().

Thu, 29 Mar 2018 11:35:34 +0100
Author : Robert Osfield
Maded TerrainTechnique::setTerrainTile(..), addNeighbour(..), removeNeighbour(..) and containsNeighbour(..) virtual and public to enable implementation of TerrainTechnique that act as a facade to actual TerrainTechnique implementations.

Wed, 28 Mar 2018 14:04:41 +0100
Author : Robert Osfield
Updated RC number to 3

Wed, 28 Mar 2018 11:34:52 +0100
Author : Robert Osfield
Fixed osgDB::findFileInDirectory() handling of directory strings with trailing \ or / that was causing failure to find valid files in otherwise valid directories

Tue, 27 Mar 2018 18:56:38 +0800
Author : Haojia Yu
OutputStream writes images using its Options objectwhen writing images, OutputStream can search files using its Options object rahter than always using FilePathList object of global Regidtry instance.


Tue, 27 Mar 2018 08:39:52 +0100
Author : OpenSceneGraph git repository
Merge pull request #510 from eligovision/OpenSceneGraph-3.6_iosGraphicsWindowIOS: multithreaded viewer's mode support added; updated…

Tue, 27 Mar 2018 08:37:29 +0100
Author : OpenSceneGraph git repository
Merge pull request #508 from eligovision/OpenSceneGraph-3.6_pluginsOSG 3.6: Write support with .curl pseudo extension added

Tue, 27 Mar 2018 08:35:57 +0100
Author : OpenSceneGraph git repository
Merge pull request #509 from eligovision/OpenSceneGraph-3.6_vasVertexArrayState: typo fixed in log

Mon, 26 Mar 2018 20:40:14 +0300
Author : Konstantin S. Matveyev
GraphicsWindowIOS: multithreaded viewer's mode support added; updated for iOS-11 SDK; view rotations fixed; GLES2, GLES3 preprocessors fixed; tested on iPhone4 and upper

Fri, 19 Jan 2018 22:20:01 +0300
Author : Konstantin S. Matveyev
VertexArrayState: typo fixed in log

Mon, 26 Mar 2018 17:59:49 +0300
Author : Konstantin S. Matveyev
Write support with .curl pseudo extension added

Mon, 26 Mar 2018 09:55:53 +0100
Author : Robert Osfield
Updated ChangeLog

Mon, 26 Mar 2018 09:54:59 +0100
Author : Robert Osfield
Updated NEWS for 3.6.0-rc2

Sun, 25 Mar 2018 12:14:46 +0100
Author : Robert Osfield
Re-ordered the creating of the DatagbaseThread to avoid startThread being called twice.

Sun, 25 Mar 2018 12:13:50 +0100
Author : Robert Osfield
Added check if thraeding is running before executing start thread.

Sat, 24 Mar 2018 18:02:35 +0000
Author : Robert Osfield
Updated ChangeLog, AUTHORS and Controbitors for 3.6.0-rc1

Sat, 24 Mar 2018 17:51:06 +0000
Author : Robert Osfield
Added new features in 3.6 to NEWS release

Sat, 24 Mar 2018 12:13:59 +0000
Author : Robert Osfield
First step for 3.6 stable release news

Sat, 24 Mar 2018 11:23:59 +0000
Author : Robert Osfield
Fixed read shader to safer ref version

Sat, 24 Mar 2018 10:59:15 +0000
Author : Robert Osfield
Fixed spotlight colour mixing

Fri, 23 Mar 2018 20:08:37 +0000
Author : OpenSceneGraph git repository
Merge pull request #502 from Haojia521/OutputStreamUseTargertSoVersionwrite binary file with a specific so version

Fri, 23 Mar 2018 19:54:33 +0000
Author : Robert Osfield
Removed serailizers that are now supplied by osg::Node

Fri, 23 Mar 2018 19:54:01 +0000
Author : Robert Osfield
Fixed member variable names to avoid conflicts with osg::Node

Fri, 23 Mar 2018 18:07:36 +0000
Author : Robert Osfield
Removed Drawable writing out of StateSet as this is now done by Node

Fri, 23 Mar 2018 18:07:07 +0300
Author : Michael Kapelko
Provide osgemscripten example CMake flags in a more stable way

Fri, 23 Mar 2018 12:55:00 +0000
Author : Robert Osfield
Changed the isBufferObjectSupported flag so that it's true when either VBO or PBO's are supported

Thu, 22 Mar 2018 17:35:13 +0000
Author : Paul Obermeier
Fixes for VS2008 and 2010 build

Thu, 22 Mar 2018 16:51:03 +0000
Author : Robert Osfield
Moved OPENGL_INCLUDE_DIR include into it's own INCLUDE_DIRECTORIES(SYSTEM ${OPENGL_INCLUDE_DIR}) entry to help with FreeBSD builds where a previous rev of the OSG has already been installed

Thu, 22 Mar 2018 09:04:47 +0000
Author : Robert Osfield
Removed typedef and used osg::GraphicsContext::Cameras explictly to avoid any hiding of type

Wed, 21 Mar 2018 19:44:25 +0300
Author : Victor
Fixed bug of determining availability of functions ‘pthread_getconcurrency’, ‘pthread_setconcurrency’, ‘pthread_setaffinity_np’ in ‘pthread’ libraryCMake cannot find 'pthread_getconcurrency’, ‘pthread_setconcurrency’ and ‘pthread_setaffinity_np' functions in 'pthread' library because when linking internal cmake test did’t specifed ‘-l pthread’.


Tue, 20 Mar 2018 09:20:59 +0000
Author : Robert Osfield
Removed -m message that was causing problems with branch creation

Tue, 20 Mar 2018 09:12:58 +0000
Author : Robert Osfield
Updated version numbers in prep for 3.6 branch

Tue, 20 Mar 2018 09:02:05 +0000
Author : Robert Osfield
Updated ChangeLog and AUTHORS file

Mon, 19 Mar 2018 14:27:18 +0000
Author : Robert Osfield
Updated ChangeLog and updated version to 3.5.11

Mon, 19 Mar 2018 14:08:47 +0000
Author : Robert Osfield
Fixed build issues when building with OSG_USE_REF_PTR_IMPLICIT_OUTPUT_CONVERSION set to OFF

Mon, 19 Mar 2018 10:42:09 +0000
Author : Robert Osfield
Fixed warnings

Fri, 16 Mar 2018 11:33:03 +0000
Author : Robert Osfield
Updated ShaderGen shaders

Thu, 15 Mar 2018 16:50:47 +0000
Author : Robert Osfield
Removed the static osg::Program creation as it's not required

Thu, 15 Mar 2018 16:49:58 +0000
Author : Robert Osfield
Added --shader saderfilename command line option to enable one to manually specify which shaders to use for the uber program.

Thu, 15 Mar 2018 16:12:40 +0000
Author : Robert Osfield
Introduced a _specverson to centralizer the control of this variable

Thu, 15 Mar 2018 15:58:46 +0000
Author : Robert Osfield
Added support for Collada DOM-2.5

Thu, 15 Mar 2018 12:53:32 +0000
Author : OpenSceneGraph git repository
Merge pull request #495 from aitormoreno/fix_installExamplesPDBfix installation of PDB files from the examples.

Wed, 14 Mar 2018 16:56:08 +0100
Author : Aitor Moreno
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph into fix_installExamplesPDB

Wed, 14 Mar 2018 16:54:05 +0100
Author : Aitor Moreno
(re)fix the installation of the PDB files

Wed, 14 Mar 2018 08:39:12 +0000
Author : Robert Osfield
Standardized the MSCV INSTALL lines between applications and examples

Wed, 14 Mar 2018 08:22:45 +0000
Author : Robert Osfield
Refactored osgUtil::ShaderGen to use #pragma(tic) shader composition.

Tue, 13 Mar 2018 11:21:35 +0100
Author : Aitor Moreno
fix installation of PDB files from the examples.

Tue, 13 Mar 2018 08:47:53 +0000
Author : OpenSceneGraph git repository
Merge pull request #494 from pelicanmapping/fix-text-empty-checksAdded required empty vector checks to osg::Text

Mon, 12 Mar 2018 17:35:46 -0400
Author : gwaldron
Text: added code in accept(functor) methods to check for empty vectors before accessing front() element, which was causing a crash in some cases. Also fixed a negated null check in getCharacterCoords

Mon, 12 Mar 2018 16:14:30 +0000
Author : Yaroslav Tarasov
Fixed renamed of _textureDepth.

Mon, 12 Mar 2018 15:55:35 +0000
Author : Robert Osfield
From Colin McDonald, "If the glCreateProgram in osg::Program fails for any reason, then subsequently Program::PerContextProgram::linkProgram would crash.  I've put in some checks to prevent that."

Mon, 12 Mar 2018 15:29:56 +0000
Author : Robert Osfield
Fixed indentation

Mon, 12 Mar 2018 15:12:44 +0000
Author : Robert Osfield
Improved indentation

Mon, 12 Mar 2018 10:43:56 +0000
Author : Robert Osfield
From Raymond de Vries, added support for latest FBX SDK

Mon, 12 Mar 2018 10:29:04 +0000
Author : Robert Osfield
Added FbxLayeredTexture support

Sat, 10 Mar 2018 17:51:52 +0000
Author : Robert Osfield
Refactored the texture setup to streamline it and make it easier to adapt

Fri, 9 Mar 2018 10:17:59 +0000
Author : Alessandro Terenzi
iOS CMake project generation improvements (bitcode option)when building for iOS, Xcode allows developers to specify to enable or disable the 'bitcode' compilation option. There's not a preferred way to go and the choice is really up to the developer but considering that:

1. Currently the generated project defaults the option to YES
2. There are almost 90 projects targets that should be modified if one wants to disable the bitcode option (which considerably reduces the footprint of the app)
3. Even though one can select all the 90+ targets and set the option to NO for all of them, the updates could take a few seconds and could be error prone because one could miss to select some targets

I propose to add a CMake setting that is displayed only when building for iOS. By setting this option "before" the project generation would speed up things for developers and would avoid errors at compiling time.


Thu, 8 Mar 2018 16:26:01 +0000
Author : Robert Osfield
Refactored the handling if RESIZE, CLOSE, QUIT AND USER events so they are dispatched to all views associated with a window, or all views associated with a CompositeViewer

Thu, 8 Mar 2018 10:47:07 +0000
Author : Robert Osfield
Fixed recursive call bug

Wed, 7 Mar 2018 17:49:40 +0000
Author : Robert Osfield
Changed glDrawBuffer/glReadBuffer calls to use the new State::glDrawBuffers/glReadBuffers helper functions to enable lazy state updating to avoid unneccessary GL calls

Wed, 7 Mar 2018 17:44:48 +0000
Author : Robert Osfield
Changed the default values of _drawBuffer and _readBuffer to make sure that the lazy state updating in State.glDrawBuffers(GLenum)/glReadBuffers(Glenum) doesn't ever ignore the first call.

Wed, 7 Mar 2018 16:45:58 +0000
Author : Robert Osfield
Fixed build error

Tue, 6 Mar 2018 16:54:57 +0000
Author : Robert Osfield
Added missing Camera::setDrawBuffer/setReadBuffer()

Tue, 6 Mar 2018 16:42:11 +0000
Author : Robert Osfield
Added missing Camera::setDrawBuffer() & setReadBuffer()

Tue, 6 Mar 2018 16:23:20 +0000
Author : Robert Osfield
Added missing setDrawBufer/setReadBuffer calls

Tue, 6 Mar 2018 09:58:31 +0000
Author : Robert Osfield
Renamed numBytesPerPixel to numBytesPerComponent to be clearer

Tue, 6 Mar 2018 09:49:02 +0000
Author : Robert Osfield
Added State::glDrawBuffer/glReadBuffer() method to implement lazy state updating for glDrawBuffer and glReadBuffer

Tue, 6 Mar 2018 09:33:30 +0000
Author : OpenSceneGraph git repository
Merge pull request #491 from mmassing/readerwritergdal_fix_reading_of_multichannel_multibyte_imagesReaderWriterGDAL: fix stride when reading multi-channel images with…

Tue, 6 Mar 2018 09:25:49 +0000
Author : OpenSceneGraph git repository
Merge pull request #492 from emminizer/stateattribute-typoMinor typo fix on osg::StateAttribute

Mon, 5 Mar 2018 10:26:54 -0500
Author : Daniel Emminizer
Minor typo fix on osg::StateAttribute

Mon, 5 Mar 2018 15:48:24 +0100
Author : Manuel Massing
- ReaderWriterGDAL: fix stride when reading multi-channel images with more than 1 byte per pixel

Mon, 5 Mar 2018 14:39:07 +0000
Author : Robert Osfield
Added deprecated comments for ShaderComposer

Fri, 2 Mar 2018 09:43:24 +0000
Author : OpenSceneGraph git repository
Merge pull request #490 from torokati44/masterosgDB: Fix handling of return value of loadLibrary in Registry.

Fri, 2 Mar 2018 00:13:43 +0100
Author : TÖRÖK Attila
osgDB: Fix handling of return value of loadLibrary in Registry."Unable to load ..." was printed if the library could be loaded,
and it wasn't if not.


Wed, 28 Feb 2018 14:10:15 +0000
Author : OpenSceneGraph git repository
Merge pull request #488 from LaurensVoerman/submit_array_extremove _EXT from GL_MAX_ARRAY_TEXTURE_LAYERS_EXT 

Wed, 28 Feb 2018 14:07:42 +0100
Author : Laurens Voerman
remove _EXT from GL_MAX_ARRAY_TEXTURE_LAYERS_EXT and GL_TEXTURE_BINDING_2D_ARRAY_EXT

Wed, 28 Feb 2018 10:30:47 +0000
Author : Robert Osfield
Added GUIEventHandler to allow one to write out models with event callbacks

Wed, 28 Feb 2018 08:50:48 +0000
Author : Robert Osfield
Replaced GL_TEXTURE_2D_ARRAY_EXT with GL_TEXTURE_2D_ARRAY

Wed, 28 Feb 2018 08:00:40 +0000
Author : Robert Osfield
Changed GL enum to fix Windows build issue

Tue, 27 Feb 2018 19:09:18 +0000
Author : Robert Osfield
Fixed precision issue with filling in the last element of the TransferFunction1D's osg::Image.

Tue, 27 Feb 2018 17:35:13 +0000
Author : Robert Osfield
Restructured the way that applyTexParameters() is applied to address issues with Intel drivers not handling mipmap generations unless the tex parameters are reapplied on new upload of data.

Fri, 23 Feb 2018 09:57:19 +0000
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Fri, 23 Feb 2018 09:55:00 +0000
Author : Robert Osfield
Cleaned up the applying of the glDrawBuffers()

Fri, 23 Feb 2018 08:28:59 +0000
Author : OpenSceneGraph git repository
Merge pull request #485 from eligovision/OpenSceneGraph_glesGLExtensions fix: No PBO on GLES2 by default

Thu, 22 Feb 2018 16:41:46 +0300
Author : Konstantin S. Matveyev
GLExtensions fix: No PBO on GLES2 by default

Thu, 22 Feb 2018 08:15:46 +0000
Author : OpenSceneGraph git repository
Merge pull request #484 from LaurensVoerman/submit_inventor_dllexportRemove OSG_EXPORT from deprecated_osg::Geometry in inventor plugin.

Wed, 21 Feb 2018 13:38:42 +0100
Author : Laurens Voerman
Remove OSG_EXPORT from deprecated_osg::Geometry in inventor plugin.

Mon, 19 Feb 2018 10:14:36 +0000
Author : OpenSceneGraph git repository
Merge pull request #479 from LaurensVoerman/submit_vc14WarnC4800_v2move Get/SetScalarvalue out of ValueObject and provide specialization…

Mon, 19 Feb 2018 10:07:14 +0000
Author : Robert Osfield
Added ADD_DEFINITIONS(-D_WINSOCK_DEPRECATED_NO_WARNINGS) to quieten warning

Mon, 19 Feb 2018 08:39:42 +0000
Author : OpenSceneGraph git repository
Merge pull request #482 from hwiesmann/masterAddition of comments for ClusterCullingCallback

Mon, 19 Feb 2018 08:39:23 +0000
Author : OpenSceneGraph git repository
Changed the doxygen control characters and clarifications

Mon, 19 Feb 2018 08:35:00 +0000
Author : OpenSceneGraph git repository
Merge pull request #483 from filnet/fix_log_messagesFix log messages

Sun, 18 Feb 2018 18:15:19 +0100
Author : Philippe Renon
renderstage: fix spelling in log message

Sun, 18 Feb 2018 18:13:27 +0100
Author : Philippe Renon
singlewindow: minor log output fixlog message made it look like it originated from View::setUpViewOnSingleScreen


Sun, 18 Feb 2018 08:49:41 +0300
Author : Hartwig Wiesmann
Addition of comments for ClusterCullingCallback

Fri, 16 Feb 2018 19:56:32 +0000
Author : OpenSceneGraph git repository
Merge pull request #480 from hwiesmann/masterAddition of radius parameter for ClusterCullingCallback's constructor

Thu, 15 Feb 2018 21:10:59 +0100
Author : Hartwig
Addition of radius parameter for ClusterCullingCallback's constructorThe radius parameter is already present in ClusterCullingCallback's set method but has been forgotten in the constructor.


Thu, 15 Feb 2018 14:53:52 +0100
Author : Laurens Voerman
move Get/SetScalarvalue out of ValueObject and provide specialization for GetScalarValue<bool> fixing MSVC waring C4800

Wed, 14 Feb 2018 17:16:39 +0000
Author : OpenSceneGraph git repository
Merge pull request #476 from LaurensVoerman/submit_luaWarnsilence MSVC warning C4324: 'lua_longjmp': structure was padded

Wed, 14 Feb 2018 17:15:31 +0000
Author : OpenSceneGraph git repository
Merge pull request #475 from LaurensVoerman/submit_Zeroconf_warningsFixfix visual studio compile warnings for ZeroConfDevice project.

Wed, 14 Feb 2018 17:12:46 +0000
Author : OpenSceneGraph git repository
Merge pull request #474 from LaurensVoerman/submit_bool_getScalarvalue_Bugbugfix: GetScalarValue returns inverted values for booleans

Wed, 14 Feb 2018 10:49:33 +0100
Author : Laurens Voerman
silence MSVC warning C4324: 'lua_longjmp': structure was padded

Wed, 14 Feb 2018 10:38:09 +0100
Author : Laurens Voerman
fix visual studio compile warnings for ZeroConfDevice project.

Tue, 13 Feb 2018 17:38:35 +0100
Author : Laurens Voerman
bugfix: GetScalarValue returns inverted values for booleans; SetScalarValue needs to be a SetValueVisitor

Tue, 13 Feb 2018 12:12:34 +0000
Author : Robert Osfield
Improved handling of updates to the Texture target that require the texture to be reapplied. Used State for applying Texture target to work better with lazy state updating.

Tue, 13 Feb 2018 12:03:19 +0000
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Tue, 13 Feb 2018 12:01:57 +0000
Author : Robert Osfield
Added virtual bool Texture::isDirty(contextID) method to help determine whether a GL texture object is likely to be out of date and needs updating

Mon, 12 Feb 2018 13:42:47 +0000
Author : OpenSceneGraph git repository
Merge pull request #473 from LaurensVoerman/submit_OT_winverremove conficting defenition of _WIN32_WINNT in OSG_DETERMINE_WIN_VERSION is ON

Mon, 12 Feb 2018 10:47:37 +0100
Author : Laurens Voerman
remove conficting defenition of _WIN32_WINNT in OSG_DETERMINE_WIN_VERSION is ON

Sat, 10 Feb 2018 18:37:57 +0000
Author : Robert Osfield
Changed internalFormat to use pixelFormat

Sat, 10 Feb 2018 17:50:39 +0000
Author : Robert Osfield
Added support for PixelBufferObject to Texture2DArray

Wed, 7 Feb 2018 18:28:17 +0000
Author : Robert Osfield
From Ravi Mathur, "he freetype plugin currently forces the use of the first font within a truetype collection (.ttc index 0). I made a slight modification such that users can specify any font index via the userOptions input to osgText::readFontFile(). Specifically, the freetype plugin now accepts a new string option of the format "index=< unsigned int >". Example usage:Code:
// Chooses the second font within the Menlo font collection
osg::ref_ptr<osgDB::Options> fontOptions = new osgDB::Options;
fontOptions->setObjectCacheHint(osgDB::Options::CACHE_OBJECTS);
fontOptions->setOptionString("index=1");
text->setFont(osgText::readFontFile("Menlo.ttc", fontOptions));

"


Wed, 7 Feb 2018 17:23:14 +0000
Author : Robert Osfield
Refactored the event handler so that it contains a helper NodeVistor class rather than inherits from inappropriately using multiple inheritance.

Tue, 6 Feb 2018 17:54:33 +0000
Author : Robert Osfield
Changed the text bounding box calcualtion so that it only takes in to account the basic glyph size, and doesn't add in the glyph margin used for accounting for texel sampling

Fri, 2 Feb 2018 09:54:48 +0000
Author : OpenSceneGraph git repository
Merge pull request #466 from openscenegraph/revert-454-imagebindingRevert "BindingTextureImage: a more complex condition for  _texture->apply ?"

Fri, 2 Feb 2018 09:54:31 +0000
Author : OpenSceneGraph git repository
Revert "BindingTextureImage: a more complex condition for  _texture->apply ?"

Tue, 30 Jan 2018 09:53:45 +0000
Author : OpenSceneGraph git repository
Merge pull request #463 from xyzz/android-gl1getGLExtensionFuncPtr: support gl4es wrapper on Android.

Wed, 17 Jan 2018 14:07:47 -0500
Author : Ilya Zhuravlev
getGLExtensionFuncPtr: support gl4es wrapper on Android.

Sat, 27 Jan 2018 09:20:12 +0000
Author : OpenSceneGraph git repository
Merge pull request #459 from mp3butcher/bufferstorageadd more extensions

Sat, 27 Jan 2018 09:17:30 +0000
Author : OpenSceneGraph git repository
Merge pull request #461 from filnet/issue_458os_utils: fix non portable use of "defined"

Sat, 27 Jan 2018 09:16:46 +0000
Author : OpenSceneGraph git repository
Merge pull request #457 from PissedCapslock/patch-3Typo in comment

Thu, 25 Jan 2018 16:49:05 +0100
Author : Philippe Renon
os_utils: fix non portable use of "defined"see https://github.com/openscenegraph/OpenSceneGraph/issues/458


Thu, 25 Jan 2018 16:22:33 +0100
Author : Julien Valentin
add ARB_BufferStorage extensions

Wed, 24 Jan 2018 10:29:49 +0100
Author : Robin Stevens
Typo in comment

Tue, 23 Jan 2018 15:27:24 +0000
Author : Robert Osfield
Merged shader_pipeline version of CMakeLists.txt

Tue, 23 Jan 2018 11:43:55 +0000
Author : Robert Osfield
Removed the OSG_SYSTEM_SUPPORTED cmake var and added use of posix_spawn under Apple with C system function used elsewhere.

Tue, 23 Jan 2018 10:26:20 +0000
Author : OpenSceneGraph git repository
Merge pull request #454 from mp3butcher/imagebindingBindingTextureImage: a more complex condition for  _texture->apply ?

Tue, 23 Jan 2018 09:56:26 +0000
Author : OpenSceneGraph git repository
Merge pull request #456 from PissedCapslock/patch-2Fixing typos in comments

Tue, 23 Jan 2018 09:55:52 +0000
Author : OpenSceneGraph git repository
Merge pull request #455 from PissedCapslock/patch-1Typo in comment

Tue, 23 Jan 2018 10:25:32 +0100
Author : Robin Stevens
Fixing typos in comments

Tue, 23 Jan 2018 10:20:49 +0100
Author : Robin Stevens
Typo in comment

Sun, 21 Jan 2018 12:19:27 +0000
Author : Robert Osfield
Changed fallback message to be consistent with fucntion name

Sun, 21 Jan 2018 12:09:49 +0000
Author : Robert Osfield
Restructured the system() fallback to be usable for C and C++

Sun, 21 Jan 2018 01:24:01 +0100
Author : Julien Valentin
use introduced getBufferData to determine _target->apply requirements.

Sun, 21 Jan 2018 01:23:38 +0100
Author : Julien Valentin
add a virtual getBufferData to Texture

Sat, 20 Jan 2018 12:35:30 +0000
Author : OpenSceneGraph git repository
Merge pull request #452 from LaurensVoerman/submit_input_copyWchartext copy - get unicode text to clipboard.

Sat, 20 Jan 2018 12:33:54 +0000
Author : OpenSceneGraph git repository
Merge pull request #453 from LaurensVoerman/submit_directinputfix bug: potentially uninitialized local variable 'hr' used

Fri, 19 Jan 2018 11:38:01 +0100
Author : Laurens Voerman
fix bug: potentially uninitialized local variable 'hr' used

Fri, 19 Jan 2018 11:20:34 +0100
Author : Laurens Voerman
text copy - get unicode text to clipboard.

Mon, 15 Jan 2018 16:30:44 +0000
Author : OpenSceneGraph git repository
Merge pull request #447 from LaurensVoerman/submit_remove_unused_varsremove unused variable "newArrays"

Mon, 15 Jan 2018 16:30:23 +0000
Author : OpenSceneGraph git repository
Merge pull request #448 from LaurensVoerman/submit_remove_unused_maxBonePerVertexremove unused variable "maxBonePerVertex"

Mon, 15 Jan 2018 16:28:54 +0000
Author : OpenSceneGraph git repository
Merge pull request #449 from LaurensVoerman/submit_toLowerfix vc2017 compile warning 'unsigned int' to 'const char'

Mon, 15 Jan 2018 16:02:44 +0000
Author : Robert Osfield
Moved defined into GLDefines header to avoid compile issues under Windows

Mon, 15 Jan 2018 16:42:31 +0100
Author : Laurens Voerman
fix vc2017 compile warning 'unsigned int' to 'const char'

Mon, 15 Jan 2018 14:47:55 +0100
Author : Laurens Voerman
remove unused variable "newArrays"

Mon, 15 Jan 2018 14:49:24 +0100
Author : Laurens Voerman
remove unused variable "maxBonePerVertex"

Sun, 14 Jan 2018 13:27:15 +0000
Author : OpenSceneGraph git repository
Merge pull request #445 from mp3butcher/osgSampler3Osg sampler3  improve example to get command arguments 

Sun, 14 Jan 2018 13:25:23 +0000
Author : OpenSceneGraph git repository
Merge pull request #444 from mp3butcher/osgSampler2Osg sampler2  add static helper func in order to generate Samplers of a Samplerless StateSet

Sun, 14 Jan 2018 12:40:34 +0000
Author : OpenSceneGraph git repository
Merge pull request #443 from mp3butcher/osgSampler1Add MinLOD MaxLOD and LODBias to Texture

Sat, 13 Jan 2018 21:29:02 +0100
Author : Julien Valentin
improve example to get command arguments

Sat, 13 Jan 2018 21:25:47 +0100
Author : Julien Valentin
add static helper func in order to generate Samplers of a Samplerless StateSet +fix ident

Sat, 13 Jan 2018 21:20:32 +0100
Author : Julien Valentin
add MinLOD MaxLOD and LODBias to Texture and its serializer as well as ShadowTextureMode None enum

Sat, 13 Jan 2018 21:19:25 +0100
Author : Julien Valentin
increment SO version

Sat, 13 Jan 2018 21:16:16 +0100
Author : Julien Valentin
add MinLOD MaxLOD and LODBias to Texture

Sat, 13 Jan 2018 16:43:42 +0000
Author : Robert Osfield
Disabled the use of the GeometryFinishedObjectReadCallback in the Geometry serializer as this doesn't look it's needed anymore.

Sat, 13 Jan 2018 16:07:56 +0000
Author : OpenSceneGraph git repository
Merge pull request #442 from eligovision/OpenSceneGraph_viewerosgViewer::ViewerBase setThreadingModel function fixed

Sat, 13 Jan 2018 15:46:53 +0300
Author : Konstantin S. Matveyev
osgViewer::ViewerBase setThreadingModel func fix: should not start threading, must only restart

Fri, 12 Jan 2018 19:52:31 +0000
Author : Robert Osfield
Added ability to toggle on/off use of C system() function call, using OSG_SYSTEM_SUPPORTED Cmake option

Fri, 12 Jan 2018 17:03:31 +0000
Author : Robert Osfield
Added os_utils header

Fri, 12 Jan 2018 16:48:17 +0000
Author : Robert Osfield
Renamed EnvVar header to os_utils in prep for adding more OS related calls to it

Thu, 11 Jan 2018 14:32:53 +0000
Author : OpenSceneGraph git repository
Merge pull request #437 from filnet/text_typoosgText: fix typos related to SIGNED_DISTANCE_FIELD

Thu, 11 Jan 2018 10:10:43 +0000
Author : Robert Osfield
Fixed Linux NVTT build issue by restricting the addition of the new libs to just Windows

Thu, 11 Jan 2018 09:39:27 +0000
Author : Robert Osfield
Merged NVTT cmake fixes from 3.4 branch

Thu, 11 Jan 2018 08:51:08 +0000
Author : Robert Osfield
Added returns to avoid fall through between case statements

Wed, 10 Jan 2018 16:55:02 +0000
Author : Robert Osfield
Moved setFusionDistance() into View::updateSceneView()

Wed, 10 Jan 2018 14:21:25 +0100
Author : Philippe Renon
osgText: fix typos related to SIGNED_DISTANCE_FIELD

Wed, 10 Jan 2018 11:07:46 +0000
Author : Andreas Ekstrand
Small fix in the osgjs plugin. Since osgjs uses pixel area for PIXEL_SIZE_ON_SCREEN PagedLOD ranges instead of a diameter, it's a more correct approximation to square the ranges in this case.

Mon, 8 Jan 2018 10:52:35 +0000
Author : Robert Osfield
Merged Program.cpp from shader_pipeline

Mon, 8 Jan 2018 10:31:47 +0000
Author : Robert Osfield
Fixed indentation

Mon, 8 Jan 2018 10:14:13 +0000
Author : Robert Osfield
Added extension support checks

Mon, 8 Jan 2018 10:04:28 +0000
Author : Robert Osfield
Fixed build with GLES2

Fri, 1 Dec 2017 13:00:42 +0000
Author : Robert Osfield
Added suppor for StateSet::DefineList

Fri, 1 Dec 2017 12:07:28 +0000
Author : Robert Osfield
Improvements to lua/OSG integration

Sat, 6 Jan 2018 13:47:18 +0000
Author : Robert Osfield
Replaced old style access of ValueObject values to new ValueObject::getScaleValue() methods

Wed, 20 Dec 2017 20:13:33 +0000
Author : Robert Osfield
Added TextureCubeMap::setImage/getImage() methpds

Sat, 6 Jan 2018 12:52:34 +0000
Author : Robert Osfield
Removed inappropriate //

Wed, 20 Dec 2017 20:12:49 +0000
Author : Robert Osfield
Added ValueObject::get/setScaleValue(..) convinient methods

Sat, 6 Jan 2018 12:37:02 +0000
Author : OpenSceneGraph git repository
Merge pull request #431 from mp3butcher/callbacksallow read of script from zip

Sat, 6 Jan 2018 12:31:23 +0000
Author : OpenSceneGraph git repository
Had to fix spacing and bracket position yet again...

Fri, 5 Jan 2018 19:57:41 +0100
Author : Julien Valentin
allow read of zipped script

Fri, 5 Jan 2018 12:12:24 +0000
Author : Robert Osfield
Fixed return values

Fri, 5 Jan 2018 11:26:06 +0000
Author : OpenSceneGraph git repository
Merge pull request #428 from mp3butcher/serializerfixbisadd Node associate on Drawable serializers

Fri, 5 Jan 2018 10:36:25 +0000
Author : Robert Osfield
Disabled OSX builds as they are consistently failing on travis due to timeouts so a giving false positives for all builds

Fri, 5 Jan 2018 09:43:16 +0000
Author : OpenSceneGraph git repository
Merge pull request #424 from mp3butcher/osgSamplerGL3.3 SamplerObject as StateAttribute

Fri, 5 Jan 2018 09:41:32 +0000
Author : OpenSceneGraph git repository
Fixed indentation and spacing issues

Fri, 5 Jan 2018 09:18:39 +0000
Author : OpenSceneGraph git repository
Merge pull request #425 from mp3butcher/callbacksSupport for multiple nest Camera DrawCallbacks

Thu, 4 Jan 2018 05:16:21 +0100
Author : Julien Valentin
add BufferData associate to Image and subclasses

Thu, 4 Jan 2018 15:28:45 +0000
Author : OpenSceneGraph git repository
Had to fix positioning of { and spacing to be consistent with the rest of the OSG

Thu, 4 Jan 2018 15:20:57 +0000
Author : OpenSceneGraph git repository
Merge pull request #426 from mp3butcher/moreExtensionsadd more Extensions

Thu, 4 Jan 2018 04:34:48 +0100
Author : Julien Valentin
Evolve DSO add Node associate on Drawable based: Drawable Geometry DrawPixels.cpp ShapeDrawable.cpp RigGeometry.cpp ConnectedParticleSystem.cpp FadeText.cpp Text.cpp Text3D.cpp TextBase.cpp

Thu, 4 Jan 2018 04:18:38 +0100
Author : Julien Valentin
add more Extensions

Thu, 4 Jan 2018 03:41:37 +0100
Author : Julien Valentin
add recursivity on Camera Callbacks

Wed, 3 Jan 2018 21:22:38 +0100
Author : Julien Valentin
 add GLSampler as Texture Property and a simple example mixing (add) 2 textures

Wed, 3 Jan 2018 11:11:16 +0000
Author : OpenSceneGraph git repository
Merge pull request #421 from mp3butcher/imagebindingcomplete Imagebinding integration 

Tue, 2 Jan 2018 18:29:42 +0100
Author : Julien Valentin
remove old BindImageTexture path

Tue, 2 Jan 2018 18:15:25 +0100
Author : Julien Valentin
adapt examples for new BindImageTexture

Mon, 1 Jan 2018 21:09:07 +0100
Author : Julien Valentin
add (untested) BindImageTexture serializer TOREVIEW : my GLBoolean serializer macro seams hacky

Mon, 1 Jan 2018 12:07:17 +0000
Author : OpenSceneGraph git repository
Merge pull request #415 from aluaces/fix/opencascade_minimalUse a minimal set of OpenCASCADE libraries.

Mon, 1 Jan 2018 11:10:55 +0000
Author : Robert Osfield
Renamed ImageTexture file to BindImageTexture to better fit it's OpenGL implementaton.Improved the indentation so it's more consistent with the rest of the OSG.


Mon, 1 Jan 2018 10:16:10 +0000
Author : Robert Osfield
Merge branch 'imagebinding' of https://github.com/mp3butcher/OpenSceneGraph into mp3butcher-imagebinding

Mon, 1 Jan 2018 10:14:58 +0000
Author : OpenSceneGraph git repository
Changed the enum value to be consistent with StateAttribute

Mon, 1 Jan 2018 10:13:14 +0000
Author : OpenSceneGraph git repository
Change enum name to be consistent with assciated class name

Mon, 1 Jan 2018 10:12:09 +0000
Author : OpenSceneGraph git repository
Improved spacing and indentaton To keep things consistent with the rest of the OSG

Sun, 31 Dec 2017 13:44:21 +0000
Author : Robert Osfield
Changed the case of method name to be consistent with the rest of the OSG

Sun, 31 Dec 2017 13:43:09 +0000
Author : OpenSceneGraph git repository
Merge pull request #411 from rickyviking/fbxGeometrySupportFbx writer: added support to convert geometries directly attached as node

Sun, 31 Dec 2017 13:34:26 +0000
Author : OpenSceneGraph git repository
Merge pull request #414 from aluaces/fix/osg_winver_switchAdded optional checking the windows version at build configuration time to fix cross-compilation.

Sun, 31 Dec 2017 13:32:44 +0000
Author : OpenSceneGraph git repository
Improved indentation

Sun, 31 Dec 2017 13:17:23 +0000
Author : Robert Osfield
Fixed typo

Sun, 31 Dec 2017 12:35:44 +0000
Author : Robert Osfield
Fixed handling of reassignment of ArrayDispatch when vertex aliasing is toggled

Mon, 25 Dec 2017 23:42:33 +0100
Author : mp3butcher
add flexier Image Unit Binding implementation (allow different IUBs for a Texture)

Fri, 22 Dec 2017 13:17:10 +0100
Author : Alberto Luaces
Use a minimal set of OpenCASCADE libraries.This eases the configuration avoiding to look for unused or nonexistent
libraries.


Tue, 26 Dec 2017 15:35:42 +0100
Author : Alberto Luaces
Detecting the windows version at build time breaks cross-compilation.I have made this auto-detection optional (default ON).


Wed, 20 Dec 2017 09:52:50 +0100
Author : Riccardo Corsi
Fbx writer: added support to convert geometries directly attached as node, without geodes.

Tue, 19 Dec 2017 09:57:57 +0000
Author : Robert Osfield
Introduced dedicated VertexArrayStateList class to wrap up the VertexArrayState container with convinience methods to help initialize them. Using the new VertexArrayStateList class fixed bug associated with setting new setTexCoord() array when a VertexArrayState is already assigned.

Mon, 18 Dec 2017 13:54:08 +0000
Author : Robert Osfield
Deprecated dirtyDisplayLists(), use established dirtyGLObjects() instead

Mon, 18 Dec 2017 10:45:00 +0000
Author : OpenSceneGraph git repository
Merge pull request #408 from eligovision/OpenSceneGraph_serializersOpen scene graph serializers

Mon, 18 Dec 2017 10:39:29 +0000
Author : OpenSceneGraph git repository
Merge pull request #409 from jcarpent/master[Fix] Use explicitelly colladom 1.4.1

Mon, 18 Dec 2017 10:33:35 +0000
Author : OpenSceneGraph git repository
Merge pull request #406 from eligovision/OpenSceneGraph_textTextBase: left alignment position fix

Thu, 14 Dec 2017 19:27:08 +0100
Author : jcarpent
[Fix] Use explicitelly colladom 1.4.1

Wed, 13 Dec 2017 11:47:02 +0300
Author : Konstantin S. Matveyev
osgAnimation serializes: static linking fix

Wed, 13 Dec 2017 11:48:08 +0300
Author : Konstantin S. Matveyev
Merge remote-tracking branch 'upstream/master' into OpenSceneGraph_serializers

Fri, 27 Oct 2017 20:49:09 +0300
Author : Konstantin S. Matveyev
TextBase: left alignment position fix

Sat, 9 Dec 2017 19:18:43 +0000
Author : Robert Osfield
Quitened down debug output

Sat, 9 Dec 2017 18:42:40 +0000
Author : Robert Osfield
Quited now deboug output

Sat, 9 Dec 2017 18:29:19 +0000
Author : Robert Osfield
Quietened down debug messages

Sat, 9 Dec 2017 11:12:35 +0000
Author : Robert Osfield
Pushed background image away from eye point a small amount to prevent z fighting with text on the image plane.

Fri, 8 Dec 2017 16:15:52 +0000
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Fri, 8 Dec 2017 16:10:57 +0000
Author : Robert Osfield
Added support for OSG_BORDERLESS_WINDOW="x y width heigh" and --bordless-window x y width height to make it easier to manage custom placement of viewers without window decoration

Fri, 8 Dec 2017 11:19:20 +0000
Author : OpenSceneGraph git repository
Merge pull request #403 from mp3butcher/VASfix logo reader plugin

Thu, 7 Dec 2017 20:13:57 +0100
Author : Julien Valentin
fix logo reader plugin TODO upgrade to a more modern gl (remove glDrawpixel usage)

Thu, 7 Dec 2017 17:52:24 +0000
Author : Robert Osfield
Improvements to dot visitors

Thu, 7 Dec 2017 09:49:47 +0000
Author : OpenSceneGraph git repository
Merge pull request #402 from mp3butcher/VASadd a fix in order setArray  work with an user managed interleaved array

Wed, 6 Dec 2017 22:57:03 +0100
Author : Julien Valentin
add a fix in order setArray  work with an user managed interleaved array

Mon, 14 Nov 2016 11:59:47 +0000
Author : Robert Osfield
Added more flexibility into the State::checkGLErrors() method, allowing calling code to pass in two strings. Improved the StateSet::compileGLObjects() usage of checkGLErrors() to make the warning reports more meaningful.

Wed, 6 Dec 2017 09:50:42 +0000
Author : Robert Osfield
Added fine grained checking for GL errors in the GLObjectVisitor so that the OSG's default pre compile stage provides better feesback on any GL errors.

Tue, 5 Dec 2017 17:16:17 +0000
Author : Robert Osfield
Removed the unncessary rescale to power of two, and added clear of image to prevent previous image data corrupting the rendered image

Tue, 5 Dec 2017 16:33:55 +0000
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Tue, 5 Dec 2017 16:33:01 +0000
Author : Robert Osfield
Added "rs=value" Options support to SVG plugin

Mon, 4 Dec 2017 17:51:21 +0000
Author : Robert Osfield
Fixed AUTHORS

Mon, 4 Dec 2017 16:43:08 +0000
Author : Robert Osfield
Added passing of the osgDB::Options to the remove from cache to make sure the cache model for the presentation is found and removed.

Mon, 4 Dec 2017 14:50:12 +0000
Author : Robert Osfield
Changed the reload presentaiton key to 'R' to better match the 'E' for editor

Mon, 4 Dec 2017 13:01:52 +0000
Author : Anna Sokol
From Anna Sokol, "There is no need to specify WINVER of 0x0603 in order to check for the SetProcessDPIAwareness function existence. If your current OS where the application is running is Windows 8.1 or above it the function will exist in the dll or if its below it wont. I checked the attached code with both a Windows 7 desktop (where the function doesn't exist) and a Windows 10 tablet (where it does and had my screen scaled to 150%) and in both cases the code worked as intended."

Sun, 3 Dec 2017 14:27:10 +0000
Author : Robert Osfield
Updated ChangeLog and AUTHORS file

Sun, 3 Dec 2017 14:14:34 +0000
Author : Robert Osfield
Updated ChangeLog

Sun, 3 Dec 2017 11:17:34 +0000
Author : Robert Osfield
Renamed chanels to array to be consistent with the rest of the usage

Sun, 3 Dec 2017 11:12:20 +0000
Author : OpenSceneGraph git repository
Merge pull request #398 from marchelbling/sharedarrayoptimizer-fixImprove SharedArrayOptimizer

Sun, 3 Dec 2017 10:49:39 +0000
Author : Robert Osfield
Removed redundent !ps

Sun, 3 Dec 2017 09:49:09 +0000
Author : Robert Osfield
Removed unused local variable and associated typedef

Sun, 3 Dec 2017 09:45:37 +0000
Author : Robert Osfield
Quietened down cppcheck false positive.

Sun, 3 Dec 2017 09:38:32 +0000
Author : Robert Osfield
Fixed leak and clean up formatting.

Sun, 3 Dec 2017 09:34:43 +0000
Author : Robert Osfield
From Jordi Torres, fixed leak and inappropriate read bug

Sun, 3 Dec 2017 09:32:50 +0000
Author : Robert Osfield
From Jordi Torres, removed unused local variable

Sun, 3 Dec 2017 09:30:35 +0000
Author : Robert Osfield
From Jordi Torres, fix indentation and removed redundent break;

Sun, 3 Dec 2017 09:27:41 +0000
Author : Robert Osfield
From Jordi Torres, added ref_ptr<> usage to quieten cppcheck false positive

Sat, 2 Dec 2017 18:07:13 +0000
Author : Robert Osfield
From Jordi Torres, removed unused local variables

Sat, 2 Dec 2017 18:04:43 +0000
Author : Robert Osfield
From Jordi Torres, removed unused local variables

Sat, 2 Dec 2017 18:00:03 +0000
Author : Robert Osfield
From Jordi Torres, Removed unused local variables

Sat, 2 Dec 2017 17:58:17 +0000
Author : Robert Osfield
From Jordi Torres, removed unused local variables

Sat, 2 Dec 2017 17:52:47 +0000
Author : Robert Osfield
From Jordi Torres, removed unused local variables

Sat, 2 Dec 2017 17:42:53 +0000
Author : Robert Osfield
Commented out unused local variables

Sat, 2 Dec 2017 17:41:27 +0000
Author : Robert Osfield
From Jordi Torres, removed unused local variable

Sat, 2 Dec 2017 17:35:36 +0000
Author : Robert Osfield
Fixed string parsing and substituion bugs isn substitudeEnvVars(..)

Sat, 2 Dec 2017 17:08:14 +0000
Author : Robert Osfield
From Jordi Torres, removed unused local variables

Sat, 2 Dec 2017 16:49:47 +0000
Author : Jordi Torres
same values in || so one of them not needed

Sat, 2 Dec 2017 16:35:16 +0000
Author : Robert Osfield
Improved readaibility of text by removing redundent indirection.

Sat, 2 Dec 2017 16:20:34 +0000
Author : Robert Osfield
Fixes for cppcheck reported issues

Fri, 1 Dec 2017 12:26:00 +0100
Author : Marc Helbling
Improve SharedArrayOptimizerWhen an array is shared within and outside a geometry, it's still worth it and safe
to recreate the reference within each individual geometry.


Thu, 30 Nov 2017 14:13:21 +0000
Author : OpenSceneGraph git repository
Merge pull request #396 from bjornblissing/feature/DPIAwareScalingApplications declared as DPI-aware in the Windows environment

Thu, 30 Nov 2017 14:12:05 +0000
Author : OpenSceneGraph git repository
Added return to last line

Thu, 30 Nov 2017 12:48:47 +0000
Author : Robert Osfield
Quieted down dubug output

Thu, 30 Nov 2017 13:00:54 +0100
Author : Björn Blissing
Applications declared DPI-aware in the Windows environmentApplications that run on a Windows computer with desktop scaling enabled
gets scaled incorrectly since windows assumes that applications are
DPI-unaware unless declared otherwise.

This change declares the application DPI-aware, thus not automatically
scaled by the operating system.

The corresponding library call requires Windows 8.1 or later.


Thu, 30 Nov 2017 12:53:24 +0100
Author : Björn Blissing
Added script to identify Windows versionAdded script to identify the Windows version used to compile the source.
Currently the windows version for Windows NT is hard coded into the
source. By running this CMake script the _WIN32_WINNT preprocessor
variable gets set to the corresponding windows version.


Thu, 30 Nov 2017 12:47:57 +0100
Author : Björn Blissing
Removed unnecessary define in FileUtilsThe define of _WIN32_WINNT was added to handle an error case from MinGW
,as described in commit 712ca432196cd797cc3c265adb2847465551461f

This was later giving warnings and thus undefined for MinGW by commit
3bf6fb1778687c45d389b91675b55f709ef1f67b

Since the two operations cancel each other out, they should be removed.


Wed, 29 Nov 2017 21:20:10 +0000
Author : Robert Osfield
Typo fix

Wed, 29 Nov 2017 15:06:53 +0000
Author : Robert Osfield
Update version to 3.5.10

Wed, 29 Nov 2017 14:49:00 +0000
Author : Robert Osfield
Updated ChangeLog and AUTHORS for 3.5.9 dev release

Wed, 29 Nov 2017 14:44:00 +0000
Author : Robert Osfield
Fixed build with OSG_USE_REF_PTR_IMPLICIT_OUTPUT_CONVERSION set to OFF

Wed, 29 Nov 2017 14:22:31 +0000
Author : Robert Osfield
Introduced Drawable::CreateVertexArrayStateCallback to enable customization of how VertexArrayState objects.Added public accessors to the Drawable::VertexArrayStateList.


Wed, 29 Nov 2017 12:22:03 +0000
Author : Robert Osfield
Added mapping of GLSL file extension to shader Type.

Wed, 29 Nov 2017 10:40:42 +0000
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Wed, 29 Nov 2017 10:40:20 +0000
Author : Robert Osfield
Bummped the SO version

Wed, 29 Nov 2017 10:38:52 +0000
Author : OpenSceneGraph git repository
Merge pull request #394 from mathieu/masterMake the culling be disabled at the drawable level 

Wed, 29 Nov 2017 10:14:16 +0000
Author : Robert Osfield
Merge branch 'mp3butcher-ComputeDispatch'

Wed, 29 Nov 2017 10:11:35 +0000
Author : Robert Osfield
Added back in serializer support for comput dispatch groups to retain backwards compatibility.

Wed, 29 Nov 2017 11:05:53 +0100
Author : Mathieu
Make the culling be disables at the drawable level not at the geode level

Wed, 29 Nov 2017 09:30:56 +0000
Author : Robert Osfield
Merge branch 'ComputeDispatch' of https://github.com/mp3butcher/OpenSceneGraph into mp3butcher-ComputeDispatch

Wed, 29 Nov 2017 08:16:53 +0000
Author : OpenSceneGraph git repository
Cleaned up code layout

Wed, 29 Nov 2017 08:14:44 +0000
Author : OpenSceneGraph git repository
Cleaned up code layout

Wed, 29 Nov 2017 08:09:01 +0000
Author : OpenSceneGraph git repository
Merge pull request #390 from filnet/readrefreplace more read*File() usage to readRef*File()

Tue, 28 Nov 2017 20:31:09 +0100
Author : Julien Valentin
override compile and createVAS in order to do nothing

Tue, 28 Nov 2017 20:03:40 +0100
Author : Julien Valentin
adapt SSBO example for ComputeDispatch but have strange runtime errors: 0(100) : error C7623: implicit narrowing of type from "vec3" to "float" 0(108) : error C7623: implicit narrowing of type from "vec3" to "float"

Tue, 28 Nov 2017 19:51:31 +0100
Author : Philippe Renon
replace more read*File() usage to readRef*File()

Tue, 28 Nov 2017 18:08:08 +0000
Author : Robert Osfield
Quietened down debug output

Tue, 28 Nov 2017 18:05:59 +0000
Author : Robert Osfield
Quietened down debug output

Tue, 28 Nov 2017 18:04:26 +0000
Author : Robert Osfield
Quitened down debug output

Tue, 28 Nov 2017 17:39:32 +0100
Author : Julien Valentin
numgroup removed but introduce a reto compatibility bug in Program serializer hope nobody use it

Tue, 28 Nov 2017 17:30:04 +0100
Author : Julien Valentin
add ComputeDispatch class revoke glDispatch in PCProgram::useProgram update example

Tue, 28 Nov 2017 15:31:39 +0000
Author : Robert Osfield
To the GLSL shader plugin added support forL   #pragma include shaderfile.glsl

To enable easier reuse of shaders


Mon, 27 Nov 2017 18:38:37 +0000
Author : Robert Osfield
Replaced deprecated osg::Shader::reaDShaderFile()/loadShaderFromSource() usage

Mon, 27 Nov 2017 18:36:41 +0000
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Mon, 27 Nov 2017 18:28:15 +0000
Author : Robert Osfield
Deprecated the osg::Shader::reaDShaderFile() and osg::Shader::loadShaderSourceFromFile() methods. Programmers should use osgDB::readRefShaderFile()/readShaderFile() instead.

Mon, 27 Nov 2017 18:27:13 +0000
Author : Robert Osfield
Added support for .cs, .compute, .tctrlm .teval extensions in the GLSL plugin

Mon, 27 Nov 2017 15:54:39 +0000
Author : OpenSceneGraph git repository
Merge pull request #387 from jtorresfabra/remove_custom_codeRemoves custom code added for sketchfab channel compression that shou…

Mon, 27 Nov 2017 15:44:11 +0000
Author : Robert Osfield
Refactored the MergeGeometry::mergeGroup(..) method to avoid O(N^2) issue with using removeChildren() on groups with very large numbers of children.

Mon, 27 Nov 2017 15:41:54 +0000
Author : Robert Osfield
Replaced read*File() usage to readRef*File()

Mon, 27 Nov 2017 15:40:21 +0000
Author : Robert Osfield
Added template addShader() method to make it easier to pass ref_ptr<osg::Shader>

Mon, 27 Nov 2017 15:48:50 +0100
Author : Jordi
Removes custom code added for sketchfab channel compression that should not be there

Mon, 27 Nov 2017 11:10:48 +0000
Author : Robert Osfield
Fixes for building with OSG_PROVIDE_READFILE to OFF

Mon, 27 Nov 2017 11:05:31 +0000
Author : Robert Osfield
Fixed build issues when compiling with OSG_PROVIDE_READFILE to OFF

Mon, 27 Nov 2017 10:32:02 +0000
Author : Robert Osfield
Build fix

Wed, 22 Nov 2017 11:05:17 +0000
Author : Robert Osfield
Removed use of local static to avoid threading issue.

Tue, 21 Nov 2017 14:01:14 +0000
Author : OpenSceneGraph git repository
Merge pull request #383 from anormann1974/patch-1Fixed missing initialization of B_ and N_ in constructor

Tue, 21 Nov 2017 13:59:51 +0000
Author : Robert Osfield
Fixed typo

Tue, 21 Nov 2017 13:41:57 +0000
Author : Robert Osfield
Added Text::getCharacterCorners(...) method to help applications that want to find out the positions of characters being rendered.

Tue, 21 Nov 2017 13:54:45 +0100
Author : Andre Normann
Fixed missing initialization of B_ and N_ in constructor

Mon, 20 Nov 2017 12:49:20 +0000
Author : Robert Osfield
Moved the version to 3.5.9 and the version setting code to top of CMake file

Tue, 14 Nov 2017 15:04:05 +0000
Author : Robert Osfield
Updated ChangeLog and AUTHORS file for 3.5.8 dev release

Tue, 14 Nov 2017 10:38:18 +0000
Author : Raymond de Vries
attached fixes for configuring and building the osgPlugin exr with Visual Studio and using out-of-the-box builds of ilmbase and openexr, i.e. without manual/extra config for using these 2 libs with the OSG.Previously, the assumption was made that ilmbase and openexr were installed in a common directory and hence the header files and libs were both found in that common directory. That is not consistent with other libs and this submission makes it consistent and therefore the OSG configures out of the box. I made this work for ilmbase-2.1.0.tar.gz / openexr-2.1.0.tar.gz and ilmbase-2.2.0.tar.gz / openexr-2.2.0.tar.gz


Mon, 13 Nov 2017 13:08:39 +0000
Author : Robert Osfield
Fixed typo

Mon, 13 Nov 2017 13:06:12 +0000
Author : Robert Osfield
Fixed CoverityScan reported errors

Mon, 13 Nov 2017 12:49:33 +0000
Author : Robert Osfield
FIxed two CoverityScan detected memory leaks

Mon, 13 Nov 2017 10:24:31 +0000
Author : Andre Normann
Attached is a fix in GLExtension, which is based on latest git version, that fixes the usage of uniform buffer objects on macOS. Under macOS core OpenGL features aren't exported as extension. OpenGL 3.1 includes the GL_ARB_uniform_buffer_object as core feature for example. On macOS a simple osg::isGLExtensionSupported() call would fail. It is required to use the isGLExtensionOrVersionSupported() method. This is what my fix does.

Sat, 11 Nov 2017 14:50:55 +0000
Author : Robert Osfield
Updated SO version to 152 to reflect the resent API changes to osgAnimation.

Sat, 11 Nov 2017 14:43:10 +0000
Author : OpenSceneGraph git repository
Merge pull request #382 from openscenegraph/osganimationOsganimation improvements

Sat, 11 Nov 2017 13:27:43 +0000
Author : OpenSceneGraph git repository
Build fix

Sat, 11 Nov 2017 13:08:42 +0000
Author : OpenSceneGraph git repository
Readbility improvements and updating version to 152

Sat, 11 Nov 2017 13:04:34 +0000
Author : OpenSceneGraph git repository
Added versioning to the new serialization additions

Sat, 11 Nov 2017 13:00:56 +0000
Author : OpenSceneGraph git repository
Code readability improvements

Sat, 11 Nov 2017 12:58:52 +0000
Author : OpenSceneGraph git repository
Code readability improvements

Sat, 11 Nov 2017 12:54:28 +0000
Author : OpenSceneGraph git repository
Code readability improvements

Sat, 11 Nov 2017 12:46:48 +0000
Author : OpenSceneGraph git repository
Code readability improvement

Sat, 11 Nov 2017 12:45:55 +0000
Author : OpenSceneGraph git repository
Small readability improvements

Sat, 11 Nov 2017 12:42:34 +0000
Author : OpenSceneGraph git repository
Fix of incorrect Program assignment bug and coding style

Sat, 11 Nov 2017 12:33:44 +0000
Author : OpenSceneGraph git repository
coding style/readability fixes

Sat, 11 Nov 2017 12:29:45 +0000
Author : OpenSceneGraph git repository
coding style/readability fixes

Sat, 11 Nov 2017 12:27:56 +0000
Author : OpenSceneGraph git repository
coding style/readability fixes

Sat, 11 Nov 2017 12:24:27 +0000
Author : OpenSceneGraph git repository
coding style fix

Sat, 11 Nov 2017 11:17:34 +0000
Author : Robert Osfield
Restructed the ref counting of the rawImageRec structure so that it's done with a separate refImageRec struct so it doesn't interfer with the writing of the rawImageRec as a header when writing to .rgb

Sat, 11 Nov 2017 10:19:09 +0000
Author : Andreas Ekstrand
I have implemented readObject to make loading objects from SceneLoader in the LWS plugin work. I'm not sure about other implications from changes leading up to this problem (readRefFile instead of readNodeFile in SceneLoader) but this fix works for me.

Fri, 10 Nov 2017 17:12:20 +0000
Author : Robert Osfield
Fixed handling of GL_TEXTURE_CUBE_MAP when using glTextureStorage.

Fri, 10 Nov 2017 17:00:52 +0000
Author : OpenSceneGraph git repository
Merge pull request #381 from openscenegraph/revert-379-osganimbugfixRevert "    following guidance from OpenGL Common Mistakes:"

Fri, 10 Nov 2017 16:58:29 +0000
Author : OpenSceneGraph git repository
Revert "    following guidance from OpenGL Common Mistakes:"

Fri, 10 Nov 2017 14:49:54 +0000
Author : OpenSceneGraph git repository
Merge pull request #379 from mp3butcher/osganimbugfixFixed handling of mipmaps

Fri, 10 Nov 2017 13:36:52 +0000
Author : OpenSceneGraph git repository
Merge pull request #380 from mp3butcher/MDI7add funcs to read GZ Objects from a stream

Fri, 10 Nov 2017 12:41:21 +0000
Author : Robert Osfield
Fixed crash in copy constructor due to copy and paste/typo.

Wed, 8 Nov 2017 15:57:34 +0100
Author : Julien Valentin
replace string with stringstream (avoid a string copy at read)

Wed, 8 Nov 2017 15:40:11 +0100
Author : Julien Valentin
add funcs to read Object from a GZ stream

Mon, 6 Nov 2017 20:49:23 +0000
Author : Robert Osfield
Added Pawel's origin commit message into the osggpucull source as it examples a lot about how the example works

Mon, 6 Nov 2017 19:53:38 +0000
Author : Robert Osfield
Temporary workaround for the regression of intersection tests with osgText::Text.  Added a local vertex array that is transformed by the last applied text matrix.

Sat, 4 Nov 2017 17:28:14 +0100
Author : Julien Valentin
    following guidance from OpenGL Common Mistakes:     mipmaps should be upload with glTexImage2D and not glTexSubImage2D

Fri, 3 Nov 2017 09:55:42 +0000
Author : Robert Osfield
Added check for malloc returning a valid pointer

Fri, 3 Nov 2017 09:49:50 +0000
Author : Robert Osfield
Added an explict null termination of buffer to address Coverity Scan reported issue

Thu, 2 Nov 2017 18:43:05 +0000
Author : Robert Osfield
Added check for a valud positions pointer

Thu, 2 Nov 2017 18:39:11 +0000
Author : Robert Osfield
Fuxed missing initializers

Thu, 2 Nov 2017 16:39:32 +0000
Author : Robert Osfield
Changed the key binding for opening and editor to edit presentation to 'E' and to trigger update the presentation by pressing 'e'

Thu, 2 Nov 2017 11:51:03 +0000
Author : Robert Osfield
Fixed copy and paste error

Thu, 2 Nov 2017 11:48:39 +0000
Author : Robert Osfield
Moved memset to after check for null memory pointer

Thu, 2 Nov 2017 11:42:25 +0000
Author : Robert Osfield
Cleaned up getEnvVar usage

Thu, 2 Nov 2017 10:43:41 +0000
Author : Robert Osfield
Replaced getenv usage with safer osg::getEnvVar

Thu, 2 Nov 2017 10:02:34 +0000
Author : Robert Osfield
Fixed warning

Thu, 2 Nov 2017 10:00:28 +0000
Author : Robert Osfield
Replaced getenv calls with safer osg::getEnvVar usage

Wed, 1 Nov 2017 17:38:33 +0000
Author : Robert Osfield
Moved getenv usage across to safer osg::getEnvVar() usage

Wed, 1 Nov 2017 16:43:32 +0000
Author : Robert Osfield
Added safety check for getenv parsing to prevent overflow attacks via getenv.

Wed, 1 Nov 2017 14:45:27 +0000
Author : Robert Osfield
Moved from getenv to osg::getEnvVar usage

Wed, 1 Nov 2017 14:16:54 +0000
Author : Robert Osfield
Made template function inline to avoid multiple declaration issues

Wed, 1 Nov 2017 13:54:15 +0000
Author : Robert Osfield
Replaced getenv(..) usage with osg::getEnvVar(..)

Wed, 1 Nov 2017 13:32:47 +0000
Author : Robert Osfield
Added OSG_ENVVAR_SUPPORTED cmake control and bool osg::getEnvVar(const char* name, T& value, ...) conviniece funcions to make it easier to implement optinal getenv reading code.

Wed, 1 Nov 2017 11:35:05 +0000
Author : Robert Osfield
Fixed Coverity Scane reported issue.

Tue, 31 Oct 2017 17:59:13 +0000
Author : OpenSceneGraph git repository
Merge pull request #378 from mp3butcher/osganimationupdate osganimationhardware example to use a common program

Tue, 31 Oct 2017 17:55:59 +0000
Author : Robert Osfield
Fixed unititialized memory variables and improved readability by adding spacing where appropriate

Tue, 31 Oct 2017 17:43:39 +0000
Author : Robert Osfield
Added missing initializers

Tue, 31 Oct 2017 17:39:34 +0000
Author : Robert Osfield
Fixed CovertiScan reported uninitialized member variable

Tue, 31 Oct 2017 17:02:31 +0000
Author : Robert Osfield
Fixed Coverity Scan reported issue

Tue, 31 Oct 2017 18:00:06 +0100
Author : Julien Valentin
update example to use a common program

Tue, 31 Oct 2017 16:46:42 +0000
Author : Robert Osfield
Replace c char array with std::string to address Coverity scan reported issue

Tue, 31 Oct 2017 15:55:24 +0000
Author : Robert Osfield
Fixed Coverity Scan reported memory leaks

Tue, 31 Oct 2017 15:47:49 +0000
Author : Robert Osfield
Fixed Coverity reported memory leak

Tue, 31 Oct 2017 14:55:41 +0000
Author : Robert Osfield
Reinstated two stage OSX build, and disabled part of the coverity_scan build to attempt to get it running without timeout.

Tue, 31 Oct 2017 12:32:45 +0000
Author : Robert Osfield
Upped the number of threads used in build to try and improve build speed

Tue, 31 Oct 2017 10:01:52 +0000
Author : Robert Osfield
Simplified build for OSX now that trais builds are running faster.

Mon, 30 Oct 2017 15:53:56 +0000
Author : Robert Osfield
Merge branch 'master' into osganimation

Mon, 30 Oct 2017 14:36:41 +0000
Author : Robert Osfield
From Raymond de Vires, added support for 2018 and 2016 versions of FBX.

Mon, 30 Oct 2017 14:36:41 +0000
Author : Robert Osfield
From Raymond de Vires, added support for 2018 and 2016 versions of FBX.

Mon, 30 Oct 2017 14:22:10 +0000
Author : Robert Osfield
From Raymond de Vires, Windows build fix

Mon, 30 Oct 2017 14:05:45 +0000
Author : Robert Osfield
Updated ChangeLog and AUTHORS

Mon, 30 Oct 2017 13:40:50 +0000
Author : Robert Osfield
Quitened down the DisplaySettings::setShaderHint() output for NONE.

Mon, 30 Oct 2017 09:32:04 +0000
Author : Robert Osfield
Merged support for StateSet::DefineList from shader_pipeline branch

Mon, 30 Oct 2017 08:37:19 +0000
Author : OpenSceneGraph git repository
Merge pull request #375 from mp3butcher/osganimationreformat AStyle (with codeblocks)

Fri, 27 Oct 2017 21:02:43 +0200
Author : Julien Valentin
reformat with the help of AStyle reformat tool (codeblocks)

Fri, 27 Oct 2017 18:14:04 +0100
Author : Robert Osfield
Fixed build error when building wiht OSG_USE_REF_PTR_IMPLICIT_OUTPUT_CONVERSION=OFF

Fri, 27 Oct 2017 17:15:38 +0100
Author : OpenSceneGraph git repository
Merge pull request #374 from mp3butcher/osganimationfix InfluenceMap "remove useless bones" method

Fri, 27 Oct 2017 17:14:43 +0100
Author : OpenSceneGraph git repository
Merge branch 'osganimation' into osganimation

Fri, 27 Oct 2017 14:19:13 +0100
Author : Robert Osfield
Fixed build errors when compiling with OSG_USE_REF_PTR_IMPLICIT_OUTPUT_CONVERSION set to OFF

Fri, 27 Oct 2017 14:41:29 +0200
Author : Julien Valentin
fix InfluenceMap "remove useless bones" method

Fri, 27 Oct 2017 13:48:52 +0100
Author : Robert Osfield
Build fix for when compiling with OSG_USE_REF_PTR_IMPLICIT_OUTPUT_CONVERSION set to OFF

Fri, 27 Oct 2017 13:48:52 +0100
Author : Robert Osfield
Build fix for when compiling with OSG_USE_REF_PTR_IMPLICIT_OUTPUT_CONVERSION set to OFF

Fri, 27 Oct 2017 13:19:52 +0100
Author : Robert Osfield
Fixed warning

Fri, 27 Oct 2017 13:17:47 +0100
Author : Robert Osfield
From Farshid Lashkari, "fix for the Collada loader to check for some NULL attributes."

Fri, 27 Oct 2017 12:54:10 +0100
Author : Robert Osfield
Merge branch 'master' into osganimation

Fri, 27 Oct 2017 09:33:24 +0100
Author : OpenSceneGraph git repository
Merge pull request #373 from LaurensVoerman/noStdMaxuse osg::maximum, not std::max

Fri, 27 Oct 2017 09:41:28 +0200
Author : Laurens Voerman
use osg::maximum, not std::max

Thu, 26 Oct 2017 14:26:01 +0100
Author : OpenSceneGraph git repository
Merge pull request #372 from openscenegraph/text_improvementsText improvements, introducing implementation of Signed Distance Function texture generation and new shaders for outlines and shadows replacing old multi-pass approach

Thu, 26 Oct 2017 12:08:00 +0100
Author : Robert Osfield
Updated from OpenSceneGraph-Data/shader/text.frag to add fixes to handling of vertexColor's alpha values

Thu, 26 Oct 2017 12:03:56 +0100
Author : Robert Osfield
Added update of glyph representation to ensure all the glyphs are assigned to the required GlyphTextures

Thu, 26 Oct 2017 12:02:56 +0100
Author : Robert Osfield
Added command line parsing to aid with testing of osgText by allowing osgText::FadeText to be created with various options

Wed, 25 Oct 2017 16:29:25 +0100
Author : Robert Osfield
Added optimization for text where the colour alpha value is 0.0, returning early to aovid any GL calls.

Wed, 25 Oct 2017 16:13:26 +0100
Author : Robert Osfield
Fixed pre compilation osg::Program state leaking into the main scene graph rendering

Tue, 24 Oct 2017 16:04:14 +0100
Author : Robert Osfield
Added stats handler

Tue, 24 Oct 2017 15:14:23 +0100
Author : Robert Osfield
Updated from OpenSceneGraph-Data/shaders/text.frag to address GLSL int to float conversion warning

Tue, 24 Oct 2017 14:46:13 +0100
Author : Robert Osfield
Added DisplaySettings:s/getgTextShaderTechnique() and  OSG_TEXT_SHADER_TECHNIQUE env var support to DisplaySettings. Added using of DisplaySettings:getgTextShaderTechnique() to Text default constructor. Added better debug output control in Text.cpp

Tue, 24 Oct 2017 12:34:48 +0100
Author : Robert Osfield
Improved the Text::_shaderTechnique default setting using OSG_TEXT_SHADER_TECHNIQUE env var, options are ALL_FEATURES, GREYSCALE, SIGNED_DISTANCE_FIELD, SDF, NO_TEXT_SHADER, NONE.

Tue, 24 Oct 2017 12:07:13 +0100
Author : Robert Osfield
Quitened down debug info

Tue, 24 Oct 2017 11:36:00 +0100
Author : Robert Osfield
Fixed Glyph::TextureInfo assignment bug

Mon, 23 Oct 2017 16:07:24 +0100
Author : Robert Osfield
Renamed text_sdf.frag to text.frag and removed text_greyscale_frag. Cleaned up setup of osgText::ShaderTechnique adding a NO_SHADER_TECHNIQUE option.

Mon, 23 Oct 2017 14:50:35 +0100
Author : Robert Osfield
Restructed the way that GlyphTexture is set up to better support control of osgText::ShaderTechnique from osgText::Text

Mon, 23 Oct 2017 09:06:55 +0100
Author : OpenSceneGraph git repository
Merge pull request #371 from hwiesmann/masterRemoval of compiler warning for Cocoa builds

Mon, 23 Oct 2017 09:05:34 +0100
Author : OpenSceneGraph git repository
Merge pull request #370 from siu/master-travisCcacheFix ccache on travis

Sun, 22 Oct 2017 22:13:46 +0200
Author : Hartwig
BUG FIX - Addition of missing #endif directive

Sun, 22 Oct 2017 15:04:33 +0200
Author : Hartwig
Replacement of commas with semicolons

Sun, 22 Oct 2017 13:47:51 +0200
Author : Hartwig
Removal of compiler warning for Cocoa builds

Fri, 20 Oct 2017 14:09:11 +0200
Author : David Siñuela Pastor
Install ccache on MacOsNote that brew update must be run before any brew install command or
it will fail, see https://github.com/travis-ci/travis-ci/issues/8552.


Wed, 18 Oct 2017 12:20:35 +0200
Author : David Siñuela Pastor
Fix ccache configuration in travisUse ccache as explained in https://docs.travis-ci.com/user/caching/#ccache-cache


Sat, 21 Oct 2017 10:08:41 +0100
Author : Robert Osfield
Added Text::s/getShaderTechnique()

Fri, 20 Oct 2017 17:03:25 +0100
Author : Robert Osfield
Moved osgText::GlyphTechnique::Features enum to osgText::ShaderTechinque enum to make it's roll clearer

Fri, 20 Oct 2017 14:14:14 +0100
Author : Robert Osfield
Merge branch 'master' into text_improvements

Fri, 20 Oct 2017 11:52:48 +0100
Author : Robert Osfield
From Ralf Habacker, patch refactoring struct ObjOptionsStruct in obj plugin into a real class, which is a preparation for further obj related patches.

Fri, 20 Oct 2017 11:37:41 +0100
Author : Robert Osfield
Added built-in support for lighting.vert

Fri, 20 Oct 2017 10:18:21 +0100
Author : Robert Osfield
Updated shaders from OpenSceneGraph-Data/shaders

Thu, 19 Oct 2017 20:57:25 +0100
Author : Robert Osfield
Moved the assignment of the ModifiedCount to before GL texture calls.

Thu, 19 Oct 2017 12:39:22 +0100
Author : Robert Osfield
Implemented --single command line option that creates a single osg::DrawElementsUInt primitive set instead of using MultiDrawIndirect.

Thu, 19 Oct 2017 12:06:59 +0100
Author : Robert Osfield
Improved spacing to make code more readable

Thu, 19 Oct 2017 11:57:53 +0100
Author : Robert Osfield
Build fixes with ref_ptr<> autoconversion disabled

Thu, 19 Oct 2017 11:06:23 +0100
Author : Robert Osfield
Fixed placement of { and spacing to make the code more readable and consistent with the rest of the OSG

Wed, 18 Oct 2017 10:11:43 +0100
Author : Robert Osfield
Implemented inplace replacement

Tue, 17 Oct 2017 17:11:12 +0200
Author : David Siñuela Pastor
Do not break systems with cr as line endings

Mon, 16 Oct 2017 11:52:54 +0100
Author : Robert Osfield
Fixed warning

Mon, 16 Oct 2017 10:47:47 +0100
Author : Robert Osfield
Fixed GLX EGL build

Mon, 16 Oct 2017 10:38:33 +0100
Author : Robert Osfield
Removed inappropriate tabs&spaces

Mon, 16 Oct 2017 10:16:49 +0100
Author : OpenSceneGraph git repository
Merge pull request #364 from mp3butcher/osganimbugfixadd osg::Program::BindUniformBlockList serialization

Mon, 16 Oct 2017 10:12:19 +0100
Author : Robert Osfield
Fixed build error

Mon, 16 Oct 2017 10:08:18 +0100
Author : Robert Osfield
Moved bracket to be consistent with the rest of the OSG

Mon, 16 Oct 2017 10:00:49 +0100
Author : OpenSceneGraph git repository
Merge pull request #366 from LaurensVoerman/rotateDXTadd support for dxt compressed images to createImageWithOrientationConversion

Mon, 16 Oct 2017 09:58:29 +0100
Author : OpenSceneGraph git repository
Merge pull request #367 from LaurensVoerman/compression_astccopySubImage support for block compressed images, added support for astc compressed type.

Mon, 16 Oct 2017 09:49:47 +0100
Author : Robert Osfield
Fixed indentation

Mon, 16 Oct 2017 09:45:37 +0100
Author : OpenSceneGraph git repository
Merge pull request #365 from LaurensVoerman/login2modified present3D and osgvnc to allow multiple --login arguments like osgViewer.

Sat, 14 Oct 2017 09:06:37 +0100
Author : Robert Osfield
Changed the precision setting of  #pargma(tic) shader composition define setup to address GLES compatibility issues

Sat, 14 Oct 2017 09:03:08 +0100
Author : Robert Osfield
Improved the formating of GLSL source that is passed to OpenGL to make debugging shaders easier.

Fri, 13 Oct 2017 17:03:31 +0100
Author : Robert Osfield
Cleaned up support for GL3 build

Fri, 13 Oct 2017 16:54:04 +0200
Author : Laurens Voerman
copySubImage support for block compressed images, added support for astc compressed type.

Fri, 13 Oct 2017 13:01:57 +0100
Author : Robert Osfield
Removed the glyph image outline support as it's no longer required.

Fri, 13 Oct 2017 11:42:25 +0100
Author : Robert Osfield
Deprecated Text:BackdropImplementation, removing the backend as it no longer required when using shaders for backdrop effects

Fri, 13 Oct 2017 08:40:58 +0100
Author : Robert Osfield
Removed old multipass implemenmtations of backdrops as effect is now fully implememted in shaders

Thu, 12 Oct 2017 17:19:24 +0200
Author : Julien Valentin
add osg::Program::BindUniformBlock serialization

Thu, 12 Oct 2017 18:45:38 +0100
Author : Robert Osfield
Updated from OpenSceneGraph-Data/shaders/text_sdf.frag to add support for SHADOW

Thu, 12 Oct 2017 16:44:40 +0100
Author : Robert Osfield
Merge branch 'master' into text_improvements

Thu, 12 Oct 2017 17:38:16 +0200
Author : Laurens Voerman
add support for dxt compressed images to createImageWithOrientationConversion

Thu, 12 Oct 2017 17:21:10 +0200
Author : Laurens Voerman
modified present3D to allow multiple --login arguments like osgViewer, added --login option to osgvnc example

Thu, 12 Oct 2017 15:52:42 +0100
Author : OpenSceneGraph git repository
Merge pull request #363 from LaurensVoerman/dxtcGetcoloradded dxtc support in Image::getColor, Image::isImageTranscent testdxt3 and dxt5

Thu, 12 Oct 2017 13:49:57 +0200
Author : Laurens Voerman
added dxtc support in Image::getColor, enhanced Image::isImageTranslucent to test opacity of dxt3 and dxt5 images

Thu, 12 Oct 2017 11:12:47 +0100
Author : Robert Osfield
Updated text_sdf_frag.cpp from OpenSceneGraph-Data changes that add outline generation for non SIGNED_DISTANCE_FIELD text.

Tue, 10 Oct 2017 09:21:34 +0100
Author : Robert Osfield
Merge branch 'master' into text_improvements

Mon, 9 Oct 2017 12:33:06 +0100
Author : Robert Osfield
Updated ChangeLog

Mon, 9 Oct 2017 12:25:40 +0100
Author : Robert Osfield
Updated version number

Mon, 9 Oct 2017 12:23:45 +0100
Author : Robert Osfield
Updated AUTHORS

Mon, 9 Oct 2017 10:03:21 +0100
Author : OpenSceneGraph git repository
Merge pull request #359 from eligovision/OpenSceneGraph_glesAdded defines: GL_ALPHA4/8/12/16 in osg/Image, this will fix compilat…

Mon, 9 Oct 2017 10:02:51 +0100
Author : OpenSceneGraph git repository
Merge pull request #358 from eligovision/OpenSceneGraph_optimizerVertexAttribDivisor compare function fix: index must be compared

Fri, 6 Oct 2017 18:03:36 +0100
Author : Robert Osfield
Added explictly unbinding of VBO for setInterleavedArrays().

Fri, 6 Oct 2017 17:47:19 +0100
Author : Robert Osfield
Added VertexArrayState::ArrayDispatch::className() method and implementation for each ArrayDispatch subclass to help with debugging

Fri, 6 Oct 2017 17:37:50 +0300
Author : Konstantin S. Matveyev
Added defines: GL_ALPHA4/8/12/16 in osg/Image, this will fix compilation error while building for GLES2

Fri, 6 Oct 2017 14:33:07 +0300
Author : Konstantin S. Matveyev
VertexAttribDivisor compare function fix: index must be compared

Thu, 5 Oct 2017 16:56:30 +0100
Author : Robert Osfield
Improved the readability of recent changes by adding spaces, {} and moving { onto separate lines to keep things consistent with the rest of the OSG.

Thu, 5 Oct 2017 16:43:54 +0100
Author : OpenSceneGraph git repository
Merge pull request #357 from mp3butcher/osganimationfix normalization bug (happen too early )

Thu, 5 Oct 2017 16:31:45 +0100
Author : OpenSceneGraph git repository
Merge pull request #354 from eligovision/OpenSceneGraph_intersectionLineSegmentIntersector fixed: intersection ratio remaped to the range…

Thu, 5 Oct 2017 16:30:21 +0100
Author : OpenSceneGraph git repository
Merge pull request #353 from eligovision/OpenSceneGraph_iotellg call removed from StreamOperator's checkStream function, becaus…

Thu, 5 Oct 2017 16:29:37 +0100
Author : OpenSceneGraph git repository
Merge pull request #355 from denyskoch/patch-1Fix loading of 16bit PNG images

Thu, 5 Oct 2017 15:59:26 +0100
Author : Robert Osfield
Fixed spacing to make it consistent with the rest of the OSG and make it easier to read.

Thu, 5 Oct 2017 15:57:02 +0100
Author : OpenSceneGraph git repository
Merge pull request #351 from LaurensVoerman/vncHostPwVNC: try to find password for host if no password for host:port is found

Thu, 5 Oct 2017 15:37:03 +0100
Author : Robert Osfield
Added support for multiple --login url username password entries to osgviewer

Thu, 5 Oct 2017 15:02:17 +0100
Author : OpenSceneGraph git repository
Merge pull request #348 from eligovision/OpenSceneGraph_serializersosg serializers fixed for static build, ShaderAttribute wrapper added

Thu, 5 Oct 2017 12:45:47 +0100
Author : Robert Osfield
Steamlined the handling of osg::Geometry

Thu, 5 Oct 2017 12:15:23 +0100
Author : OpenSceneGraph git repository
Merge pull request #346 from LaurensVoerman/FindLIBLASremoved las_c library from FindLIBLAS.cmake, it's not used by the osgplugin.

Thu, 5 Oct 2017 12:14:03 +0100
Author : Robert Osfield
Merge branch 'master' into text_improvements

Wed, 4 Oct 2017 18:06:42 +0100
Author : Robert Osfield
Improvements to the Signed Distance Field implementation.

Wed, 4 Oct 2017 05:42:33 +0200
Author : Julien Valentin
fix normalization bug (happen too early )minor bug

bla


Fri, 29 Sep 2017 20:21:13 +0100
Author : Robert Osfield
Simplified and improved the glyph margin computation and usage

Fri, 29 Sep 2017 10:39:02 +0100
Author : Robert Osfield
Improved SDF generation

Fri, 29 Sep 2017 10:25:04 +0100
Author : Robert Osfield
Added setting of the FontResolution of the DefaultFont

Fri, 29 Sep 2017 10:20:59 +0100
Author : Robert Osfield
Added command line support for specifying "default" for osgText::DefaultFont

Fri, 29 Sep 2017 09:54:43 +0100
Author : Robert Osfield
Improved the setup of the --counter test

Thu, 28 Sep 2017 11:09:18 +0200
Author : Denys Koch
Fix loading of 16bit PNG imagesWhen a 16bit PNG image is loaded, the internalTextureFormat is set to unsized (i.e pixelFormat) constant. This results in 8 Bit Texture2D

Wed, 27 Sep 2017 11:09:22 +0100
Author : Robert Osfield
Fixed update of GlyphTexture Image when copying new Glyph image's to it.

Tue, 26 Sep 2017 15:32:41 +0100
Author : Robert Osfield
UPdated from OpenSceneGraph-Data with handling of non textured text decoration

Tue, 26 Sep 2017 12:51:03 +0100
Author : Robert Osfield
Updated shader from OpenSceneGraph-Data/shaders to add fade out for SDF and non SDF pathways

Tue, 26 Sep 2017 10:57:09 +0100
Author : Robert Osfield
Updated wiht OpenSceneGraph-Data/shader version that introduced use of textureLOD to reduce aliasing artifacts with SDF

Tue, 26 Sep 2017 10:44:14 +0100
Author : Robert Osfield
Updated shaders using latest OpenSceneGraph-Data/shader versions

Tue, 26 Sep 2017 10:42:47 +0100
Author : Robert Osfield
Improvements to SDF and outline generation

Fri, 22 Sep 2017 12:22:58 +0100
Author : Robert Osfield
Fixed rendering old sytel outline

Fri, 22 Sep 2017 11:38:43 +0300
Author : Konstantin S. Matveyev
LineSegmentIntersector fixed: intersection ratio remaped to the range of LineSegment => correct order in multiset of intersections

Sun, 17 Sep 2017 18:48:32 +0300
Author : konstantin.matveyev
tellg call removed from StreamOperator's checkStream function, because reading of files (readNodeFile etc.) with tellg on 'every iter' is approximately 100 times slower on Emscripten platform

Fri, 22 Sep 2017 11:34:28 +0300
Author : Konstantin S. Matveyev
LineSegmentIntersector fixed: intersection ratio remaped to the range of LineSegment => correct order in multiset of intersections

Fri, 22 Sep 2017 07:56:30 +0100
Author : OpenSceneGraph git repository
Merge pull request #352 from remoe/patch-3addShader fix

Fri, 22 Sep 2017 08:39:38 +0200
Author : Remo E
addShader fix

Thu, 21 Sep 2017 16:04:10 +0100
Author : Robert Osfield
Removed debug output

Thu, 21 Sep 2017 16:01:27 +0100
Author : Robert Osfield
Added assignStateSet() to Text::setBackgroundColor()

Thu, 21 Sep 2017 15:52:07 +0100
Author : Robert Osfield
Added support for toggling on use of the new SignedDistanceFunction function now built into osgText, just use --sdf to enable.

Thu, 21 Sep 2017 15:41:21 +0100
Author : Robert Osfield
Removed debug info

Thu, 21 Sep 2017 16:33:14 +0200
Author : Laurens Voerman
VNC: try to find password for host if no password for host:port is found

Thu, 21 Sep 2017 14:35:31 +0100
Author : Robert Osfield
Moved enabling/disabling of SDF so it's done regardless of whether a backdrop is used.

Thu, 21 Sep 2017 14:32:17 +0100
Author : Robert Osfield
Umproved SDF computation.

Wed, 20 Sep 2017 16:51:30 +0100
Author : Robert Osfield
Removed no longer used code paths

Wed, 20 Sep 2017 15:51:03 +0100
Author : Robert Osfield
Added support for only enabling SignedDistanceField shader path when font resolution is greater than 16.

Wed, 20 Sep 2017 14:30:23 +0100
Author : Robert Osfield
cleaned up exmple

Wed, 20 Sep 2017 14:29:05 +0100
Author : Robert Osfield
Added Text::assignStateSet() and usage to make sure the correct StateSet is setup for each combination of backdrop settings

Wed, 20 Sep 2017 11:02:06 +0100
Author : Robert Osfield
Updated text_sdf.frag shader to handle GLES2+ versions

Wed, 20 Sep 2017 11:01:04 +0100
Author : Robert Osfield
Added commented out debug output to make it easier to test in future

Tue, 19 Sep 2017 17:07:59 +0100
Author : Robert Osfield
Fixed OSG_PRECISION_FLOAT usage

Tue, 19 Sep 2017 17:01:58 +0100
Author : Robert Osfield
Fixed X11 GLES2 build

Tue, 19 Sep 2017 16:35:28 +0100
Author : Robert Osfield
Added osgText/shaders to support greyscale and Signed Distance Field based text

Mon, 18 Sep 2017 18:09:15 +0100
Author : Robert Osfield
Added support for subsititing $VAR_NAME entries in shaders to enable writing shaders that work across GLSL versions.

Fri, 15 Sep 2017 15:14:19 +0100
Author : Robert Osfield
Added constant sizeing vs changing label size relatve to font resolution, controlled by --constant-size and --scale-size command line options.

Fri, 15 Sep 2017 12:14:37 +0300
Author : Konstantin S. Matveyev
osg serializers fixed for static build, ShaderAttribute wrapper added

Thu, 14 Sep 2017 15:58:38 +0100
Author : Robert Osfield
Impprovide the computation of the Signed Distance Field

Wed, 13 Sep 2017 11:09:56 +0100
Author : Robert Osfield
Fixed of shadow

Wed, 13 Sep 2017 11:08:51 +0100
Author : Robert Osfield
Added --shadow-* command line variants to provide full control over the position of the text shadow

Tue, 12 Sep 2017 19:13:01 +0100
Author : Robert Osfield
Added setting of the Text::BackdropImplementation type to USE_SHADERS when setting up shaders

Tue, 12 Sep 2017 16:03:35 +0100
Author : Robert Osfield
Changed the margin computation to properly account of the Signed Distance Function data

Tue, 12 Sep 2017 11:50:47 +0100
Author : Robert Osfield
Shifted set up of osgText related StateSet from osgText::Font into into osg::TextBase/Text to enable grater control over state required for specific Text implementations

Tue, 12 Sep 2017 09:19:33 +0200
Author : Laurens Voerman
removed las_c library from FindLIBLAS.cmake, it's not used by the osg plugin.

Fri, 8 Sep 2017 17:03:15 +0100
Author : Robert Osfield
Added extra command line paramter and osgText::Font settings to add better control of osgText::GlyphTexture generation to support signed distance field and outline image data.

Fri, 8 Sep 2017 17:02:38 +0100
Author : Robert Osfield
Added setting of the original font reoslution to the created Glyph

Fri, 8 Sep 2017 16:59:43 +0100
Author : Robert Osfield
Add support for generating outline and signed distance field channels in a RGBA packed GlyphTexture Image.

Wed, 6 Sep 2017 16:53:54 +0100
Author : Robert Osfield
Added KeyHandler for toggling "SIGNED_DISTANCE_FIELD" and "OUTLINE" #pragma(tic) shader defines to control the different shader paths.Keys to press are 'd' for toggle SIGNED_DISTANCE_FIELD and 'o' for OUTLINE.


Wed, 6 Sep 2017 10:40:05 +0100
Author : Robert Osfield
To control the GlyphTexture Min/MagFilter values Added --min <value> and --mag <value> filter with LINEAR, NEAREST and LINEAR_MIPMAP_LINER options for values

Mon, 4 Sep 2017 15:35:01 +0100
Author : OpenSceneGraph git repository
Merge pull request #340 from mp3butcher/osganimationadd a new method on VertexInfluenceMap and the serializer for MorphTransforfHW

Mon, 4 Sep 2017 15:21:26 +0100
Author : OpenSceneGraph git repository
Merge pull request #344 from eligovision/OpenSceneGraph_text3dText3D dynamic changing fix

Mon, 4 Sep 2017 15:20:54 +0100
Author : OpenSceneGraph git repository
Merge pull request #345 from eligovision/OpenSceneGraph_example_text3dexample_osgtext3d: more options for testing

Mon, 4 Sep 2017 12:04:37 +0200
Author : Julien Valentin
add DSO scope in modified XXXTransformHardware serializers

Mon, 4 Sep 2017 11:44:30 +0300
Author : Konstantin S. Matveyev
example_osgtext3d: more options for testing

Mon, 4 Sep 2017 11:29:50 +0300
Author : Konstantin S. Matveyev
Text3D dynamic changing fix

Mon, 4 Sep 2017 08:36:49 +0100
Author : OpenSceneGraph git repository
Merge pull request #341 from scrawl/cullingactive_fixLineSegmentIntersector: respect the 'cullingActive' flag for bounding box check

Mon, 4 Sep 2017 02:27:54 +0200
Author : Julien Valentin
cleanup

Sun, 3 Sep 2017 17:37:06 +0200
Author : Julien Valentin
make preparedata skeleton independant (as it was with the Rig::buildInfluenceSet) no more divergence with master i think

Sun, 3 Sep 2017 14:15:36 +0000
Author : scrawl
LineSegmentIntersector: respect the 'cullingActive' flag when testing drawable bounding box

Fri, 1 Sep 2017 20:03:05 +0200
Author : Julien Valentin
Merge remote-tracking branch 'upstream/master' into osganimation

Fri, 1 Sep 2017 19:13:01 +0200
Author : Julien Valentin
update serializer with new properties

Fri, 1 Sep 2017 18:08:37 +0200
Author : Julien Valentin
add MorphTransformHardware serializer

Fri, 1 Sep 2017 18:04:32 +0200
Author : Julien Valentin
Merge remote-tracking branch 'upstream/osganimation' into osganimation

Fri, 1 Sep 2017 17:48:28 +0200
Author : Julien Valentin
add void InfluenceMap::removeUnexpressedBones(Skeleton &skel) const; a bit experimental but work well without further process on my test set

Fri, 1 Sep 2017 16:46:38 +0100
Author : OpenSceneGraph git repository
Merge pull request #338 from mp3butcher/osganimationclean and bugfix

Fri, 1 Sep 2017 15:50:47 +0100
Author : OpenSceneGraph git repository
Merge pull request #337 from mp3butcher/osganimbugfixfix a bug in how vertexattributes are filled

Fri, 1 Sep 2017 16:23:49 +0200
Author : Julien Valentin
remove utility classes BoneWeight and IndexWeight in order to avoid unnecessary symbols (but decrease a bit clarity of the code)

Fri, 1 Sep 2017 15:12:10 +0200
Author : Julien Valentin
cleanup

Fri, 1 Sep 2017 01:43:00 +0200
Author : Julien Valentin
a functional cleanup

Thu, 31 Aug 2017 16:35:05 +0200
Author : Julien Valentin
clean and bugfixes

Thu, 31 Aug 2017 14:32:39 +0100
Author : OpenSceneGraph git repository
Merge pull request #333 from mp3butcher/osganimationosgAnimation: change animationdata owner from riggeometry to rigtransformimplementations

Thu, 31 Aug 2017 13:49:27 +0200
Author : Julien Valentin
few cleanup

Thu, 31 Aug 2017 13:30:24 +0200
Author : Julien Valentin
revert s/VertexIndexWeight/IndexWeight/

Thu, 31 Aug 2017 13:29:42 +0200
Author : Julien Valentin
fix example

Wed, 30 Aug 2017 23:15:01 +0200
Author : Julien Valentin
fix a bug in how vertexattributes are filled

Wed, 30 Aug 2017 23:01:21 +0200
Author : Julien Valentin
I found the damn bug in RigTransformHW

Wed, 30 Aug 2017 20:36:34 +0200
Author : Julien Valentin
rehabilit an init method to ensure morphing po setted before skinning po in case of rigeom source that are morphgeom

Wed, 30 Aug 2017 17:43:29 +0100
Author : Robert Osfield
Added --shader filename command line parsing and associated set up of osg::Program to allow shaders to be passed into example to customize rendering

Wed, 30 Aug 2017 16:22:25 +0100
Author : Robert Osfield
Added --interval value commnad line option for setting the Font::setGlyphInterval() to experimentation of clamping of glyph images to user specified intervals in the glyph texture

Wed, 30 Aug 2017 16:21:03 +0100
Author : Robert Osfield
Added osgText::Font::s/getGlyphInterval(int) and GlyphTexture::s/getGlyphInterval(int) and internal support for clmapping positions of glyph images an defined intervals, defaults to 1.

Wed, 30 Aug 2017 17:07:11 +0200
Author : Julien Valentin
add parameter to XXXTranformHW to customize reserved texture attribs and vertex attribs

Wed, 30 Aug 2017 15:46:19 +0200
Author : Julien Valentin
add a guard (if dirty) on uniform update

Wed, 30 Aug 2017 15:13:54 +0200
Author : Julien Valentin
readd VertexInfluence whenever it's bad named and kinda useless

Wed, 30 Aug 2017 14:59:31 +0200
Author : Julien Valentin
readd buildVertexInfluenceSet for backward compat

Wed, 30 Aug 2017 13:21:32 +0200
Author : Julien Valentin
cleanup

Wed, 30 Aug 2017 12:55:45 +0200
Author : Julien Valentin
uncomment normalization in rigtransformxxx

Wed, 30 Aug 2017 12:09:54 +0200
Author : Julien Valentin
add and comment out normlization in rigtransformXXX

Wed, 30 Aug 2017 10:50:26 +0100
Author : Robert Osfield
Added --margin texel_width and --margin-ration ratio to control the spacing between glyphs in the font.

Wed, 30 Aug 2017 10:16:18 +0100
Author : Robert Osfield
Added --test command line option that sets up all the sizes and font settings required for a useufl unit test.

Wed, 30 Aug 2017 11:12:17 +0200
Author : Julien Valentin
refactor: remove totally VertexInfluence (renamed BoneInfluenceList) everywhere

Tue, 29 Aug 2017 17:32:14 +0100
Author : Robert Osfield
Removed debug messages

Tue, 29 Aug 2017 17:19:26 +0100
Author : Robert Osfield
Added TextSettings struct to manage values used to set up the text. with the addition of following command line parameters:    --outline // enable outlne    --shadow // enable shadow    --offset ratio // set the backdrop offset    --text-color r g b a // set the text body color    --bd-color r g b a // set the shadow/outline color    --bg-color r g b a // window background color    -o filename // write create subgraph to disk using specified filename

Tue, 29 Aug 2017 17:32:19 +0200
Author : Julien Valentin
swap priority in BonePtrWeight comparator< yeild the same VG set

Tue, 29 Aug 2017 17:24:35 +0200
Author : Julien Valentin
cleanup

Tue, 29 Aug 2017 15:10:05 +0200
Author : Julien Valentin
remove virtual qualifier for deprecated method

Tue, 29 Aug 2017 14:47:56 +0200
Author : Julien Valentin
add MorphTransformHW for RigGeometry sources that are MorphGeometry

Tue, 29 Aug 2017 14:11:44 +0200
Author : Julien Valentin
set defaut implementation at creation

Tue, 29 Aug 2017 13:48:06 +0100
Author : Robert Osfield
Added --ortho command line option to toggle use of orthographic camera or default perspective one

Tue, 29 Aug 2017 12:21:14 +0100
Author : Robert Osfield
Added argument parsing to viewer constructor

Tue, 29 Aug 2017 10:51:06 +0100
Author : OpenSceneGraph git repository
Merge pull request #334 from mathieu/ValidateProgramTooEarlyUnder macOS the glValidateProgram reports too many errors 

Tue, 29 Aug 2017 11:34:27 +0200
Author : Mathieu MARACHE
Under macOS the glValidateProgram reports too many false negatives (errors) about missing buffers, etc..From the internet https://stackoverflow.com/questions/15335510/opengl-glvalidateprogram-error-on-mac-os-x :
« […] The purpose of glValidateProgram is not to use it as an added "check" step after linking the program, because the GL and application state is hardly ready for actually using that program at this point, probably it's even before we get around to initializing the default framebuffer (its bitdepth, its multisample buffers, etc), and that's what the error hints at.

An appropriate place to call glValidateProgram would be right before you make a real render call. »

Tue, 29 Aug 2017 02:55:40 +0200
Author : Julien Valentin
few refactoring and fixes

Tue, 29 Aug 2017 00:34:26 +0200
Author : Julien Valentin
readd the 2 methods in InfluenceMap just in case

Tue, 29 Aug 2017 00:09:38 +0200
Author : Julien Valentin
cleanup

Tue, 29 Aug 2017 00:07:07 +0200
Author : Julien Valentin
remove VertexInfluenceSet

Mon, 28 Aug 2017 18:42:22 +0200
Author : Julien Valentin
add 2 method to VertexInfluenceMap: normalize and cullInfluenceCountPerVertex

Mon, 28 Aug 2017 18:27:23 +0200
Author : Julien Valentin
comply with refactoring

Mon, 28 Aug 2017 18:16:30 +0200
Author : Julien Valentin
total removal of the old path

Mon, 28 Aug 2017 18:02:52 +0200
Author : Julien Valentin
remove default order for BoneWeight and restore old sort func (behaviors differs)

Mon, 28 Aug 2017 16:28:30 +0100
Author : OpenSceneGraph git repository
Merge pull request #332 from denyskoch/fix-boundingsphere-inequality-operatorFix flawed BoundingSphere inequality operator

Mon, 28 Aug 2017 17:13:48 +0200
Author : Julien Valentin
clean unused

Mon, 28 Aug 2017 17:13:23 +0200
Author : Julien Valentin
fix the example

Mon, 28 Aug 2017 16:46:01 +0200
Author : Julien Valentin
remove old path and add few fixes

Mon, 28 Aug 2017 16:02:00 +0200
Author : Julien Valentin
minor fixes removed unused

Mon, 28 Aug 2017 15:59:13 +0200
Author : Julien Valentin
reroot to rigtransform::prepareData old path to rig::buildvertexinfluence

Mon, 28 Aug 2017 15:44:09 +0200
Author : Julien Valentin
remove unused

Mon, 28 Aug 2017 15:41:14 +0200
Author : Julien Valentin
add prepareData for RigTransformHW

Mon, 28 Aug 2017 15:40:04 +0200
Author : Julien Valentin
minor changes+fix

Mon, 28 Aug 2017 15:27:46 +0200
Author : Julien Valentin
add default constructor for IndexWeight with invalid indices

Mon, 28 Aug 2017 14:25:12 +0200
Author : Julien Valentin
add prepareData for rigttransform software

Mon, 28 Aug 2017 14:34:39 +0200
Author : Denys Koch
Fix flawed BoundingSphere inequality operator

Mon, 28 Aug 2017 14:23:15 +0200
Author : Julien Valentin
few refactoring

Mon, 28 Aug 2017 13:18:37 +0100
Author : OpenSceneGraph git repository
Merge pull request #331 from mp3butcher/osganimationOsganimation fix a bug introduced when readding transformsoftwareMethod

Mon, 28 Aug 2017 13:34:06 +0200
Author : Julien Valentin
Merge remote-tracking branch 'upstream/osganimation' into osganimation

Mon, 28 Aug 2017 05:22:14 +0200
Author : Julien Valentin
fix a bug introduced when readding transformsoftwareMethod

Mon, 28 Aug 2017 10:28:18 +0100
Author : Robert Osfield
Merge branch 'osganimation' of https://github.com/mp3butcher/OpenSceneGraph into osganimation

Mon, 28 Aug 2017 10:02:27 +0100
Author : OpenSceneGraph git repository
Merge pull request #330 from mathieu/ProgramFixFunctionAvailableCoreProfileosg::Program::isFixedFunction() should'nt return true if fixed function unavailable

Mon, 28 Aug 2017 09:44:10 +0200
Author : Mathieu MARACHE
osg::Program::isFixedFunction() should'nt return true fixed function is unavailable, even if _shaderList.empty() is true

Mon, 28 Aug 2017 05:22:14 +0200
Author : Julien Valentin
fix a bug introduced when readding transformsoftwareMethod

Mon, 28 Aug 2017 05:17:17 +0200
Author : Julien Valentin
add a new prepareData method to the interface

Mon, 28 Aug 2017 04:51:52 +0200
Author : Julien Valentin
MorphTransformHardware using TBO added

Mon, 28 Aug 2017 04:42:51 +0200
Author : Julien Valentin
readd virtual void transformSoftwareMethod() for retrocompatibity

Sun, 27 Aug 2017 18:08:09 +0100
Author : OpenSceneGraph git repository
Merge pull request #327 from kornerr/masterFix Emscripten build errors

Sun, 27 Aug 2017 18:07:21 +0100
Author : OpenSceneGraph git repository
Merge pull request #328 from scrawl/group-docsFix docs for Group::addChild to match implementation

Sun, 27 Aug 2017 02:14:12 +0200
Author : Julien Valentin
replace VertexInfluence to BoneInfluenceList and VertexIndexWeight to IndexWeightfix in example


Sun, 27 Aug 2017 00:10:52 +0200
Author : Julien Valentin
remove unused code and remove a commented section

Sat, 26 Aug 2017 23:05:52 +0200
Author : Julien Valentin
update serializers

Sat, 26 Aug 2017 20:37:10 +0200
Author : Julien Valentin
refactoring and fixes only change in design: decouplage between MorphGeometry and MorphTransform technique no real change in behavior (i hope)

Sat, 26 Aug 2017 19:25:00 +0300
Author : Michael Kapelko
Fix Emscripten build errors

Sat, 26 Aug 2017 11:30:55 +0000
Author : scrawl
Fix docs for Group::addChild to match implementationChecking for duplicates is only done if ENSURE_CHILD_IS_UNIQUE is defined, but this is never defined anywhere.

Fri, 25 Aug 2017 14:49:38 +0100
Author : OpenSceneGraph git repository
Merge pull request #326 from emminizer/glcore3_cmakefixSETUP_EXE in CMake now uses same define for including the GLCORE head…

Fri, 25 Aug 2017 14:48:42 +0100
Author : OpenSceneGraph git repository
Merge pull request #325 from emminizer/msvc2015_exportfixRemoved inappropriate use of OSG_EXPORT on DefaultIndirectCommandDrawArrays and De…

Fri, 25 Aug 2017 09:04:05 -0400
Author : Daniel Emminizer
SETUP_EXE in CMake now uses same define for including the GLCORE headers as SETUP_LIBRARY and SETUP_PLUGIN.  Fixes Windows build errors for applications.

Fri, 25 Aug 2017 08:55:25 -0400
Author : Daniel Emminizer
No longer using OSG_EXPORT on DefaultIndirectCommandDrawArrays and DefaultIndirectCommandDrawElements, fixing compile errors in MSVC 2015.

Fri, 25 Aug 2017 10:04:40 +0100
Author : OpenSceneGraph git repository
Merge pull request #324 from mp3butcher/osganimationAdd extensions

Fri, 25 Aug 2017 00:19:22 +0200
Author : Julien Valentin
Add extensions

Thu, 24 Aug 2017 15:13:14 +0100
Author : Robert Osfield
Cleaned up warnings and removed assorts.

Thu, 24 Aug 2017 13:55:56 +0100
Author : OpenSceneGraph git repository
Merge pull request #322 from mp3butcher/MDI7fix osggpucull to fit both new BIB and MDI

Thu, 24 Aug 2017 14:15:09 +0200
Author : Julien Valentin
fix osggpucull to fit both new BIB and MDI

Thu, 24 Aug 2017 11:17:43 +0100
Author : Robert Osfield
Bumped SO version to reflect changes in ABI

Thu, 24 Aug 2017 11:08:38 +0100
Author : OpenSceneGraph git repository
Merge pull request #321 from LaurensVoerman/tgaMissingColormapfix gcc/VC compile warnings, reject color mapped tga files with missing colormap.

Thu, 24 Aug 2017 11:33:23 +0200
Author : Laurens Voerman
fix gcc/VC compile warnings, reject color mapped tga files with missing colormap.

Thu, 24 Aug 2017 10:33:44 +0100
Author : OpenSceneGraph git repository
Merge pull request #320 from mp3butcher/MDI7MultiDrawIndirect

Thu, 24 Aug 2017 11:26:23 +0200
Author : Julien Valentin
Merge remote-tracking branch 'upstream/master' into MDI7

Thu, 24 Aug 2017 09:53:32 +0100
Author : OpenSceneGraph git repository
Merge pull request #318 from mp3butcher/osganimationchange the design of BufferIndexBinding to work with BufferData instead of BufferObject +matrix transpose

Thu, 24 Aug 2017 10:29:19 +0200
Author : Julien Valentin
comply with osg::BufferIndexBinding new design (a miss)

Wed, 23 Aug 2017 23:42:12 +0200
Author : Julien Valentin
change the design of BufferIndexBinding to work with BufferData instead of BufferObject allow convenient BufferData abstraction +  serialization of BufferIndexBinding

Wed, 23 Aug 2017 19:06:25 +0200
Author : Julien Valentin
add a transpose method for 4x4 and a transpose3x3 to transpose only orthogonal part of a mat4x4

Wed, 23 Aug 2017 15:26:07 +0100
Author : Robert Osfield
Fixed underflow issue

Wed, 23 Aug 2017 14:51:18 +0100
Author : Robert Osfield
Fixed comparison to properly handle texture coordinates being assigned

Wed, 23 Aug 2017 14:48:04 +0100
Author : OpenSceneGraph git repository
Merge pull request #314 from LaurensVoerman/notify2reduce the need to reallocate the std::ostream buffer behind osg::Notify

Wed, 23 Aug 2017 14:39:35 +0100
Author : Robert Osfield
Warning fixes

Tue, 22 Aug 2017 15:23:47 +0200
Author : Laurens Voerman
reduce the need to reallocate the std::ostream buffer behind osg::Notify (causing multitreading issues) by pre-allocating 4095 bytes.

Wed, 23 Aug 2017 08:54:10 +0100
Author : OpenSceneGraph git repository
Merge pull request #315 from kornerr/masterFix stat64 build issue with NDK 15 by definining it as stat for Android

Tue, 22 Aug 2017 22:49:56 +0300
Author : Michael Kapelko
Fix stat64 build issue with NDK 15 by definining at stat for Android

Tue, 22 Aug 2017 12:04:18 +0100
Author : Robert Osfield
Updated ChangeLog

Tue, 22 Aug 2017 09:04:49 +0100
Author : Robert Osfield
Added catch for controbutors list

Tue, 22 Aug 2017 11:58:49 +0100
Author : Robert Osfield
Added name typo fix

Tue, 22 Aug 2017 09:22:41 +0100
Author : OpenSceneGraph git repository
Merge pull request #311 from eligovision/masterGeometry::compileGLObjects function VAO fix

Tue, 22 Aug 2017 09:21:24 +0100
Author : OpenSceneGraph git repository
Merge pull request #312 from LaurensVoerman/vnc_pluginReaderWriterVNC.cpp fix g++ warnings

Mon, 21 Aug 2017 11:15:22 +0200
Author : Laurens Voerman
ReaderWriterVNC.cpp fix g++ warnings

Tue, 22 Aug 2017 10:12:36 +0300
Author : Konstantin S. Matveyev
Geometry::compileGLObjects function VAO fix

Tue, 22 Aug 2017 08:01:40 +0100
Author : OpenSceneGraph git repository
Merge pull request #309 from mp3butcher/osganimationadd DrawElementTypeSimplifierVisitor constructor because default nodevisitor is TRAVERSE_NONE..

Mon, 21 Aug 2017 18:33:56 +0200
Author : Julien Valentin
fix nodevisitor construction

Mon, 21 Aug 2017 16:24:34 +0100
Author : Robert Osfield
Revert commit 904619e219b5c045b1c8d9d923f52f80089ee24e as it was causeing build problems

Mon, 21 Aug 2017 15:06:31 +0100
Author : Robert Osfield
Added handling of CPACK and automatically generated package files

Mon, 21 Aug 2017 11:40:45 +0100
Author : Robert Osfield
Using a PR from Sando Mani for requestioning a specific GL version as a base, cleaned up formattating, made the new code paths simpler and added clean up of memory

Sun, 20 Aug 2017 19:53:41 +0100
Author : OpenSceneGraph git repository
Merge pull request #307 from eligovision/master[*] createTexturedQuadGeometry: fixed for GL3 spec

Sun, 20 Aug 2017 19:52:31 +0100
Author : OpenSceneGraph git repository
Merge pull request #308 from OpenMW/collada_valuetype_patchUse osg::Quat::value_type instead of double in collada plugin

Sun, 20 Aug 2017 15:56:40 +0000
Author : scrawl
Use osg::Quat::value_type instead of double in collada pluginNote that although the value_type is currently always double, using the proper typedef will open the door to implementing a float Quaternion in the future (as I have done so in my own fork)


Sun, 20 Aug 2017 18:01:49 +0300
Author : konstantin.matveyev
[*] createTexturedQuadGeometry: fixed for GL3 spec: GL_QUADS -> GL_TRIANGLES

Sun, 20 Aug 2017 08:32:02 +0100
Author : OpenSceneGraph git repository
Merge pull request #306 from AnyOldName3/targa-type-one-supportAdd support for type-1 (colour-mapped, uncompressed) targa images to …

Sat, 19 Aug 2017 22:22:20 +0100
Author : AnyOldName3
Add support for type-1 (colour-mapped, uncompressed) targa images to the osgTGA plugin

Sat, 19 Aug 2017 17:20:40 +0100
Author : OpenSceneGraph git repository
Merge pull request #304 from eligovision/masterglClear should not be called with zero-mask in osgUtil::RenderStage::…

Fri, 18 Aug 2017 16:13:16 +0100
Author : Robert Osfield
Merged addition of "" around variable from 3.4 branch

Fri, 18 Aug 2017 10:20:26 +0300
Author : Konstantin S. Matveyev
glClear should not be called with zero-mask in osgUtil::RenderStage::drawImplementation

Fri, 18 Aug 2017 08:08:28 +0100
Author : Robert Osfield
Fixed iterator comparison.

Thu, 17 Aug 2017 13:55:13 +0100
Author : OpenSceneGraph git repository
Merge pull request #301 from LaurensVoerman/Submit_linkWithVariablesfix for visual studio trying to link "debug.lib" and "release.lib"

Thu, 17 Aug 2017 10:52:59 +0100
Author : Robert Osfield
Added version check for boolean, TRUE and FALSE settings

Thu, 17 Aug 2017 11:44:06 +0200
Author : Laurens Voerman
fix for visual studio trying to link "debug.lib" and "release.lib"

Wed, 16 Aug 2017 17:51:58 +0100
Author : Robert Osfield
Added remapping of CMAKE_BUILD_TYPE strings that don't have the correct case.

Wed, 16 Aug 2017 14:20:00 +0100
Author : Robert Osfield
Removed the GLclampd declaration and replaced its usage with GLdouble to standardize the OSG extension setup with current GL/GLES headers.Added a float fallback from osg::DepthDangeIndex to suppprt GLES.


Wed, 16 Aug 2017 11:30:14 +0100
Author : OpenSceneGraph git repository
Merge pull request #300 from eligovision/masterText3D character/glyph size fix

Wed, 16 Aug 2017 09:04:02 +0100
Author : OpenSceneGraph git repository
Merge pull request #299 from luzpaz/misc-typo-fixesmisc. typo fixes

Tue, 15 Aug 2017 22:15:31 +0300
Author : konstantin.matveyev
Merge remote-tracking branch 'upstream/master'

Tue, 15 Aug 2017 22:11:15 +0300
Author : konstantin.matveyev
Text3D character/glyph size fixed

Tue, 15 Aug 2017 12:23:49 -0400
Author : luzpaz
misc. typo fixesmostly non-user-facing but some doxy. 

Tue, 15 Aug 2017 16:35:23 +0100
Author : Robert Osfield
Fixed warning

Tue, 15 Aug 2017 15:42:22 +0100
Author : Uwe Woessner
Extension to the PLY plugin to read files with textures.

Tue, 15 Aug 2017 06:39:02 +0100
Author : OpenSceneGraph git repository
Merge pull request #298 from eligovision/masterEmscripten: EGL instead of SDL2 in GLExtensions.cpp

Mon, 14 Aug 2017 14:58:29 +0300
Author : konstantin.matveyev
Merge remote-tracking branch 'upstream/master'

Mon, 14 Aug 2017 11:19:04 +0300
Author : konstantin.matveyev
Emscripten: EGL instead of SDL2 in GLExtensions.cpp

Tue, 23 May 2017 16:33:16 +0100
Author : Robert Osfield
Replaced local FindZLIB.cmake usage with CMake's own FindZLIB.cmake, and ZLIB_LIBRARY to ZLIB_LIBRARIES

Wed, 9 Aug 2017 14:08:59 +0100
Author : OpenSceneGraph git repository
Merge pull request #296 from openscenegraph/FullScreenFrom Don Burns, add use of Xinerama to ensure full screen goes across all screens.

Wed, 9 Aug 2017 08:58:25 +0100
Author : Robert Osfield
Disabled the building of deprecated serializations in convertity_scan

Tue, 8 Aug 2017 13:35:35 +0100
Author : Anna Sokol
In the attached GraphicsWindowWin32.cpp file, I changed order of the "else-if" for the TOUCHEVENTF_UP and TOUCHEVENTF_MOVE, I made it less intrusive then changing them into "if" events. I tested this on Windows 7 64-bit with a touch screen and a Windows 10 64-bit tablet.Separately in the same file, I also needed to address the fact that the close button would not react on touch so I added to the top of the "handleNativeWindowingEvent" close button handling in case of touch events. Again this was tested on the same 2 devices.


Mon, 7 Aug 2017 16:32:44 +0100
Author : Robert Osfield
Added link to ABI tracker

Sun, 6 Aug 2017 15:30:27 +0100
Author : OpenSceneGraph git repository
Merge pull request #294 from mp3butcher/MDI6add resize methods method in IndirectCommandArrays ..etc..

Sat, 5 Aug 2017 18:03:27 +0200
Author : Julien Valentin
update IndirectCommandArrays interfaces and default impl to use DrawElements like semantic

Wed, 2 Aug 2017 22:10:02 +0200
Author : Julien Valentin
add MDI support

Wed, 2 Aug 2017 21:50:25 +0200
Author : Julien Valentin
add resize methods method in CommandArrays (it allows user to work without casting to the concrete class result of MDI.getCommandArray()) move getTotalDataSize in CommandArrays interfaces comply with other DrawElementsXXX removing parameters in mdi constructors and add several method ( allow use of osgUtil::DrawElementTypeSimplifer on these)

Tue, 1 Aug 2017 07:54:37 +0100
Author : OpenSceneGraph git repository
Merge pull request #293 from mp3butcher/MDI6fix a bug in MDI serializer

Tue, 1 Aug 2017 02:18:15 +0200
Author : Julien Valentin
fix a bug in MDI serializer

Mon, 31 Jul 2017 13:38:18 +0100
Author : Robert Osfield
Merged #pragmatic shader fix from OpenSceneGraph-3.4 branch.

Mon, 31 Jul 2017 08:09:16 +0100
Author : OpenSceneGraph git repository
Merge pull request #287 from mp3butcher/MDI6correct a bug and make MDI example more conservative

Mon, 31 Jul 2017 03:15:03 +0200
Author : Julien Valentin
fix a bug : indices pre incremented should be post

Mon, 31 Jul 2017 03:08:52 +0200
Author : Julien Valentin
Add arguments, command line usage and use DrawElementsUInt for classic case

Mon, 31 Jul 2017 02:43:50 +0200
Author : Julien Valentin
correct a bug and make it more conservative

Sun, 30 Jul 2017 15:40:17 +0100
Author : OpenSceneGraph git repository
Merge pull request #285 from mp3butcher/MDI6add a very simple example for mdi with basevertex

Sun, 30 Jul 2017 10:15:32 +0200
Author : Julien Valentin
add a very simple example for mdi with basevertex

Fri, 28 Jul 2017 17:17:25 +0100
Author : Robert Osfield
Updated version number, ChangeLog and AUTHORS file for 3.5.7 developer release

Fri, 28 Jul 2017 14:34:59 +0100
Author : Robert Osfield
Added missing break statements

Fri, 28 Jul 2017 14:32:56 +0100
Author : Robert Osfield
Improved readability and consistency with the rest OSG by adding/removing spaces and brackets where appropriate.

Fri, 28 Jul 2017 13:30:36 +0100
Author : Robert Osfield
Improved the readability and consistency with the rest of the OSG by inserting/removing spaces and line spacing.

Fri, 28 Jul 2017 10:27:47 +0100
Author : OpenSceneGraph git repository
Merge pull request #267 from kornerr/masterAdd osgemscripten example

Fri, 28 Jul 2017 08:46:30 +0100
Author : OpenSceneGraph git repository
Merge pull request #278 from mp3butcher/MDI2Mdi

Thu, 27 Jul 2017 12:27:55 +0200
Author : mp3butcher
set DIBO of the drawcommandarray directly in their interface constructor it makes osggpu use case lighter + drawcommandarray can't exist without a BO

Thu, 27 Jul 2017 12:00:41 +0200
Author : mp3butcher
Promote PrimitiveSetIndirect's VBO to a target explicited DIBO (in order to benefit from BOSet queue management)

Thu, 27 Jul 2017 10:26:43 +0100
Author : OpenSceneGraph git repository
Merge pull request #277 from mp3butcher/MDI2PrimitiveSetIndirect cleanup + serializers

Thu, 27 Jul 2017 01:54:25 +0200
Author : mp3butcher
add DrawIndirectBufferObject as State variable in order to minimize call to glBindBuffer(GL_DRAW_INDIRECT_BUFFER,X) TODO: Promote PrimitiveSetIndirect's VBO to target explicited DIBO (in order to benefit from BOSet queue management)

Thu, 27 Jul 2017 01:40:04 +0200
Author : mp3butcher
remove deprecated DrawIndirectBufferBinding

Thu, 27 Jul 2017 01:08:37 +0200
Author : mp3butcher
fix some errors during renaming and cleanup code

Wed, 26 Jul 2017 23:38:20 +0200
Author : mp3butcher
add untested serializers for PrimitiveSetIndirect

Wed, 26 Jul 2017 23:36:55 +0200
Author : mp3butcher
some renaming and harmonisations with osg metamodel convention

Wed, 26 Jul 2017 20:46:09 +0100
Author : Robert Osfield
Merge branch 'MDI2' of https://github.com/mp3butcher/OpenSceneGraph into MultiDrawIndirect

Wed, 26 Jul 2017 20:25:41 +0200
Author : mp3butcher
first commit for Indirect Draw integration in osg users will have to implement interfaces for their custom drawcommandarrays add a lot of new primitive set + few defines integration is made in osggpucull

Wed, 26 Jul 2017 12:54:37 +0100
Author : Robert Osfield
Replaced FindOurDCMTK.cmake usage with FindDCMTK.cmake

Wed, 26 Jul 2017 12:26:38 +0100
Author : Robert Osfield
Replaced local FindOurDCMTK.cmake with stock Cmake's FindDCMTK.cmake as the later is now feature complete and has full support for debug and release libraries.

Tue, 25 Jul 2017 14:56:27 +0100
Author : Robert Osfield
Merged MSVC static build fix from OpenSceneGraph-3.4

Mon, 17 Jul 2017 16:46:16 +0100
Author : Anna Sokol
Since version 2.5.1 freetype has supported the WOFF extension format. In the attached ReaderWriterFreeType.cpp file I added the following line:            supportsExtension("woff","web open font format");


Mon, 17 Jul 2017 07:53:48 +0100
Author : OpenSceneGraph git repository
Merge pull request #270 from caishanli/patch-1fix StatsHandler crash on windows

Mon, 3 Jul 2017 16:24:01 +0800
Author : Cai Shanli
fix StatsHandler crush on windowschange static_cast to dynamic_cast to avoid type cast error

Thu, 22 Jun 2017 09:44:06 +0700
Author : Michael Kapelko
Add osgemscripten example

Mon, 19 Jun 2017 15:55:42 +0100
Author : Robert Osfield
Updated SO version number to 149 to enable uint64 object length read/writing in the .osgb format

Mon, 19 Jun 2017 15:45:35 +0100
Author : Robert Osfield
Added version checks for when writing out new 64bit object sizes

Mon, 19 Jun 2017 15:33:52 +0100
Author : Robert Osfield
Replaced long long with uint64_t

Mon, 19 Jun 2017 15:25:04 +0100
Author : OpenSceneGraph git repository
Merge pull request #264 from rickyviking/binaryStreamLargeBlockBinaryStreamOperator: read and write block size as long long integer

Mon, 19 Jun 2017 12:04:03 +0100
Author : Robert Osfield
Added ability for OSG serializers to get the file version number when writing out via the OutputStream object

Mon, 19 Jun 2017 08:50:00 +0100
Author : OpenSceneGraph git repository
Merge pull request #265 from cxw42/array-classnameMake Array::className() support all Array::Type values

Mon, 19 Jun 2017 08:43:54 +0100
Author : OpenSceneGraph git repository
Merge pull request #263 from cxw42/build-fixStill build even if CPACK_GENERATOR is undefined

Mon, 19 Jun 2017 08:26:24 +0100
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Mon, 19 Jun 2017 08:12:47 +0100
Author : OpenSceneGraph git repository
Merge pull request #260 from blobfish/primitiveIndexIntersections and primitive index

Fri, 16 Jun 2017 09:58:32 -0400
Author : Chris White
Make Array::className() support all Array::Type'sArray::className() had fallen out of date with respect to Array::Type.
This commit updates it, and adds documentation and a debug message to
serve as a reminder for future additions of values to Array::Type.


Wed, 14 Jun 2017 16:09:40 +0200
Author : Riccardo Corsi
BinaryStreamOperator: read and write block size as long long integer on 8 bytes, to accommodate arbitrarily large block size. When reading check of file version for backward compatibility.

Sat, 10 Jun 2017 22:05:19 -0400
Author : cxw
Still build even if CPACK_GENERATOR is undefinedWithout the quotes around `${CPACK_GENERATOR}`, Windows CMake, generating
for VS2013, would exit with an error because the `STREQUAL` only had one arg.


Thu, 8 Jun 2017 07:10:32 +0100
Author : OpenSceneGraph git repository
Merge pull request #261 from cxw42/doxy-osguiAdded osgUI to Doxygen-generated documentation

Wed, 7 Jun 2017 07:50:55 -0400
Author : Chris White
Added osgUI to Doxygen-generated documentation

Fri, 2 Jun 2017 15:43:54 -0400
Author : blobfish
osg: KdTree: count degenerates to keep original primitive index in sync

Thu, 1 Jun 2017 15:25:38 -0400
Author : blobfish
osg: KdTree: encode original primitive index into _vertexIndices

Tue, 30 May 2017 18:46:03 -0400
Author : blobfish
osgUtil: LineSegmentIntersector: don't increment primitive index until after adding intersection

Mon, 29 May 2017 12:19:08 -0400
Author : blobfish
osgUtil: PolytopeIntersector: don't increment primitive index until after adding intersection

Tue, 30 May 2017 18:38:25 -0400
Author : blobfish
examples: osgkeyboardmouse: add primitive index to LineSegmentIntersector output

Fri, 2 Jun 2017 09:29:05 +0100
Author : OpenSceneGraph git repository
Merge pull request #259 from jtorresfabra/fixes_kdtreeFixes kdtree building

Wed, 31 May 2017 13:30:50 +0200
Author : Jordi
Fixes kdtree building

Mon, 29 May 2017 12:20:31 +0100
Author : Robert Osfield
Added TimeMultiplier and LoopingMode to ImageSequence .osg serializer

Thu, 25 May 2017 12:38:54 +0100
Author : Robert Osfield
Improved support for Text with large numbers of glyphs

Thu, 25 May 2017 09:54:11 +0100
Author : Robert Osfield
Build fix

Thu, 25 May 2017 09:37:30 +0100
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Thu, 25 May 2017 09:37:26 +0100
Author : OpenSceneGraph git repository
Merge pull request #258 from kornerr/masterAdd x86_64 architecture to iOS simulator

Thu, 25 May 2017 08:56:53 +0100
Author : Robert Osfield
Tidied up spacing

Thu, 25 May 2017 08:48:45 +0100
Author : Robert Osfield
Fixed naming of OSG_USE_DEPRECATED_API

Wed, 24 May 2017 19:40:08 +0100
Author : Robert Osfield
Moved OSG_USE_DEPRECATED_API from include/osg/Export to Cmake controlled include/osg/Config

Wed, 24 May 2017 19:39:36 +0100
Author : Robert Osfield
Replaced deprecated API usage

Wed, 24 May 2017 18:34:22 +0100
Author : Robert Osfield
Replaced DimensionMask naming with more appropriate PrimitiveMask nameing.

Wed, 24 May 2017 16:02:29 +0100
Author : Robert Osfield
Added support for PolytopeIntersector::setDimensionsMask.

Wed, 24 May 2017 16:01:49 +0100
Author : Robert Osfield
Aded --dim-mask mask and --dm mask command line option for setting the PolytopeIntersector::setDimensionsMask().

Wed, 24 May 2017 22:29:19 +0700
Author : Michael Kapelko
Add x86_64 architecture to iOS simulator

Fri, 19 May 2017 17:06:36 +0100
Author : Robert Osfield
Updated ChangeLog for 3.5.6 dev release

Mon, 15 May 2017 14:53:27 +0100
Author : Robert Osfield
Refactored COLLADA_BUILDNAME and COLLADA_BOOST_BUILDNAME to resolve case where CMAKE_VS_PLATFORM_TOOLSET is not set.

Fri, 12 May 2017 16:26:07 +0100
Author : Robert Osfield
From Don Burns, add use of Xinerama to ensure full screen goes across all screens.

Thu, 11 May 2017 16:32:13 +0100
Author : Robert Osfield
Updated AUTHORS file for dev release

Thu, 11 May 2017 16:29:45 +0100
Author : Robert Osfield
Updated ChangeLog

Thu, 11 May 2017 16:27:20 +0100
Author : Robert Osfield
Build fix.

Thu, 11 May 2017 16:10:47 +0100
Author : Robert Osfield
Updated SO_VERSION to reflect API changes to KdTree

Wed, 10 May 2017 09:19:29 +0100
Author : Robert Osfield
Fixes/clean up of KdTree/LineSegmentIntersector/PolytopeIntersector

Tue, 9 May 2017 11:33:22 +0100
Author : Robert Osfield
Added --points and --lines command line options that do a very simplistic conversion of geometry primitives to points or lines respectively, used to aid testing of intersectors

Tue, 9 May 2017 10:36:28 +0100
Author : Robert Osfield
Added --double and --float command line options to enable toggling between double and float precision in intersectors

Thu, 27 Apr 2017 19:12:16 +0100
Author : Robert Osfield
Added missing header

Thu, 27 Apr 2017 19:04:54 +0100
Author : Robert Osfield
Introduced use of TempaltePrimitiveFunctor and TempaltePrimitiveIndexFunctor as a test of these template classes

Thu, 27 Apr 2017 19:04:26 +0100
Author : Robert Osfield
Improved indentation, making it consistent with the rest of the OSG headers

Thu, 27 Apr 2017 19:03:05 +0100
Author : Robert Osfield
Created TemplatePrimitiveIndexFunctor to enable easier handling of point, lines, triangles and quad index meshes

Thu, 27 Apr 2017 16:18:27 +0100
Author : Robert Osfield
Removed redudent bool parameter from TriangleFunctor::operator(Vec3, Vec3, Vec3, bool) so it's now simply TriangleFunctor::operator(Vec3, Vec3, Vec3) as the bool was always false in recently OSG versions.

Thu, 27 Apr 2017 15:04:44 +0100
Author : Robert Osfield
Removed old style OpenGL methods from PrimitiveFunctor classes/templates as these are no longer used or required.

Fri, 21 Apr 2017 19:35:10 +0100
Author : Robert Osfield
Added support for using new IntersectFunctor for non kdtree as well as kdtree PolytopeIntersector

Fri, 21 Apr 2017 19:34:22 +0100
Author : Robert Osfield
Added ability to pass in command line arguments to the osgkeyboardmouse viewer constructor

Fri, 21 Apr 2017 16:35:55 +0100
Author : Robert Osfield
Implemented the setting of all the PolytopeIntersector::Intersection values on hits detected by KdTree/Polytope intersection codes

Fri, 21 Apr 2017 11:09:26 +0100
Author : Robert Osfield
Moved the Polytope::contains(..) triangle test into PolytopeIntersector to enable customization and optimization.

Fri, 21 Apr 2017 11:07:17 +0100
Author : Robert Osfield
Added group intersection test that covers the window with 10000 tests, activated by pressing 'a'.  I have added this to provide a reproducable intersection test for benchmarking.

Fri, 21 Apr 2017 10:32:26 +0100
Author : Robert Osfield
Added support for outputting the model, filename defaults to model.osgt, to override this use -o filename on command line, and to write the file press 'o' key.

Thu, 20 Apr 2017 19:21:21 +0100
Author : Robert Osfield
Implemented Polytope::contains(..) for triangle vertices and added support for using the results mask.

Wed, 19 Apr 2017 18:18:46 +0100
Author : Robert Osfield
Initial work on adding KdTree support for PolytopeIntersector.

Wed, 19 Apr 2017 10:20:01 +0100
Author : Robert Osfield
Added --kdtree command line option and associated invocation of KdTreeBuilder to enable benchmarking. Added timing stats code.

Thu, 11 May 2017 14:35:50 +0100
Author : Robert Osfield
Merge branch 'MultiViewAutoTransform'

Wed, 10 May 2017 11:18:09 +0100
Author : OpenSceneGraph git repository
Merge pull request #252 from remoe/patch-2Avoid call of SetupThreads in DatabasePager Constructor 

Wed, 10 May 2017 11:13:11 +0100
Author : OpenSceneGraph git repository
Merge pull request #254 from tomhog/topic-gles3-iosTopic gles3 ios

Wed, 10 May 2017 10:54:55 +0100
Author : OpenSceneGraph git repository
Merge pull request #250 from cxw42/example-osggeometryAdded comments to make code easier to understand. Turned off lighting in examples/osggeometry

Mon, 24 Apr 2017 15:55:40 -0400
Author : Chris White
Added clarifying comments in examples/osggeometryPer reviewer feedback


Mon, 24 Apr 2017 09:44:59 -0400
Author : Chris White
Turned off lighting in examples/osggeometryThis way you can see the image and the points even if you view them
close to edge-on.


Mon, 8 May 2017 12:27:07 +0100
Author : Robert Osfield
Addeed support for GLES shaders

Thu, 4 May 2017 18:17:30 +0100
Author : Thomas Hogarth
Added more plugins to iOS example, Textures now working on GLES3 (missed so if defineds)

Thu, 4 May 2017 00:24:46 +0100
Author : Thomas Hogarth
Added more plugins and texture shader to iOS example, fixed a couple of missed if defines for GLES3

Fri, 28 Apr 2017 16:51:34 +0200
Author : Remo E
Avoid call of SetupThreads in DatabasePagerThis solves a bug with some shared library configurations. Sometimes the DatabasePager Singleton is initialised before one can call other configuration options like "setNumOfDatabaseThreadsHint". But OSG initialise it here:

https://github.com/openscenegraph/OpenSceneGraph/blob/master/src/osgDB/DatabasePager.cpp#L1555 

So this call is not needed?!

Wed, 26 Apr 2017 17:10:58 +0100
Author : Robert Osfield
Replaced dynamoc_cast<osg::CullStack*> with asCullStack() to improve performance of AutoTransform, screen size based LOD and PagedLOD.

Wed, 26 Apr 2017 11:50:35 +0100
Author : Robert Osfield
Refactored AutoTransform so that it dynamically computes the rotation, scale and matrices during the cull traversal to enable usage in multi-view, multi-threaded applications

Wed, 26 Apr 2017 09:48:08 +0100
Author : Robert Osfield
Added ability to create windows for each view using -w command line hint.

Tue, 25 Apr 2017 20:26:26 +0100
Author : Robert Osfield
Added multiple view support to osgautotransform for testing multi-views

Tue, 25 Apr 2017 18:04:04 +0100
Author : Robert Osfield
Added missing Node::asAutoTransform() + NodeVisitor::apply(AutoTransform&).

Sat, 15 Apr 2017 00:04:51 +0300
Author : Alexander Roan
GLExtenstions: fix checking of isFrameBufferObjectSupported flag for GLES2

Sun, 23 Apr 2017 21:23:14 +0100
Author : OpenSceneGraph git repository
Merge pull request #249 from uhertlein/masterFixes compiler warning regarding logic vs bitwise AND

Sun, 23 Apr 2017 15:36:11 +0200
Author : Ulrich Hertlein
RAII memory management for macOS image loading- use std::vector instead of manual memory management
- removes dead/commented code

Sun, 23 Apr 2017 21:38:01 +0200
Author : Ulrich Hertlein
Updates the macOS build instructions in README.md.- Removes obsolete instructions regarding x86_64 vs i386, Cocoa vs Carbon, etc
- Markdown formatting changes

Sun, 23 Apr 2017 11:52:05 +0200
Author : Ulrich Hertlein
Fixes compiler warning regarding logic vs bitwise AND

Tue, 18 Apr 2017 17:01:26 +0100
Author : Farshid Lashkari
There is a small bug in how the FBX importer computes the rotation matrix for nodes. It applies the "RotationOrder" property to the local, pre, and post rotation values. However, the pre/post rotation values should always use a fixed XYZ order. The "RotationOrder" property should only apply to the local rotation value. I've attached the updated file with the fix.

Tue, 18 Apr 2017 16:40:56 +0100
Author : Farshid Lashkari
Modified the FBX loader to support bump, specular, and gloss maps. I've attached a zip containing the modified files.

Tue, 18 Apr 2017 16:01:58 +0100
Author : Farshid Lashkari
When the "ZUp" option was added to the fbx loader, it broke the previous behavior of converting to the OpenGL axis system. I'm referencing the following commit:https://github.com/openscenegraph/OpenSceneGraph/commit/c168887e5e9da4e891904d11ccac8ddd60b0362d

This commit inverted the value of the "fSign" variable, but did not update the previous code that used the variable. I've attached the change that restores the original behavior when not using the "ZUp"


Fri, 7 Apr 2017 17:35:58 +0100
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Fri, 7 Apr 2017 17:34:22 +0100
Author : OpenSceneGraph git repository
Merge pull request #244 from LaurensVoerman/submit_osgtMissingTextureCrashfix a crash when reading an osgt file with multiple references to a missing texture.

Fri, 7 Apr 2017 17:33:25 +0100
Author : OpenSceneGraph git repository
Merge pull request #245 from LaurensVoerman/submit_dupeEnumremove info message about GL_LINES_ADJACENCY_EXT / GL_LINES_ADJACENCY 

Fri, 7 Apr 2017 15:56:32 +0200
Author : Laurens Voerman
avoid INFO message about duplicate enums with and without _EXT

Fri, 7 Apr 2017 15:27:56 +0200
Author : Laurens Voerman
fix a crash when reading an osgt file with multiple references to a missing texture.

Fri, 7 Apr 2017 07:15:30 +0100
Author : jamie robertson
osgbindlesstext example fix : needed to add "viewer.realize()" before the line "viewer.getCamera()->getGraphicsContext()" in order to get a valid graphics context, before viewer.run() is called.

Fri, 7 Apr 2017 07:11:57 +0100
Author : Robert Osfield
Removed unneccessary EXT usage

Fri, 7 Apr 2017 07:09:24 +0100
Author : Jamie Robertson
VS build fix

Thu, 6 Apr 2017 10:51:47 +0100
Author : Konstantin Matveyev
Added dynamic update of Text3D test

Wed, 5 Apr 2017 17:39:05 +0100
Author : OpenSceneGraph git repository
Merge pull request #243 from mp3butcher/moreExtensionsadd Extensions

Wed, 5 Apr 2017 17:37:51 +0100
Author : OpenSceneGraph git repository
Merge pull request #242 from mp3butcher/LuaMatrixfew fixes for lua Matrix support..

Wed, 5 Apr 2017 18:11:50 +0200
Author : mp3butcher
add Extensions

Wed, 5 Apr 2017 17:59:06 +0200
Author : mp3butcher
forgot a lua_pop(_lua, 16)

Wed, 5 Apr 2017 17:57:08 +0200
Author : mp3butcher
few fixes for Matrix support.. but getElements still fails..

Wed, 5 Apr 2017 12:01:55 +0100
Author : Torben Dannhauer
Update to FindCollada.cmake to handle Visual Studio 2017 binaries

Fri, 31 Mar 2017 16:26:46 +0100
Author : Robert Osfield
Updated ChangeLog for dev release

Thu, 30 Mar 2017 18:21:02 +0100
Author : Robert Osfield
Experiment with transmitting large UDP massages

Thu, 30 Mar 2017 17:02:37 +0100
Author : Robert Osfield
Added --ifr-name name command line option to enable the broacaster to customize the ifreq.ifr_name

Thu, 30 Mar 2017 15:23:17 +0100
Author : OpenSceneGraph git repository
Merge pull request #238 from filnet/silence_thread_loggingopenthread: silence some log output

Thu, 30 Mar 2017 13:21:05 +0100
Author : Robert Osfield
Reordered command line parsing and replace throw with cout.

Thu, 30 Mar 2017 12:55:58 +0100
Author : Robert Osfield
Build fixes

Thu, 30 Mar 2017 12:45:25 +0100
Author : Robert Osfield
Build fix

Thu, 30 Mar 2017 12:20:45 +0100
Author : Robert Osfield
Added --address and --port command line parameters to osgoscdevice example

Thu, 30 Mar 2017 12:18:16 +0100
Author : Robert Osfield
Improved the error warning message

Thu, 30 Mar 2017 11:29:53 +0200
Author : Philippe Renon
openthread: silence some log output

Wed, 29 Mar 2017 14:32:59 +0100
Author : OpenSceneGraph git repository
Merge pull request #237 from remoe/patch-1Fix VS2013 build issue

Wed, 29 Mar 2017 15:28:09 +0200
Author : Remo E
Fix VS2013 build issueFix this build issue on VS2013:

```
\src\osg\State.cpp(99): fatal error C1017: invalid integer constant expression
```

I hope this works also on other platforms.

Wed, 29 Mar 2017 11:38:29 +0100
Author : Robert Osfield
Fix for GL3

Wed, 29 Mar 2017 11:04:03 +0100
Author : Robert Osfield
Removed the build of examples as this may be causing timeout build failures

Wed, 29 Mar 2017 10:02:03 +0100
Author : Robert Osfield
Fixed windings

Wed, 29 Mar 2017 09:27:58 +0100
Author : OpenSceneGraph git repository
Merge pull request #236 from mp3butcher/ScriptBranchadd ScriptNodeCallback serializer

Wed, 29 Mar 2017 09:24:12 +0100
Author : OpenSceneGraph git repository
Merge pull request #235 from mp3butcher/PrimSetSerilizeradd BufferData associate  as well as revisionassociate in PrimitiveSe…

Wed, 29 Mar 2017 09:12:14 +0100
Author : Robert Osfield
Added Texture2D include to resolve VS build issue

Tue, 28 Mar 2017 22:37:34 +0200
Author : mp3butcher
add ScriptNodeCallback serializer

Tue, 28 Mar 2017 22:19:32 +0200
Author : mp3butcher
remove spaces in the previsouly  added macro

Tue, 28 Mar 2017 22:14:44 +0200
Author : mp3butcher
oups forgot an associaterevisions

Tue, 28 Mar 2017 20:48:35 +0200
Author : mp3butcher
add BufferData associate  as well as revisionassociate in PrimitiveSet Seriliazer

Tue, 28 Mar 2017 18:29:26 +0100
Author : Robert Osfield
Added handling of large shapes

Tue, 28 Mar 2017 18:03:16 +0100
Author : Robert Osfield
build fix

Tue, 28 Mar 2017 17:45:54 +0100
Author : Robert Osfield
Fixed build

Tue, 28 Mar 2017 16:15:57 +0100
Author : Robert Osfield
Added StateSetManipulator to assist with QA.

Tue, 28 Mar 2017 14:43:07 +0100
Author : Robert Osfield
Added TextBase::getMatrix() accessor

Tue, 28 Mar 2017 14:40:06 +0100
Author : Robert Osfield
Fixed typo

Tue, 28 Mar 2017 11:50:04 +0100
Author : Robert Osfield
Updated AUTHORS.txt file and Contributors list for 3.5.6 dev release

Tue, 28 Mar 2017 11:45:55 +0100
Author : Robert Osfield
Quiten down debug messages

Tue, 28 Mar 2017 11:45:05 +0100
Author : Robert Osfield
Improved the contributor filters

Tue, 28 Mar 2017 10:37:35 +0100
Author : Robert Osfield
Updated ChangeLog

Tue, 28 Mar 2017 10:33:02 +0100
Author : Robert Osfield
Updated date

Tue, 28 Mar 2017 10:17:44 +0100
Author : Robert Osfield
Fixed warnings

Tue, 28 Mar 2017 09:41:07 +0100
Author : Robert Osfield
Fixed typo

Mon, 27 Mar 2017 20:30:14 +0100
Author : Robert Osfield
Fixed ac plugin's handling of rot primitive in .ac files

Mon, 27 Mar 2017 20:02:33 +0100
Author : Robert Osfield
Added serializers for BufferObject and BufferData

Mon, 27 Mar 2017 15:05:59 +0100
Author : OpenSceneGraph git repository
Merge pull request #230 from mp3butcher/commitMasteradd new serializers

Mon, 27 Mar 2017 11:44:41 +0100
Author : Robert Osfield
Replaced macro based selection of which shaders to use by default with DisplaySettings::setShaderHint() and OSG_SHADER=HINT=GL2|GL3|GLES2|GLES3|NONE controls

Sun, 26 Mar 2017 16:26:43 +0200
Author : mp3butcher
add an include to osg/geometry

Sun, 26 Mar 2017 15:59:36 +0200
Author : mp3butcher
add new serializers

Sat, 25 Mar 2017 16:05:57 +0000
Author : Robert Osfield
Restructed the marco to resolve Windows build issues

Thu, 23 Mar 2017 19:36:01 +0000
Author : Robert Osfield
Fixed file endings

Thu, 23 Mar 2017 14:53:08 +0000
Author : Robert Osfield
Added simple fallback from osg::Material::apply() when fixed function pipeline is disabled

Thu, 23 Mar 2017 14:40:44 +0000
Author : Robert Osfield
Fixed missing initializer for _color and assignment of color to ShapeDrawable

Thu, 23 Mar 2017 11:09:49 +0000
Author : Robert Osfield
First pass at default shader for GLES2,GLES3 and GL3.

Thu, 23 Mar 2017 10:25:25 +0000
Author : Robert Osfield
Removed no longer relevant line

Thu, 23 Mar 2017 09:52:21 +0000
Author : Robert Osfield
Removed hardwaring to online write inine when writing to binary files to allow inline images in asci and binary files

Wed, 22 Mar 2017 17:27:05 +0000
Author : Torben Dannhauer
as preparation for the upcoming 3rdParty package for Visual Studio 2017, I updated Find3rdPartyDependencies.cmake to find also the newest Freetype 2.7.1 release.

Wed, 22 Mar 2017 14:20:03 +0000
Author : Robert Osfield
Added TextureBuffer serializer

Wed, 22 Mar 2017 10:31:45 +0000
Author : OpenSceneGraph git repository
Merge pull request #225 from MPursche/add_texture2dmultisample_serializerAdded serializer for Texture2DMultisample

Wed, 22 Mar 2017 10:42:13 +0100
Author : Marcel Pursche
Added serializer for Texture2DMultisample

Wed, 22 Mar 2017 09:43:19 +0000
Author : Robert Osfield
Replaced GL_QUADS and GL_QUAD_STRIP usage with indexed GL_TRIANGLES

Tue, 21 Mar 2017 17:56:39 +0000
Author : OpenSceneGraph git repository
Merge pull request #221 from tomhog/topic-gles3-iosGLES3 support improvements on iOS

Tue, 21 Mar 2017 15:38:52 +0000
Author : Robert Osfield
Made VAO the default for GL3 builds. Improved the handling of DisplaySettings::getVertexBufferHint() values.

Tue, 21 Mar 2017 15:33:13 +0000
Author : tomhog
Merge branch 'master' into topic-gles3-ios

Tue, 21 Mar 2017 14:43:09 +0000
Author : OpenSceneGraph git repository
Merge pull request #224 from MPursche/improved_debian_packagesImproved CPack configuration for building debian packages

Tue, 21 Mar 2017 13:10:45 +0000
Author : Robert Osfield
Refactored GlyphTexture so that it utlizes standard osg::Texture2D/osg::Image combinations rather than locally implemented per glyph subloading.

Mon, 20 Mar 2017 19:43:07 +0000
Author : Thomas Hogarth
Merged origin

Mon, 20 Mar 2017 19:35:01 +0000
Author : Thomas Hogarth
Adusted Font shaders to use gl3 path on gles3, iphone example using inbuilt shaders

Sat, 18 Mar 2017 17:35:00 +0000
Author : Thomas Hogarth
Shaders now using vertex colors

Sat, 18 Mar 2017 07:46:14 +0000
Author : Thomas Hogarth
small compile fix for ios viewer example gles1

Sat, 18 Mar 2017 07:32:17 +0000
Author : Thomas Hogarth
updated ios build instructions in readme

Sat, 18 Mar 2017 06:53:32 +0000
Author : Thomas Hogarth
GLES3 now working on iOS, tried to maintain support for have bother gles2 and gles3, allowed avfoundation to be added on iOS, improved iOS example cmake generation

Fri, 17 Mar 2017 18:01:44 +0000
Author : Thomas Hogarth
More gles3 tweaks

Wed, 15 Mar 2017 01:35:58 +0000
Author : Thomas Hogarth
Added conditionals for GLES3, added correct gl headers for GLES3 on iOS and Android to GL.in

Mon, 20 Mar 2017 16:31:09 +0100
Author : Marcel Pursche
Improved cpack configuration for building debian packages: * Added configurable maintainer * Added configurable dependencies and conflicts per package * Added post install script to run ldconfig after package is installed * Updated name of readme file in cpack configuration

Mon, 20 Mar 2017 14:07:14 +0000
Author : Robert Osfield
Improved support for stats, fonts and shadergen for GLES2, GLES3 and GL3

Mon, 20 Mar 2017 10:31:58 +0000
Author : Robert Osfield
Added shader for GL3/GLES/GL2/GL2

Mon, 20 Mar 2017 09:25:49 +0000
Author : Robert Osfield
Quited debug messages

Sat, 18 Mar 2017 18:09:12 +0000
Author : Robert Osfield
Removed no longer required GL3 shaders as osgText itself now provides shaders

Sat, 18 Mar 2017 18:08:12 +0000
Author : Robert Osfield
Added support for GL3/GLES3, GL2,GLE2 shaders to osgText::Font/Text.

Sat, 18 Mar 2017 17:35:00 +0000
Author : Thomas Hogarth
Shaders now using vertex colors

Fri, 17 Mar 2017 19:02:54 +0000
Author : Robert Osfield
Improved readability of code

Fri, 17 Mar 2017 19:00:33 +0000
Author : Robert Osfield
Fixed GL3 core profile and shandard shaders to work with new osgText

Fri, 17 Mar 2017 14:33:56 +0000
Author : Robert Osfield
Improved handling of osgText::Text with and wihout shaders

Fri, 17 Mar 2017 13:11:43 +0000
Author : Robert Osfield
Removed no longer supported code paths

Fri, 17 Mar 2017 12:50:15 +0000
Author : Robert Osfield
Introduced streamlined text rendering dispatch code.

Sat, 18 Mar 2017 11:17:03 +0000
Author : OpenSceneGraph git repository
Merge pull request #220 from rickyviking/addPenInputWin32Added PEN input support to GraphicsWindowWin32 with the WM_POINTER*

Sat, 18 Mar 2017 07:46:14 +0000
Author : Thomas Hogarth
small compile fix for ios viewer example gles1

Sat, 18 Mar 2017 07:32:17 +0000
Author : Thomas Hogarth
updated ios build instructions in readme

Sat, 18 Mar 2017 06:53:32 +0000
Author : Thomas Hogarth
GLES3 now working on iOS, tried to maintain support for have bother gles2 and gles3, allowed avfoundation to be added on iOS, improved iOS example cmake generation

Fri, 17 Mar 2017 18:01:44 +0000
Author : Thomas Hogarth
More gles3 tweaks

Wed, 15 Mar 2017 01:35:58 +0000
Author : Thomas Hogarth
Added conditionals for GLES3, added correct gl headers for GLES3 on iOS and Android to GL.in

Thu, 16 Mar 2017 15:46:51 +0000
Author : Robert Osfield
Added explict call to state.applyModelViewAndProjectionUniformsIfRequired() when required for better GL3/GlES2 support.

Thu, 16 Mar 2017 15:32:05 +0100
Author : Riccardo Corsi
Added PEN input support to GraphicsWindowWin32 with the WM_POINTER* framework available since Windows 8. Fallback on existing WM_TOUCH implementation for actual touch inputs.

Tue, 14 Mar 2017 10:43:52 +0000
Author : Robert Osfield
Added experimental --shaders path into osgtext example to test out using shaders for text rendering.

Mon, 13 Mar 2017 17:46:51 +0000
Author : Robert Osfield
Replaced GL_QUADS usage with GL_TRIANGLES to aid portability.

Mon, 13 Mar 2017 15:01:08 +0000
Author : OpenSceneGraph git repository
Merge pull request #207 from LaurensVoerman/submitOpenCascadefix OpenCascade library list for use with shared libs; added list and…

Mon, 13 Mar 2017 14:25:33 +0000
Author : OpenSceneGraph git repository
Merge pull request #215 from LaurensVoerman/submit-SerializerParticleSubmit serializer particle

Fri, 24 Feb 2017 16:34:30 +0100
Author : Laurens Voerman
fix OpenCascade library list for use with shared libs; added list and options for static lib

Mon, 13 Mar 2017 11:44:34 +0000
Author : Robert Osfield
Added lazy state updating for vertex array object binding/unbinding

Mon, 6 Mar 2017 15:56:49 +0100
Author : Laurens Voerman
bugfix: read endbracket for fileversion 145 (introduced 25/8/2016)

Sat, 11 Mar 2017 17:31:27 +0000
Author : OpenSceneGraph git repository
Merge pull request #198 from scrawl/buildswitchAdd cmake options for disabling plugins from the build

Sat, 11 Mar 2017 15:08:57 +0000
Author : OpenSceneGraph git repository
Merge pull request #213 from marchelbling/bug/osg-fixesBug/osg fixes

Sat, 11 Mar 2017 12:31:19 +0000
Author : Robert Osfield
Build fixes

Sat, 11 Mar 2017 11:58:20 +0000
Author : OpenSceneGraph git repository
Merge pull request #211 from D-A-Heitbrink/masterAdded support for unsigned 64 bit ints + some code for bindless textures

Sat, 11 Mar 2017 11:37:33 +0000
Author : OpenSceneGraph git repository
Merge pull request #208 from LaurensVoerman/submitRWlasrewrote las plugin to read in a single pass: more speed, better precision

Sat, 11 Mar 2017 11:36:31 +0000
Author : OpenSceneGraph git repository
Merge pull request #206 from LaurensVoerman/submitLAScmakeallow library names liblas.lib and liblas_c.lib;fix include dirs typo…

Sat, 11 Mar 2017 11:35:36 +0000
Author : OpenSceneGraph git repository
Merge pull request #205 from LaurensVoerman/submitGTAcmakeGTA: use normal cmake search if PKG_CHECK_MODULES fails; fix win32 debug lnk

Sat, 11 Mar 2017 11:34:56 +0000
Author : OpenSceneGraph git repository
Merge pull request #204 from LaurensVoerman/submitFBX2017added FBX SDK 2017.1 and try to add apple (clang) support.

Sat, 11 Mar 2017 11:34:16 +0000
Author : OpenSceneGraph git repository
Merge pull request #203 from scrawl/optimizerMergeGeometryVisitor fix

Fri, 10 Mar 2017 17:47:02 +0000
Author : OpenSceneGraph git repository
Merge pull request #202 from nicokruithof/masterFixed typo

Fri, 10 Mar 2017 17:06:04 +0000
Author : Robert Osfield
Fixed handling of VAO's Text with backdrop and per vertex colours

Fri, 10 Mar 2017 12:08:22 +0000
Author : Robert Osfield
Improved handling of backdrops

Thu, 9 Mar 2017 18:17:53 +0000
Author : Robert Osfield
Improved the management of the unbinding of VBO's and EBO's

Thu, 9 Mar 2017 18:16:04 +0000
Author : Robert Osfield
Reordered operations to make code easier to follow

Thu, 9 Mar 2017 17:48:06 +0000
Author : Robert Osfield
Cleaned up VertexArrayState handling

Thu, 9 Mar 2017 17:47:27 +0000
Author : Robert Osfield
Improved handling of VBO/VAO's in Text3D

Thu, 9 Mar 2017 17:33:38 +0000
Author : Robert Osfield
Cleaned out old code paths

Thu, 9 Mar 2017 17:01:33 +0000
Author : Robert Osfield
Added setDataVariance(DYNAMIC) to stats text labels that are dyanmically updated.

Wed, 8 Mar 2017 18:15:06 +0000
Author : Robert Osfield
Improved the handling of array updates and support for VBO and VAO's.

Wed, 8 Mar 2017 18:12:37 +0000
Author : Robert Osfield
Improved the checks against VBO+VAO usage and cleaned up setup.

Tue, 7 Mar 2017 13:35:03 +0000
Author : Robert Osfield
Added --counter test

Tue, 7 Mar 2017 09:13:29 +0000
Author : Robert Osfield
Added --plain test to simply basic text testing

Mon, 6 Mar 2017 15:33:22 +0100
Author : Laurens Voerman
fix bug in osgb/osgt/osgx readerwriter causing the osgParticle-SizeInterpolator and -ColorInterpolator to dissapear

Mon, 6 Mar 2017 14:37:21 +0000
Author : Robert Osfield
Fixed text background tessellation

Wed, 25 May 2016 13:24:15 +0200
Author : Laurens Voerman
rewrote las plugin to read in a single pass: more speed, compressed file (.laz) support and better precision.

Mon, 6 Mar 2017 12:54:54 +0100
Author : Marc Helbling
Fix commented variable assertions in inventor writer

Mon, 6 Mar 2017 12:49:06 +0100
Author : Marc Helbling
Fix implicit ref_ptr conversions

Mon, 6 Mar 2017 12:29:19 +0100
Author : Marc Helbling
Revert bad change in 3ds reader

Thu, 2 Mar 2017 11:36:33 +0000
Author : Marc Helbling
Remove unused offset attribute in MergeArrayVisitor

Thu, 2 Mar 2017 11:33:47 +0000
Author : Marc Helbling
Add missing type for attribute merge

Sat, 4 Mar 2017 17:20:54 +0000
Author : Robert Osfield
Moved all vertex array set up to start of Text/Text3D::drawImplementation().

Fri, 3 Mar 2017 18:31:51 +0000
Author : Robert Osfield
Implemented better handling of VertexBufferObjects and ElementBufferObjects in osgText

Thu, 2 Mar 2017 17:05:24 +0000
Author : Robert Osfield
Removed unneccessary mutable usage

Thu, 2 Mar 2017 16:33:09 +0000
Author : Robert Osfield
Updated Attribute and PrimitiveFunctor implementations

Thu, 2 Mar 2017 16:11:10 +0000
Author : Robert Osfield
Refactored osgText::Tex3D to use a single vertex and normal arrays and a combined set of primitive sets.  Deprecated Text3D::RenderMode as it's no longer used.

Thu, 2 Mar 2017 11:12:55 +0000
Author : Robert Osfield
Added NEW_APPROACH code path that merges the separate GlyphGeometry arrays and primitives into a single set of arrays and primitives

Wed, 1 Mar 2017 18:12:46 -0600
Author : d-a-heitbrink
removed some of the hard coded options in the main funct.

Wed, 1 Mar 2017 16:12:49 -0600
Author : d-a-heitbrink
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Wed, 1 Mar 2017 15:33:19 -0600
Author : D-A-Heitbrink
Add files via upload

Wed, 1 Mar 2017 16:43:05 +0000
Author : Robert Osfield
Merged the decoration vertices with the same vertex arrays used for text glyphs

Wed, 1 Mar 2017 11:51:27 +0000
Author : Robert Osfield
Replaced hardwired glDrawArrays calls with use of osg::DrawElementsUshort.

Tue, 7 Feb 2017 20:24:03 +0100
Author : scrawl
Update travis-ci to use the new more flexible BUILD_OSG_PLUGINS_BY_DEFAULT

Tue, 7 Feb 2017 19:30:38 +0100
Author : scrawl
Add CMake options to control which osgPlugins/ are built

Tue, 28 Feb 2017 17:12:58 +0000
Author : Robert Osfield
Removed unused member variable

Tue, 28 Feb 2017 17:02:02 +0000
Author : Robert Osfield
Removed old Text::GlyphQuads array code paths

Tue, 28 Feb 2017 16:34:33 +0000
Author : Robert Osfield
Merged the Text::GlyphQuads cooordinate arrays

Mon, 27 Feb 2017 15:15:37 +0000
Author : Robert Osfield
Removed old code paths

Mon, 27 Feb 2017 11:53:42 +0000
Author : Robert Osfield
Added option for combining the GlyphQuad::backdropcoords into the GlyphQuad::coords.

Mon, 27 Feb 2017 10:47:14 +0000
Author : Robert Osfield
Added StateSetManipulator to osglogo.

Fri, 24 Feb 2017 18:25:16 +0000
Author : Robert Osfield
Scaled back the primitives sets set up so they match the requirements of the osgText::Text accordinging to the BackdropType

Fri, 24 Feb 2017 17:08:48 +0000
Author : Robert Osfield
Moved glyph quad setup into dedicated method

Fri, 24 Feb 2017 16:21:20 +0100
Author : Laurens Voerman
allow library names liblas.lib and liblas_c.lib;fix include dirs typo; link only liblas_c in plugin.

Fri, 24 Feb 2017 16:09:13 +0100
Author : Laurens Voerman
use normal cmake search if PKG_CHECK_MODULES fails; fix win32 debug linking with SET(TARGET_LIBRARIES_VARS GTA_LIBRARY)

Fri, 24 Feb 2017 15:54:07 +0100
Author : Laurens Voerman
added FBX SDK 2017.1 and try to add apple (clang) support (not tested - I have no apple)

Fri, 24 Feb 2017 11:17:22 +0000
Author : Robert Osfield
Removed unused lineNumber

Fri, 24 Feb 2017 11:08:15 +0000
Author : Robert Osfield
Grouped GlyphQuad setup

Fri, 24 Feb 2017 10:40:52 +0000
Author : Robert Osfield
Fixed indentation

Fri, 24 Feb 2017 10:07:01 +0000
Author : Robert Osfield
Moved to use of single vector of DrawElementsUShort for backdrops and foreground text quads

Fri, 24 Feb 2017 07:41:19 +0100
Author : scrawl
Add missing copy of callbacks when a Transform is replaced by Group

Fri, 24 Feb 2017 01:08:44 +0100
Author : scrawl
Change the order of optimizations to allow for the possibility of merging Geometries that have just become siblings after the removal of redundant nodes

Fri, 24 Feb 2017 01:07:24 +0100
Author : scrawl
Fix unused parameter warning

Fri, 24 Feb 2017 01:05:57 +0100
Author : scrawl
Fix MergeGeometryVisitor to work with a Group instead of Geode

Fri, 24 Feb 2017 01:00:49 +0100
Author : scrawl
Use asDrawable()/asNode() over dynamic_cast in the Optimizer

Thu, 23 Feb 2017 18:36:35 +0000
Author : Robert Osfield
Added missing relaseGLObjects()/resizeGLObjects(). Reordered calls to make it easier to read and see patterns.

Thu, 23 Feb 2017 18:14:36 +0000
Author : Robert Osfield
Cleaned up types

Thu, 23 Feb 2017 15:45:43 +0000
Author : Robert Osfield
Restructed and unified the position computation

Wed, 22 Feb 2017 14:14:03 +0000
Author : Robert Osfield
Removed the old code paths

Wed, 22 Feb 2017 12:41:45 +0000
Author : Robert Osfield
Removed the unncessary array.

Wed, 22 Feb 2017 12:07:43 +0000
Author : Robert Osfield
Added the option for changing the type of the GlyphQuads::Coords

Tue, 21 Feb 2017 21:55:05 +0100
Author : Nico Kruithof
Fixed typoosg_ModeViewMatrix -> osg_ModelViewMatrix


Tue, 21 Feb 2017 17:47:54 +0000
Author : Robert Osfield
Fixed FadeText when using NEW_APPROACH

Tue, 21 Feb 2017 17:07:53 +0000
Author : Robert Osfield
Refactored the computation of the transforms for the osgText::Text

Sat, 18 Feb 2017 10:38:31 +0000
Author : OpenSceneGraph git repository
Merge pull request #201 from blobfish/moreManipSloposgManipulator: Constraint: snap_point_to_grid wants Vec3d instead of Vec3

Tue, 14 Feb 2017 23:46:27 -0500
Author : blobfish
osgManipulator: Constraint: snap_point_to_grid wants Vec3d instead of Vec3

Mon, 13 Feb 2017 16:53:37 +0000
Author : Robert Osfield
Added osgvolume command line option "--bg r g b a" to enable customization of the window background colour

Tue, 7 Feb 2017 19:30:21 +0100
Author : scrawl
Add CMake option to not build deprecated serializers

Fri, 3 Feb 2017 18:03:13 +0000
Author : OpenSceneGraph git repository
Merge pull request #197 from scrawl/geodefixMore fixes for Geode/Drawable handling in visitors

Fri, 3 Feb 2017 18:10:37 +0100
Author : scrawl
Remove seemingly redundant handling of Geode in GLObjectsVisitor

Fri, 3 Feb 2017 18:01:08 +0100
Author : scrawl
Fix handling of in-scenegraph Drawables in osgShadow

Fri, 3 Feb 2017 17:55:32 +0100
Author : scrawl
Fix handling of in-scenegraph Drawables in SmoothingVisitor, TriStripVisitor and GraphicsCostEstimator

Fri, 3 Feb 2017 17:51:03 +0100
Author : scrawl
Fix handling of in-scenegraph Drawables in ShaderGenVisitor

Fri, 3 Feb 2017 17:48:18 +0100
Author : scrawl
Fix handling of in-scenegraph Drawables in MeshOptimizers

Fri, 3 Feb 2017 17:45:22 +0100
Author : scrawl
Fix unused parameter warning

Fri, 3 Feb 2017 17:43:42 +0100
Author : scrawl
Fix handling of in-scenegraph Drawables in DrawElementTypeSimplifier

Fri, 3 Feb 2017 17:42:21 +0100
Author : scrawl
Remove redundant handling of Geode in DisplayRequirementsVisitor

Fri, 3 Feb 2017 17:39:56 +0100
Author : scrawl
Add a comment explaining some confusing code in UpdateVisitor and EventVisitor

Fri, 3 Feb 2017 17:34:17 +0100
Author : scrawl
Remove redundant handling of Geode in SharedStateManager

Fri, 3 Feb 2017 17:33:58 +0100
Author : scrawl
Fix handling of in-scenegraph drawables in osgUtil::Simplifier

Fri, 3 Feb 2017 14:27:01 +0000
Author : OpenSceneGraph git repository
Merge pull request #196 from LaurensVoerman/travisCIsplit travis-ci apple build into two jobs to avoid job time limit.

Fri, 3 Feb 2017 10:01:15 +0100
Author : Laurens Voerman
split travis-ci apple build into two jobs to avoid job time limit.

Fri, 3 Feb 2017 08:50:01 +0000
Author : OpenSceneGraph git repository
Merge pull request #193 from kjean667/multi_view_shared_context_fixBug fix to not crash when using shared context and adding / removing windowed views dynamically

Thu, 2 Feb 2017 11:46:16 +0100
Author : Kjell Andersson
Bug fix to not crash when using shared context and adding / removing windowed views dynamically. The GLExtension object is now reused instead of creating a new when allocating a state on the same ContextID. The static map that stores the GLExtensions is only reset when all references to the extension object are released.

Fri, 27 Jan 2017 15:15:39 +0000
Author : OpenSceneGraph git repository
Merge pull request #191 from LaurensVoerman/glExtentionsGLExtensions.cpp: Fixed a few typo's in old function names.

Wed, 25 Jan 2017 17:05:56 +0100
Author : Laurens Voerman
Fixed a few old function names. Check extensions trough extermination string - not by function pointer value. Added a few validContext tests to ensure no functions or isExterntionSupported bool is set for an non valid context. Remove duplicates / merge some lines. Removed "GL_APPLE_texture_2D_limited_npot" form isNonPowerOfTwoTextureMipMappedSupported.

Tue, 24 Jan 2017 17:36:36 +0000
Author : Robert Osfield
Fixed linking bug caused by repeated Program::addShader()/removeShader() operations invalidating the internal attach/dettech lists.

Tue, 24 Jan 2017 09:27:07 +0000
Author : OpenSceneGraph git repository
Merge pull request #190 from scrawl/optimizerOptimizer fixes

Tue, 24 Jan 2017 09:15:26 +0000
Author : OpenSceneGraph git repository
Merge pull request #189 from marchelbling/masterosgjs/gles updates

Fri, 20 Jan 2017 23:02:15 +0100
Author : scrawl
Remove CheckGeometryVisitor which was a no-op

Fri, 20 Jan 2017 23:01:04 +0100
Author : scrawl
MakeFastGeometryVisitor: fix handling of Geometries that are directly in the scene graph not attached to a Geode

Fri, 20 Jan 2017 22:49:17 +0100
Author : scrawl
StateVisitor: remove redundant code for Geode handling

Fri, 20 Jan 2017 22:47:43 +0100
Author : scrawl
TessellateVisitor: fix handling of Geometries that are directly in the scene graph not attached to a Geode

Fri, 20 Jan 2017 22:43:58 +0100
Author : scrawl
FlattenStaticTransformsVisitor: fix handling of Drawables that are directly in the scene graph not attached to a Geode

Fri, 20 Jan 2017 21:48:45 +0100
Author : scrawl
StaticObjectDetectionVisitor: make use of apply(Drawable) visitor function

Fri, 20 Jan 2017 21:25:32 +0100
Author : scrawl
TextureAtlasVisitor: fix handling of Drawables that are directly in the scene graph not attached to a Geode

Fri, 20 Jan 2017 21:08:02 +0100
Author : scrawl
TextureVisitor: remove redundant code for Geode handling

Fri, 20 Jan 2017 20:58:05 +0100
Author : scrawl
RemoveEmptyNodesVisitor: add missing isOperationPermissible check

Fri, 20 Jan 2017 20:57:03 +0100
Author : scrawl
RemoveEmptyNodesVisitor: remove redundant code for Geode handling

Fri, 20 Jan 2017 17:31:09 +0000
Author : Robert Osfield
Quitened down verbose debug messages

Fri, 20 Jan 2017 17:24:49 +0000
Author : Robert Osfield
Quitened down debug messages

Fri, 20 Jan 2017 17:06:55 +0000
Author : Robert Osfield
Quietened down some verbose debug messages

Fri, 20 Jan 2017 15:09:26 +0100
Author : Marc Helbling
Updates osgjs from sketchfab* updates uservalue serialization (avoid creating multie UserDataContainer for a same object)
* removes vec4ubarray specific serialization (serialization should not enforce the previous color transformation)


Fri, 20 Jan 2017 15:09:25 +0100
Author : Marc Helbling
Updates gles from sketchfab* fixes bbox issue for animated scenes
* fixes geometry split (perf + line/point primitive management)
* removes degenerated faces


Thu, 19 Jan 2017 15:56:17 +0000
Author : Robert Osfield
Fixed indentation of comment

Tue, 17 Jan 2017 10:52:26 +0000
Author : Robert Osfield
Added public accessors

Mon, 16 Jan 2017 17:18:58 +0000
Author : Robert Osfield
Removed unused class

Fri, 13 Jan 2017 09:57:32 -0600
Author : d-a-heitbrink
missing CMakeLists

Fri, 13 Jan 2017 09:56:42 -0600
Author : d-a-heitbrink
Added support for Bindless texture extension, 64 bit uniforms, 64 bit buffers Added new bindless texture example

Fri, 13 Jan 2017 09:33:49 -0600
Author : d-a-heitbrink
added code to deal with #extension for shader, added int64 and uint64 support

Sun, 8 Jan 2017 14:41:51 +0000
Author : OpenSceneGraph git repository
Merge pull request #186 from hwiesmann/masterAddition of documentation for LOD and PagedLOD

Sat, 7 Jan 2017 13:03:22 +0000
Author : Robert Osfield
Fixed smallTile test as it was checking against <=2^14 rather than <2^16 which is more conservative than required for a ushort container

Sat, 7 Jan 2017 13:54:21 +0100
Author : Hartwig
Replaced tabs with spaces

Sat, 7 Jan 2017 10:39:29 +0100
Author : Hartwig
Merge remote-tracking branch 'origin/master' into my_master

Sat, 7 Jan 2017 09:20:56 +0100
Author : Hartwig
Addition of documentation for LOD and PagedLODDocumentation has been added for their default constructors. Furthermore, the consequences of different center modes have been explained. A comment regarding the setting of the radius has been fixed.


Wed, 4 Jan 2017 13:22:22 +0000
Author : OpenSceneGraph git repository
Merge pull request #184 from hwiesmann/masterBUG FIX - Wrong calculation of terrain normals in GeometryTechnique

Wed, 4 Jan 2017 12:55:15 +0000
Author : Robert Osfield
Fixed unitialized variable access to premature calling of computeMatrix().

Sun, 1 Jan 2017 16:33:37 +0100
Author : Hartwig
Blending out of local functionsSome local functions are only needed for OS X compatibility. Define these functions only for OS X versions older than 10.6.


Thu, 29 Dec 2016 21:43:20 +0100
Author : Hartwig
BUG FIX - Wrong calculation of terrain normalsThe partial derivative for the x-coordinate has been wrongly calculated: only a single sided derivative was calculated.


Fri, 23 Dec 2016 17:23:07 +0000
Author : OpenSceneGraph git repository
Merge pull request #183 from rickyviking/masterAdditional info when fail to load images

Fri, 23 Dec 2016 17:16:16 +0000
Author : Robert Osfield
From Hartwig Wiesmann, "ScalarsToColors returns a wrong color in case a value larger max is passed to getColor"

Fri, 23 Dec 2016 11:55:08 +0100
Author : Riccardo Corsi
InputStream::readImage() : added info about which file failed to load when printing error message

Wed, 21 Dec 2016 17:16:30 +0000
Author : OpenSceneGraph git repository
Merge pull request #182 from LaurensVoerman/fileStatsadded some info about dynamic drawables and transparent bin to Statistics

Wed, 21 Dec 2016 17:02:05 +0000
Author : Robert Osfield
From Torben Dannhauer, build updates for NVTT.

Wed, 21 Dec 2016 16:29:38 +0000
Author : Robert Osfield
From Torben Dannahauer, updates to track changes to Winddows 3rd party package

Wed, 21 Dec 2016 16:11:39 +0000
Author : Robert Osfield
Refactored the minimum width of bars.

Wed, 21 Dec 2016 16:04:24 +0000
Author : OpenSceneGraph git repository
Merge pull request #180 from LaurensVoerman/stats_barsimprove stats display

Wed, 25 May 2016 13:30:50 +0200
Author : Laurens Voerman
added some info about dynamic drawables and transparent bin to Statistics

Wed, 21 Dec 2016 15:55:50 +0000
Author : OpenSceneGraph git repository
Merge pull request #181 from LaurensVoerman/DebugFPSDEBUG FPS counter in red and named "DEBUG Frame Rate:"

Wed, 21 Dec 2016 15:54:20 +0000
Author : OpenSceneGraph git repository
Merge pull request #179 from LaurensVoerman/ktx_write_supportktx write support

Wed, 21 Dec 2016 15:33:02 +0000
Author : Robert Osfield
From Torben Dannhauer, "When compiling OSG with DCMTK on windows, it throws an compiler error due to a missing ws2_32.lib in the linker settings."

Wed, 21 Dec 2016 15:13:49 +0000
Author : Robert Osfield
From Vladimir Chebaev, "Dynamic linking of fbx plugin and fbx SDK"

Wed, 21 Dec 2016 14:19:38 +0100
Author : Laurens Voerman
DEBUG FPS counter in red and named "DEBUG Frame Rate:"

Tue, 11 Oct 2016 17:02:43 +0200
Author : Laurens Voerman
improve stats display

Wed, 25 May 2016 13:25:44 +0200
Author : Laurens Voerman
ktx write support

Wed, 21 Dec 2016 13:46:18 +0000
Author : Robert Osfield
Removed debug output

Wed, 21 Dec 2016 11:40:16 +0000
Author : Robert Osfield
From Andreas Ekstrand, "he attached ESRIShape.cpp contains a small fix in parsing of PointZ features, now correctly comparing with header content length which is defined in 16-bit words.This should have been fixed in my old submission from 2012 but was probably overlooked due to an alternative way of comparing to a fix number for this feature type.

Without this fix, the plugin will only read one PointZ feature even if multiple features exist."


Wed, 21 Dec 2016 11:02:29 +0000
Author : Robert Osfield
Changed Program::apply() to Program::compileGLObjects() to avoid the Program::apply() setting of setLastAppliedProgramObjects for affect current state.

Wed, 21 Dec 2016 09:10:50 +0000
Author : Robert Osfield
Added StateSet::setGlobalDefaults() to fix bug when osgViewer has stats on but no scene graph assigned

Mon, 31 Oct 2016 16:11:20 +0000
Author : Robert Osfield
Fixed handling of #define's that are used as functions

Tue, 13 Dec 2016 11:42:57 +0000
Author : OpenSceneGraph git repository
Merge pull request #174 from etlapale/obj_plugin_improvementsImprovements for the OBJ writer plugin

Tue, 13 Dec 2016 11:56:06 +0100
Author : Émilien Tlapale
Uncommenting missing argument.

Tue, 13 Dec 2016 10:47:12 +0000
Author : Robert Osfield
Added header

Tue, 13 Dec 2016 10:58:46 +0100
Author : Émilien Tlapale
Adding configurable precision for OBJ output.

Tue, 13 Dec 2016 10:57:42 +0100
Author : Émilien Tlapale
Support for stateset in groups for OBJ.

Mon, 12 Dec 2016 10:23:50 +0000
Author : Robert Osfield
Added create angle of 20 degrees to SmoothingVisitor to improve visual quality. Added geometry.setUseVertexBufferObjects(true) to geometry set up for improved performance. Refactored the color set up so that by default it assigns just a single color to the geometry to improve performance.

Fri, 9 Dec 2016 17:52:17 +0000
Author : Robert Osfield
Renamed the iges plugin to OpenCASCADE to make it clearer what the plugin is, and added file extension aliases for stp, step, igs and iges to the OpenCASCADE plugin to enable automatic loading.

Fri, 9 Dec 2016 17:29:55 +0000
Author : Robert Osfield
Added support for reading from STEP (.stp) files.

Fri, 9 Dec 2016 17:29:20 +0000
Author : Robert Osfield
Refined the list of libraries to link

Fri, 9 Dec 2016 17:27:17 +0000
Author : Robert Osfield
Converted to unix line endings

Thu, 8 Dec 2016 17:52:46 +0000
Author : OpenSceneGraph git repository
Merge pull request #172 from blobfish/manipSloposgManiputor: TranslateInLineCommand wants Vec3d instead of Vec3

Wed, 7 Dec 2016 17:20:23 -0500
Author : blobfish
osgManiputor: TranslateInLineCommand wants Vec3d instead of Vec3

Mon, 5 Dec 2016 10:33:23 +0000
Author : OpenSceneGraph git repository
Merge pull request #170 from crubel/PThreadPullRequestFixed compile time errors that occur when you have ALLOW_PRIORITY_SCHEDULING defined

Fri, 2 Dec 2016 08:07:15 -0500
Author : Curtis Rubel
Missed the printf define at the top of this file.Put back this:
#ifdef DEBUG
# define DPRINTF(arg) printf arg
#else
# define DPRINTF(arg)
#endif

I think that should do it now...

Fri, 2 Dec 2016 08:05:30 -0500
Author : Curtis Rubel
Removed all OSGNOTIFY messages and put back all printf output as requested.Sorry about this mixup, I was not aware that this particular directory was to be considered a separate project and must not rely on any dependencies from the rest of the OSG project.  All OSGNOTIFY messages have been removed and the previous printf statements have been put back.

Fri, 2 Dec 2016 08:04:10 +0000
Author : OpenSceneGraph git repository
Merge pull request #171 from aluaces/iges_fixSeveral tweaks for compiling OpenCascade plugin:

Thu, 1 Dec 2016 23:39:56 +0100
Author : Alberto Luaces
Several tweaks for compiling OpenCascade plugin:* Remove unneeded XSDRAW.hxx header inclusion.
* Define WNT only on windows, because it is used for choosing between
  win threads or pthreads.


Thu, 1 Dec 2016 16:36:20 -0500
Author : Curtis Rubel
Fixed compile time errors that occur when you have ALLOW_PRIORITY_SCHEDULING defined.  I also replaced all printf's with OSGNOTIFY to get this more inline with the rest of OSG CGR

Wed, 30 Nov 2016 20:10:22 +0000
Author : Robert Osfield
Teaking FindOpenCascade to help with linking of iges plugin

Wed, 30 Nov 2016 19:11:15 +0000
Author : Robert Osfield
From Abhishek Bansal, with ammendemts by Robet Osfield to get working with recent OpenCascade and usng CMake.

Wed, 30 Nov 2016 17:15:06 +0000
Author : Robert Osfield
Added GL_EXT_texture_border_clamp support for GLES

Sat, 26 Nov 2016 11:45:07 +0000
Author : OpenSceneGraph git repository
Merge pull request #169 from scrawl/stateset-fixFix flow control issue in StateSet::compileGLObjects

Sat, 26 Nov 2016 01:09:13 +0100
Author : scrawl
Fix typo in StateSet::compileGLObjects, causing compilation of attributes to not be executed unless checkForGLErrors is true.

Wed, 23 Nov 2016 18:19:59 +0000
Author : Robert Osfield
Fixed crash in handling of an osg::Callback attached to a Drawable as update callback. Added handling of osg::Callback when attavhed to a Drawable as a cull callback.

Tue, 15 Nov 2016 17:36:21 +0000
Author : Robert Osfield
Added guards against division by zero

Tue, 15 Nov 2016 14:52:59 +0000
Author : Robert Osfield
Added usage of GLExtensions::debugObjectLabel() to GLBufferObject::compile()

Tue, 15 Nov 2016 14:35:47 +0000
Author : Robert Osfield
Added support for glObjectLabel debugging

Tue, 15 Nov 2016 11:16:53 +0000
Author : Robert Osfield
Merge branch 'fredowski-master'

Tue, 15 Nov 2016 11:16:03 +0000
Author : Robert Osfield
Improved the indentation and case to make the code more consistent and readable

Tue, 15 Nov 2016 11:13:37 +0000
Author : Robert Osfield
Merge branch 'master' of https://github.com/fredowski/OpenSceneGraph into fredowski-master

Tue, 15 Nov 2016 11:01:41 +0000
Author : Robert Osfield
Enabled sharing of main threads processor affinity to the next required thread for CullDrawThreadPerCamera and CullThreadPerCameraDrawThreadPerContext

Tue, 15 Nov 2016 10:41:12 +0000
Author : OpenSceneGraph git repository
Merge pull request #156 from LaurensVoerman/Affinity2unlock cpu's 32-63 on 64 bit windows

Tue, 15 Nov 2016 09:47:48 +0000
Author : Robert Osfield
Removed todo that is not required

Tue, 15 Nov 2016 09:29:09 +0000
Author : Robert Osfield
Reduced public documentation generation to just the public headers

Tue, 15 Nov 2016 09:28:25 +0000
Author : OpenSceneGraph git repository
Merge pull request #164 from CodeDocs/codedocsUse CodeDocs for Doxygen documentation

Tue, 15 Nov 2016 08:57:24 +0000
Author : Robert Osfield
To avoid noise in documentation replaced nested namespaced enum with enum with FILE_COPY_ wording prefixed into enum values.

Tue, 15 Nov 2016 08:37:05 +0000
Author : Robert Osfield
Fixed doxygen warnings

Mon, 14 Nov 2016 18:01:22 +0000
Author : Robert Osfield
Added usage of osg::ConfigureBufferObjectsVisitor to correct for incoherent buffer oject set up due to the adhoc way that the OpenFlight plugin sets up osg::Geometry.

Mon, 14 Nov 2016 17:59:25 +0000
Author : Robert Osfield
Added osg::Geometry::configureBufferObjects() and ConfigureBufferObjectsVisitor visitor to help with setting up buffer objects in a coherent fashion.

Mon, 14 Nov 2016 11:59:47 +0000
Author : Robert Osfield
Added more flexibility into the State::checkGLErrors() method, allowing calling code to pass in two strings. Improved the StateSet::compileGLObjects() usage of checkGLErrors() to make the warning reports more meaningful.

Fri, 11 Nov 2016 17:16:40 +0000
Author : Robert Osfield
Added Dragger::applyAppropriateFrontFace(StateSet*) to make it easy to handle inverted matrices by toggling the FrontFace to sure the correct face is visible.

Fri, 11 Nov 2016 13:54:15 +0000
Author : Robert Osfield
Fixed handling of Locator's with negative extents

Wed, 2 Nov 2016 20:56:04 -0400
Author : Paul Novotny
Use CodeDocs for Doxygen documentationAdds a configuration file (.codedocs) for building the Doxygen
documentation using CodeDocs.xyz. Also, adds a badge to the README.md
to link to the documentation.


Mon, 24 Oct 2016 19:54:43 +0200
Author : Friedrich Beckmann
added alternative to middle-mouse button in manipulatorI added CTRL + RIGHT-MOUSE-CLICK to the standard manipulator as
an alternative to MIDDLE-MOUSE-CLICK because a 3 Button Mouse
not always available, e.g. on MacOS. I tested this with the
osgAtlasSimbicon example.


Thu, 20 Oct 2016 09:59:26 +0100
Author : Robert Osfield
Moved shader file loading to a help function

Thu, 20 Oct 2016 09:46:47 +0100
Author : Robert Osfield
Fixed shader filename

Wed, 19 Oct 2016 20:26:26 +0100
Author : Robert Osfield
Added osgshaderpipeline example that will server as a testbed for automatically mapping fixed function pipeline to shaders

Mon, 17 Oct 2016 16:36:42 +0100
Author : OpenSceneGraph git repository
Merge pull request #159 from LaurensVoerman/Affinity3bre-assign thread affinity at the end of setThreadingModel()

Mon, 17 Oct 2016 09:50:48 +0200
Author : Laurens Voerman
re-assign thread affinity at the end of setThreadingModel()

Fri, 14 Oct 2016 18:00:40 +0100
Author : Robert Osfield
Added _color copy to the copy constructor

Fri, 14 Oct 2016 17:19:50 +0200
Author : Laurens Voerman
unlock cpu's 32-63 on 64 bit windows

Fri, 14 Oct 2016 11:06:31 +0100
Author : Robert Osfield
Added a dedicated FindEGL.cmake script to help with locating the EGL.so library and header

Thu, 13 Oct 2016 17:43:29 +0100
Author : Robert Osfield
Bumped OpenThreads version numbers to reflect changes in ABI

Wed, 12 Oct 2016 18:00:05 +0100
Author : Robert Osfield
Fixed GLES build due to lack of GLclampd

Wed, 12 Oct 2016 17:23:19 +0100
Author : Robert Osfield
Changed appending of \n to be to the version line.

Wed, 12 Oct 2016 16:10:40 +0100
Author : Robert Osfield
Added OES variants of vertex array object functions

Wed, 12 Oct 2016 13:41:57 +0100
Author : OpenSceneGraph git repository
Merge pull request #155 from LaurensVoerman/Texture0add #define GL_TEXTURE0 for windows users previously provided by GLBeginEndAdapter

Wed, 12 Oct 2016 13:29:58 +0200
Author : Laurens Voerman
add #define GL_TEXTURE0 for windows users previously provided by GLBeginEndAdapter

Wed, 12 Oct 2016 10:08:56 +0100
Author : Robert Osfield
Altered the configureAffinity() scheme so that it places threads preferentially on even based number processors first, which should work better in case the processors available have hyper-threading

Wed, 12 Oct 2016 09:09:37 +0100
Author : Robert Osfield
Updated version number to 3.5.6 and SO version to 146 after VAO merge

Tue, 11 Oct 2016 20:11:39 +0100
Author : Robert Osfield
Added VAO support to osgTerrain::GeometryPool

Tue, 11 Oct 2016 20:11:24 +0100
Author : Robert Osfield
Removed unneccessary includes

Tue, 11 Oct 2016 15:14:14 +0100
Author : Robert Osfield
Renamed ArrayDispatchers to AttributeDispatchers to better reflect it's role

Mon, 10 Oct 2016 20:49:19 +0100
Author : Robert Osfield
Streamlined the dispatch and activation of attribute dispatchers

Mon, 10 Oct 2016 16:29:21 +0100
Author : Robert Osfield
Removed unused vertex and texcoord array dispatchers

Sat, 24 Sep 2016 17:57:58 +0200
Author : Fabian Wiesel
VAO id is a GLuint

Fri, 23 Sep 2016 21:00:40 +0200
Author : Fabian Wiesel
Missed rename in VertexAttribArrayDispatchThe variable array is by initialisation a null-pointer, new_array is the new array


Mon, 5 Sep 2016 16:06:52 +0100
Author : Robert Osfield
Fixed build errors when OSG_USE_REF_PTR_IMPLICIT_OUTPUT_CONVERSION to OFF

Mon, 5 Sep 2016 14:17:40 +0100
Author : Robert Osfield
Fixed warnings

Fri, 2 Sep 2016 19:26:20 +0100
Author : Robert Osfield
Removed unneccessary parameter

Fri, 2 Sep 2016 17:15:14 +0100
Author : Robert Osfield
Removed GLBeginEndAdapter as it is no longer needed

Fri, 2 Sep 2016 17:01:25 +0100
Author : Robert Osfield
Refactored osgText so that it no longer uses GLBeginEndAdapter

Fri, 2 Sep 2016 17:00:44 +0100
Author : Robert Osfield
Added --simple command line option and accompanying code to create a very simple text object for basic testing of osgText

Fri, 2 Sep 2016 17:00:00 +0100
Author : Robert Osfield
Added ApplyTextureModeProxy for temporarily applying a texture mode

Fri, 2 Sep 2016 14:22:47 +0100
Author : Robert Osfield
Refactored Text3D so that it no longer depends upon GLBeginEndAdapter

Fri, 2 Sep 2016 14:20:17 +0100
Author : Robert Osfield
Added State::ApplyModeProxy to help with temporarily applying a mode

Thu, 1 Sep 2016 17:26:35 +0100
Author : Robert Osfield
Removed no longer relevant comment

Thu, 1 Sep 2016 17:26:26 +0100
Author : Robert Osfield
Added missing export

Thu, 1 Sep 2016 17:14:03 +0100
Author : Robert Osfield
Refactored osgParticle so that it natives support vertex arrays, vertex buffer objects and vertex array objects

Thu, 1 Sep 2016 17:01:58 +0100
Author : Robert Osfield
Added osg::convertToRGBA8(Vec4f) convenience function

Thu, 1 Sep 2016 14:42:58 +0100
Author : Robert Osfield
Added explict setup of the stats graphing geometry so that it's VertexBufferObject is intialized to the correct size to prevent any need for later resizing

Thu, 1 Sep 2016 14:41:17 +0100
Author : Robert Osfield
Improved handling of the BufferObject::Profile::_size, utilizing it's intial value when it is non zero and larger than the arrays assigned to it.

Thu, 1 Sep 2016 14:38:16 +0100
Author : Robert Osfield
Fixed VertexArrayState::bind*BufferObject(..) methods so they correctly handle dirtied buffer objects

Thu, 1 Sep 2016 14:36:24 +0100
Author : Robert Osfield
Fixed typo in comment

Thu, 1 Sep 2016 14:35:13 +0100
Author : Robert Osfield
Fixed typo in comment

Thu, 1 Sep 2016 14:34:00 +0100
Author : Robert Osfield
Added check against Array::Binding to decide whether to assign a VertexBufferObject to an array or not, only assigning it when Binding is BIND_PER_VERTEX

Fri, 26 Aug 2016 19:48:32 +0100
Author : Robert Osfield
Beginings of refactoring ParticleSystem so that it does uses vertex arrays rather than GLBeginEndAdapter

Fri, 26 Aug 2016 15:09:46 +0100
Author : Robert Osfield
Added OSG_EXPORT

Thu, 25 Aug 2016 17:04:21 +0100
Author : Robert Osfield
Added command line parser to osgparticle examples viewer setup to make it easier to position window

Thu, 25 Aug 2016 16:14:53 +0100
Author : Robert Osfield
Removed redundent use of Geode to decorate the ParticleSystem

Thu, 25 Aug 2016 16:14:06 +0100
Author : Robert Osfield
Fixed line endings

Thu, 25 Aug 2016 15:27:16 +0100
Author : Robert Osfield
Made ordering of case clearer

Thu, 25 Aug 2016 15:13:36 +0100
Author : Robert Osfield
Removed Particle::Shape support for QUAD_TRIANGLESTRIP, HEXAGON, USER as these are unlikely to be used as their implementation prevents refactoring to use vertex array code paths

Thu, 25 Aug 2016 11:32:00 +0100
Author : Robert Osfield
Refactored ImpostorSprite so that it no longer uses GLBeginEndAdapter

Thu, 25 Aug 2016 11:05:30 +0100
Author : Robert Osfield
Added back in the osgimpostor example, cleaning up so that it no longer has any deprecated paths and adds stats and file output for debug purposes

Thu, 25 Aug 2016 10:35:01 +0100
Author : Robert Osfield
Removed commented out debug message

Thu, 25 Aug 2016 10:28:37 +0100
Author : Robert Osfield
Refactored osgSim::SphereSegment so that it no longer uses GLBeginEndAdapter

Thu, 25 Aug 2016 10:25:49 +0100
Author : Robert Osfield
Added AdjustSphereSegmentCallback to provide '<' and '>' key controls over the azim and elev range of the sphere segment

Wed, 24 Aug 2016 20:09:52 +0100
Author : Robert Osfield
Added StatsHandler to check performance

Tue, 23 Aug 2016 11:21:49 +0100
Author : Robert Osfield
Removed unused header

Tue, 23 Aug 2016 11:09:24 +0100
Author : Robert Osfield
Replaced old Shape to Geometry conversion code as new convinience methods in include/osg/Shape provide these features

Tue, 23 Aug 2016 11:08:25 +0100
Author : Robert Osfield
Added osg::convertShapeToGeometry(...) convinience functions for creating osg::Geometry from osg::Shape descriptions.

Wed, 17 Aug 2016 21:34:32 +0100
Author : Robert Osfield
Refactored ShapeDrawable so that it is subclassed from osg::Geometry rather than osg::Drawable.Created a BuildShapeGeometryVisitor visitor that can create osg::Geometry for osg::Shape objects


Tue, 16 Aug 2016 16:51:41 +0100
Author : Robert Osfield
Fixed crash when using vertex attribute arrays

Tue, 16 Aug 2016 15:33:54 +0100
Author : Robert Osfield
Added support for interleaved arrays

Tue, 16 Aug 2016 11:23:29 +0100
Author : Robert Osfield
Removed no longer used member variables

Tue, 16 Aug 2016 11:11:24 +0100
Author : Robert Osfield
Removed no longer used data structures

Tue, 16 Aug 2016 10:51:56 +0100
Author : Robert Osfield
Moved FOG_COORD and SECONDARY_COLOR #define's from State header into VertexArrayState.cpp

Tue, 16 Aug 2016 10:01:38 +0100
Author : Robert Osfield
Replaced osg::State:set*Pointer() calls with VertexArrayState::set*Array() calls

Mon, 15 Aug 2016 18:17:35 +0100
Author : Robert Osfield
Added check against State::useVertexBufferObjects(..) so that Display Lists are only used when VBO is OFF.

Mon, 15 Aug 2016 11:45:58 +0100
Author : Robert Osfield
Added automatic assignment of _markerObject to CompileSet.

Fri, 12 Aug 2016 18:44:38 +0100
Author : Robert Osfield
Restructred the enabling of vertex array object support to allow one to set enable the default via osg::State.Added OSG_VERTEX_BUFFER_HINT env var to osg::DisplaySettings with VERTEX_BUFFER_OBJECT/VBO, VERTEX_ARRAY_OBJECT/VAO and NO_PREFERENCE to allow one to foce on VBO or VAO usage.

Restructred BufferObject assigned in osg::Geometry

Added


Fri, 12 Aug 2016 18:42:33 +0100
Author : Robert Osfield
Cleaned up set up of osg::Geometry for stats

Mon, 8 Aug 2016 18:30:20 +0100
Author : Robert Osfield
Removed unncessary checks

Mon, 8 Aug 2016 17:57:20 +0100
Author : Robert Osfield
Streamlined State::_is*Supported variables

Mon, 8 Aug 2016 15:08:07 +0100
Author : Robert Osfield
Build fixes when compiling wuth CMake options OPENGL_PROFILE set to GLCORE

Fri, 5 Aug 2016 23:04:03 +0200
Author : Mathieu MARACHE
remove a warning when compiling with GL3 core profile and macOS

Fri, 5 Aug 2016 23:01:15 +0200
Author : Mathieu MARACHE
compilation fixes when no OSG_GL_DISPLAYLISTS_AVAILABLE

Fri, 5 Aug 2016 23:00:47 +0200
Author : Mathieu MARACHE
compilation fixes when no OSG_GL_FIXED_FUNCTION_AVAILABLE

Fri, 5 Aug 2016 21:59:34 +0100
Author : Robert Osfield
Removed deprecated code paths and moved implementations into headers

Fri, 5 Aug 2016 12:51:40 +0100
Author : Robert Osfield
Refactored the VertexArrayState's handling of vertex attribute aliasing

Thu, 4 Aug 2016 22:00:58 +0100
Author : Robert Osfield
Moved implementations from .cpp's to headers as inline methods to improve performance.

Thu, 4 Aug 2016 17:51:45 +0100
Author : Robert Osfield
Improved naming of createVertexArrayState(..) method

Thu, 4 Aug 2016 17:15:29 +0100
Author : Robert Osfield
Removed resetting of the pointer state.

Thu, 4 Aug 2016 15:33:02 +0100
Author : Robert Osfield
Added State::useVertexArrayObject() member to streamline toggling on/off of VAO usage

Wed, 3 Aug 2016 20:12:20 +0100
Author : Robert Osfield
Added support for clean up Vertex Array Objects

Wed, 3 Aug 2016 10:35:51 +0100
Author : Robert Osfield
Added intialization of the VAO in Geometry::compileGLObjects() and refined the invocation of updates to the VAO

Tue, 2 Aug 2016 12:28:05 +0100
Author : Robert Osfield
Added lazy setting of arrays for osg::Geometry using vertex_array_object

Sat, 23 Jul 2016 16:33:39 +0100
Author : Robert Osfield
Implemented lighter weight setting of the CurrentVertexArrayState and introduced GlobalVertexArrayState.

Sat, 23 Jul 2016 15:02:08 +0100
Author : Robert Osfield
Implemented a different approach to vertex array object support to enable creation of a single global vertex array object as well as provide individual vertex array objects per Drawable when required.

Mon, 18 Jul 2016 20:09:22 +0100
Author : Robert Osfield
Added ability to initializer GL vertex array object id with Geometry::compileGLObjects(). Improved the handling of buffer object state when not using VAO's

Fri, 15 Jul 2016 15:41:43 +0100
Author : Robert Osfield
Experimental support for OpenGL Vertex Array Object

Tue, 11 Oct 2016 11:02:20 +0100
Author : Torben Dannhauer
From Torben Dannhauer, added search for new libcurl and libtiff names

Mon, 10 Oct 2016 17:38:24 +0100
Author : OpenSceneGraph git repository
Merge pull request #153 from scrawl/typo-fixFix typo in processor affinity API

Mon, 10 Oct 2016 18:02:38 +0200
Author : scrawl
Fix typo in processor affinity API

Mon, 10 Oct 2016 11:21:28 +0100
Author : Robert Osfield
From Torben Dannhauer, added freetype27 (2.7) to search list

Sat, 8 Oct 2016 15:58:33 +0100
Author : Robert Osfield
Fixed crash associated with setting the affinity on a null pointer

Fri, 7 Oct 2016 19:11:01 +0100
Author : Robert Osfield
Updated AUTHORS for 3.5.5

Fri, 7 Oct 2016 19:10:24 +0100
Author : Robert Osfield
Updated ChangeLog

Fri, 7 Oct 2016 17:05:58 +0100
Author : OpenSceneGraph git repository
Merge pull request #152 from aluaces/spelling2Some spelling fixes in comments.

Fri, 7 Oct 2016 16:55:35 +0100
Author : Robert Osfield
Updated ChangeLog for release

Fri, 7 Oct 2016 16:54:36 +0100
Author : OpenSceneGraph git repository
Merge pull request #151 from LaurensVoerman/pdbInstallfix error on pdb files building the install target in visual studio

Thu, 6 Oct 2016 17:15:25 +0200
Author : Laurens Voerman
remove CMAKE_BUILD_TYPE STREQUAL "Release" (cmake configure time varable) to select pdb install - select CONFIGURATIONS RelWithDebInfo Debug

Fri, 7 Oct 2016 16:15:28 +0100
Author : OpenSceneGraph git repository
Merge pull request #150 from LaurensVoerman/Readmeosg now requires cmake 2.8.0

Fri, 7 Oct 2016 15:58:11 +0100
Author : Robert Osfield
Updated ChangeLog

Fri, 7 Oct 2016 15:57:01 +0100
Author : Robert Osfield
Restructed how CPU affinity is set to fix build problems when local pthreads doesn't support setting affinity

Fri, 7 Oct 2016 15:40:50 +0100
Author : Robert Osfield
UPdated ChangeLog for release

Fri, 7 Oct 2016 16:36:40 +0200
Author : Laurens Voerman
osg now requires cmake 2.8.0

Fri, 7 Oct 2016 14:51:39 +0100
Author : Robert Osfield
Fixed VisualStudio warningAdded local implementation of asEventHandler()


Fri, 7 Oct 2016 14:45:33 +0100
Author : Robert Osfield
Fixed VisualStudio warningAdded local implementation of asEventHandler()


Fri, 7 Oct 2016 13:57:42 +0100
Author : Robert Osfield
Updated README for 3.5.5

Fri, 7 Oct 2016 13:56:46 +0100
Author : Robert Osfield
Update ChangeLog and AUTHORS file for 3.5.5 dev release

Thu, 29 Sep 2016 14:56:54 +0100
Author : Robert Osfield
Fixed extension string typo

Thu, 29 Sep 2016 14:53:10 +0100
Author : Robert Osfield
Added support for checking GL_OES_texture_npot

Wed, 28 Sep 2016 20:30:12 +0100
Author : Robert Osfield
Added ViewerBase::s/getUseConfigureAffinity(bool flag) to allow users to toggle whether they want the ViewerBase::setUpThreads() method to call ViewerBase::configureAffinity() or not.

Wed, 28 Sep 2016 18:44:58 +0100
Author : Robert Osfield
Introduced OpenThreads::Affinity support into osg::Camera, osg::GraphicsContext::Traitse, osgDB::DatabasePager and osgViewer::ViewerBase/Viewer/CompositeViewer.Added ViewerBase::configureAffinity() to help with the setting of the affinity of camera, graphics context and pager threads


Tue, 27 Sep 2016 17:52:41 +0100
Author : Robert Osfield
Added DatabasePager::setProcessorAffinity(const OpenThreads::Affinity&) support to allow the database threads to have affinity to user controls sets of CPU cores.

Tue, 27 Sep 2016 16:18:53 +0100
Author : Robert Osfield
Implemented setting thread affinity for threads that aren't OpenThreads threads, such as main thread

Tue, 27 Sep 2016 15:34:10 +0100
Author : Robert Osfield
Added missing export

Tue, 27 Sep 2016 14:38:33 +0100
Author : Robert Osfield
First cut of OpenThrads::Affinity support for Win32.

Tue, 27 Sep 2016 10:50:38 +0100
Author : Robert Osfield
Introduced new OpenThreads::Affinity class to wrap up specification of thread affinity.Simplified the OpenThreads::SetProcessorAffinityOfCurrentThread/Thread::SetProcessorAffinity() to utilize the new Affinity class


Mon, 26 Sep 2016 19:18:15 +0100
Author : Robert Osfield
Introduced OpenThreads::SetProcessorAffinityMaskOfCurrentThread(unsigned long cpumask) and Threads::setProcessorAffinityMask(unsigned long cpumask) to allow finer grained control over the CPU affinity.

Fri, 7 Oct 2016 11:13:40 +0100
Author : Robert Osfield
Added CullingActive support for Drawable serializer

Thu, 6 Oct 2016 18:27:23 +0100
Author : Robert Osfield
Fixed crash and double call bug in handle event callbacks attached to Drawable

Thu, 6 Oct 2016 15:07:42 +0100
Author : Robert Osfield
Added a osgCmakeExample to illustrate a minimal CMakeList.txt to show how to build an OSG application using Cmake

Thu, 6 Oct 2016 14:14:02 +0100
Author : OpenSceneGraph git repository
Merge pull request #148 from LaurensVoerman/SmoothingVisitorfix bug in SmoothingVisitor tripped by bunny.ply
after duplicating the vertices to allow for multiple normals the indices of the new mesh (with duplicated vertices) were used with the vertices of the old mesh, causing a vector subscript out of range error.

Thu, 6 Oct 2016 14:21:07 +0200
Author : Laurens Voerman
fix bug in SmoothingVisitor tripped by bunny.ply

Thu, 6 Oct 2016 11:36:06 +0100
Author : Robert Osfield
Merge branch 'LaurensVoerman-Submissions_B'

Thu, 6 Oct 2016 11:34:53 +0100
Author : Robert Osfield
Changed tabs to four spaces to avoid different editors rendering the indentation differently

Thu, 6 Oct 2016 11:32:31 +0100
Author : Robert Osfield
Merge branch 'Submissions_B' of https://github.com/LaurensVoerman/OpenSceneGraph into LaurensVoerman-Submissions_B

Thu, 6 Oct 2016 10:48:29 +0100
Author : Robert Osfield
Added GL_OES_geometry_shader and GL_OES_tessellation_shader checks

Fri, 30 Sep 2016 14:59:51 +0200
Author : Laurens Voerman
adaptations for cmake changes mid 2015 (SelectLibraryConfigurations.cmake) with SelectLibraryConfigurations.cmake collada zlib debug library linking added

Wed, 5 Oct 2016 18:10:46 +0200
Author : Alberto Luaces
Some spelling fixes in comments.

Wed, 5 Oct 2016 16:31:23 +0100
Author : René Molenaar
Fixed VisualStudio build

Wed, 5 Oct 2016 14:00:46 +0100
Author : Robert Osfield
Removed the unused debug header as it was causing building compile problems with the Debug build under Windows

Mon, 3 Oct 2016 08:45:23 +0100
Author : OpenSceneGraph git repository
Merge pull request #145 from LaurensVoerman/Submissions_Aadded vc14 (Visual Studio 2015) and boost 1.58 support in FindCOLLADA.cmake

Fri, 30 Sep 2016 14:33:28 +0200
Author : Laurens Voerman
added vc14 (Visual Studio 2015) and boost 1.58 support in FindCOLLADA.cmake

Tue, 27 Sep 2016 09:48:38 +0100
Author : OpenSceneGraph git repository
Merge pull request #142 from LaurensVoerman/Submissions12fix a few minor warnings from Visual Studio 2015

Mon, 26 Sep 2016 13:56:38 +0200
Author : Laurens Voerman
src\osgplugins\osgjs\Animation(9): warning C4099: 'WriteVisitor': type name first seen using 'class' now seen using 'struct'

Mon, 26 Sep 2016 13:43:51 +0200
Author : Laurens Voerman
fix Visual studio warning C4138: '*/' found outside of comment

Mon, 26 Sep 2016 10:03:32 +0100
Author : Robert Osfield
Removed __sgi blocks as IRIX is no longer available

Mon, 26 Sep 2016 09:31:22 +0100
Author : Robert Osfield
Removed Qt dependency examples, osgQt NodeKit and qfont plugin as these are now provided by the separate osgQt project

Mon, 26 Sep 2016 09:22:10 +0100
Author : Robert Osfield
Removed qt threads

Mon, 26 Sep 2016 09:08:56 +0100
Author : Robert Osfield
Removed IRIX Sproc thead support as IRIX is load dead

Mon, 26 Sep 2016 09:06:28 +0100
Author : Robert Osfield
Removed IRIX Sproc threading support form OpenThreads as IRIX is long dead.

Sat, 24 Sep 2016 16:16:23 +0100
Author : OpenSceneGraph git repository
Merge pull request #139 from aluaces/signedcharExplicit signed char declarations for portability.

Sat, 24 Sep 2016 12:33:37 +0200
Author : Alberto Luaces
Explicit signed char declarations for portability.Some platforms (ARM, PowerPC, s390x) have "unsigned char" as the default
char type, and thus the build fails for certain parts of the code where
negative values are assigned to those kind of variables.


Thu, 22 Sep 2016 18:33:35 +0100
Author : Robert Osfield
Changed the min CMake version to 2.8.0

Thu, 22 Sep 2016 17:48:19 +0100
Author : OpenSceneGraph git repository
Merge pull request #137 from LaurensVoerman/Submissions10fix error in CmakeLists: CMAKE_CXX_COMPILER_VERSIO

Thu, 22 Sep 2016 14:33:03 +0100
Author : Robert Osfield
Replaced local static usage to avoid threading and mulit-context issues

Thu, 22 Sep 2016 09:09:46 +0200
Author : Laurens Voerman
fix error in CmakeLists: CMAKE_CXX_COMPILER_VERSIO -> CMAKE_CXX_COMPILER_VERSION

Tue, 20 Sep 2016 17:25:35 +0100
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Tue, 20 Sep 2016 17:23:37 +0100
Author : Robert Osfield
Refactored texture sharing code so that it modifies the RefAttributePair directly thus honouring the override flags and fixing a bug of loosing these override flags when sharing

Tue, 20 Sep 2016 17:01:26 +0100
Author : Robert Osfield
Cleaned up the spacing and const of various method parameters.Added non const versions of StateSet::getAttributePair() and getTextureAttributePair()


Tue, 20 Sep 2016 14:40:28 +0100
Author : OpenSceneGraph git repository
Merge pull request #134 from LaurensVoerman/Submissions10Specialize -Wmaybe-uninitialized -Wextra and -Wno-misleading-indentation gcc warning flags to 4.6, 4.9 and 6.0 respectively

Tue, 20 Sep 2016 10:23:15 +0200
Author : Laurens Voerman
short version with gcc warning flags depending on compiler version.

Tue, 20 Sep 2016 10:20:47 +0200
Author : Laurens Voerman
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph into Submissions10

Mon, 19 Sep 2016 19:39:01 +0100
Author : OpenSceneGraph git repository
Merge pull request #136 from LaurensVoerman/Submissions11disable warning C4589 for MSVC

Mon, 19 Sep 2016 16:40:59 +0200
Author : Laurens Voerman
disable warning C4589 for MSVC

Fri, 16 Sep 2016 17:12:41 +0200
Author : Laurens Voerman
enable some more aggressive warning flags for gcc 4.7 and cmake version below 3

Thu, 15 Sep 2016 07:53:10 +0100
Author : OpenSceneGraph git repository
Merge pull request #130 from LaurensVoerman/Submissions7VS2015 dae plugin fix a few declaration of 'X' hides previous

Thu, 15 Sep 2016 07:50:51 +0100
Author : OpenSceneGraph git repository
Merge pull request #131 from filnet/masterStandardManipulator: use proper bit mask when clearing a relative flag

Wed, 14 Sep 2016 14:32:35 +0200
Author : Philippe Renon
StandardManipulator: use proper bit mask when clearing a relative flag

Tue, 13 Sep 2016 17:07:28 +0200
Author : Laurens Voerman
VS2015 fix a few warning C4456: declaration of 'X' hides previous local declaration

Mon, 12 Sep 2016 16:22:54 +0100
Author : OpenSceneGraph git repository
Merge pull request #128 from LaurensVoerman/Submissions5wrong Meta_Shape tag in ConvexHull

Mon, 12 Sep 2016 16:22:18 +0100
Author : OpenSceneGraph git repository
Merge pull request #127 from LaurensVoerman/Submissions4remove last Performer reference

Mon, 12 Sep 2016 16:49:35 +0200
Author : Laurens Voerman
wrong Meta_Shape tag in ConvexHull

Fri, 9 Sep 2016 10:58:19 +0200
Author : Laurens Voerman
remove last Performer reference

Tue, 6 Sep 2016 09:31:16 +0100
Author : Robert Osfield
Updated version number to 3.5.5

Mon, 5 Sep 2016 19:12:54 +0100
Author : Robert Osfield
Updated ChangeLog formatting

Mon, 5 Sep 2016 17:57:27 +0100
Author : Robert Osfield
Updated ChangeLog, AUTHORS and README for 3.5.4 dev release

Mon, 5 Sep 2016 15:35:54 +0100
Author : Robert Osfield
Fixed warnings, deprecated another out of date method

Mon, 5 Sep 2016 13:44:59 +0100
Author : Robert Osfield
Fixed warnings

Mon, 5 Sep 2016 12:18:46 +0100
Author : Stuart Mentzer
Final version of FindFreetype.cmake that is based on the now-accepted CMake patches. This supports the new freetype include path structure and fixes the failure to find the debug library on Windows due to its name having a 'd' suffix.

Mon, 5 Sep 2016 07:59:15 +0100
Author : Robert Osfield
Fixed typo

Sun, 4 Sep 2016 19:50:28 +0100
Author : Robert Osfield
Fixed warnings

Sun, 4 Sep 2016 18:31:13 +0100
Author : Robert Osfield
Added local deprecated_osg::Geometry implementation from OpenSceneGraph-3.4 to keep build working now that deprecated_osg::Geometry has been removed from the core OSG.

Fri, 2 Sep 2016 19:09:13 +0100
Author : Robert Osfield
Fixed warning

Fri, 2 Sep 2016 18:26:37 +0100
Author : Robert Osfield
Merge branch 'LaurensVoerman-Submissions2e'

Fri, 2 Sep 2016 18:26:11 +0100
Author : Robert Osfield
Merge branch 'Submissions2e' of https://github.com/LaurensVoerman/OpenSceneGraph into LaurensVoerman-Submissions2e

Fri, 2 Sep 2016 17:47:37 +0100
Author : OpenSceneGraph git repository
Merge pull request #119 from LaurensVoerman/Submissions2cFixed clone osgVolume::Scalarproperty and osg::TextureBuffer crash

Fri, 2 Sep 2016 17:44:57 +0100
Author : OpenSceneGraph git repository
Merge pull request #123 from LaurensVoerman/Submissions2fSubmissions2f

Fri, 2 Sep 2016 17:35:47 +0100
Author : OpenSceneGraph git repository
Merge pull request #117 from LaurensVoerman/Submissions2abugfix: wrong class name in META_Object macro for osg::Enablei /disable

Fri, 2 Sep 2016 17:34:20 +0100
Author : OpenSceneGraph git repository
Merge pull request #118 from LaurensVoerman/Submissions2bfix colliding include guards and spurious #define OSGUI_EXPORT

Fri, 2 Sep 2016 17:28:40 +0100
Author : OpenSceneGraph git repository
Merge pull request #124 from LaurensVoerman/Submissions3RigTransformHardware fix: warn; don't crash if MAX_MATRIX not found

Mon, 29 Aug 2016 17:00:00 +0200
Author : Laurens Voerman
fix the missing ")" in BasicAnimationManager copy constuctor

Mon, 29 Aug 2016 13:03:36 +0200
Author : Laurens Voerman
added copyconstructor for osgAnimation::BasicAnimationManager

Mon, 29 Aug 2016 10:41:40 +0200
Author : Laurens Voerman
added call to copy constructor for virtual base classes in copy constructor of derived classes, removed these for abstract classes

Tue, 23 Aug 2016 14:33:24 +0200
Author : Laurens Voerman
bugfix: osg::TextureBuffer::clone() crash

Tue, 23 Aug 2016 14:35:47 +0200
Author : Laurens Voerman
bugfix: osgVolume::ScalarProperty clone crash

Tue, 23 Aug 2016 14:32:48 +0200
Author : Laurens Voerman
fix colliding include guards and spurious #define OSGUI_EXPORT

Tue, 23 Aug 2016 14:31:50 +0200
Author : Laurens Voerman
bugfix: wrong class name in META_Object macro for osg::Enablei osg::Disablei

Fri, 26 Aug 2016 19:28:36 +0100
Author : Robert Osfield
Quitened unused parameter warnings

Fri, 26 Aug 2016 19:18:00 +0100
Author : Robert Osfield
Fixed unused variable warnings

Fri, 26 Aug 2016 18:00:52 +0100
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Fri, 26 Aug 2016 17:59:30 +0100
Author : Robert Osfield
Removed redundent Referenced::s/getThreadSafeReferenceCounting() and associated static and env vars as there are now inapprorpiate and no longer supported

Wed, 25 May 2016 13:27:06 +0200
Author : Laurens Voerman
RigTransformHardware fix: warn; don't crash if MAX_MATRIX not found

Tue, 16 Aug 2016 12:40:35 +0100
Author : OpenSceneGraph git repository
Merge pull request #114 from scrawl/const-castRemove an unneeded const_cast

Tue, 16 Aug 2016 12:39:57 +0100
Author : OpenSceneGraph git repository
Merge pull request #115 from zakalawe/masterAttempt to fix broken DLL exports from osgDB

Fri, 5 Aug 2016 13:16:07 +0100
Author : James Turner
Attempt to fix broken DLL exports from osgDBOnly export the osgDB method implementations, instead of the entire
class, and hence avoid exporting symbols from the base class, which
then conflict with other compilation units when linking.

This avoids the need for /FORCE:MULTIPLE linker option with MSVC.

Mon, 15 Aug 2016 12:56:57 +0100
Author : Robert Osfield
Fixed handling in osgUtil::IncrementalCompileOperation/CompileSet/StateToCompile when the _markerObject is NULL.

Mon, 15 Aug 2016 12:13:07 +0100
Author : Robert Osfield
Changed the default paramter for the osgUtil::StateToCompile to retain the OSG-3.4 ABI and fixed indentation.

Mon, 15 Aug 2016 11:45:58 +0100
Author : Robert Osfield
Added automatic assignment of _markerObject to CompileSet.

Sun, 14 Aug 2016 19:30:55 +0200
Author : scrawl
Remove an unneeded const_cast

Wed, 10 Aug 2016 14:30:28 +0100
Author : Ravi Mathur
Updates to the CMake build system for Mac OSX

Wed, 10 Aug 2016 14:12:27 +0100
Author : Anish Thomas
GLSL 1.3 support for vertex-attrib aliasing

Wed, 10 Aug 2016 12:58:38 +0100
Author : Konstantin S. Matveyev
Fixed filename encoding bug

Wed, 10 Aug 2016 12:00:18 +0100
Author : Robert Osfield
Fixed handlinge of fgets returning a 0 length string

Wed, 10 Aug 2016 11:32:15 +0100
Author : OpenSceneGraph git repository
Merge pull request #111 from hernando/masterAdded missing GL enums to Texture::computeInternalFormatType

Fri, 5 Aug 2016 09:07:23 +0100
Author : OpenSceneGraph git repository
Merge pull request #112 from mathieu/feature/macOS_CoreProfilemacOS CoreProfile, contains requested parts of #92 previous PR concerning the osgsimplegl3 sample and the selection of the correct GL Profile when compiling with GL3 or Core Profile in GraphicsWindowCocoa.mm

Fri, 5 Aug 2016 07:51:33 +0200
Author : Mathieu MARACHE
Added usage of osgUtil::Optimizer to tessellate input geometry

Fri, 5 Aug 2016 07:49:22 +0200
Author : Mathieu MARACHE
Added CoreProfile selection if OSG_GL3_AVAILABLE defined

Thu, 4 Aug 2016 17:03:51 +0200
Author : Juan Hernando Vieites
Added missing GL enums to Texture::computeInternalFormatType

Tue, 2 Aug 2016 17:52:45 +0100
Author : Robert Osfield
Added GL_NORMALIZE usage to handle the case of the FlattenStaticTransform visitor not being applied to the scaled subgraphs causing lighting problems

Tue, 2 Aug 2016 15:45:49 +0100
Author : OpenSceneGraph git repository
Merge pull request #106 from rafagaitan/osgdb_curlAdded OSG_CURL_SSL_VERIFYPEER option to the curl plugin

Tue, 2 Aug 2016 15:27:39 +0100
Author : OpenSceneGraph git repository
Merge pull request #109 from scrawl/renderbuffer_fixFix RenderBuffer not being attached

Mon, 1 Aug 2016 17:47:32 +0200
Author : scrawl
Fix RenderBuffer not being attached (bug introduced with commit 55b3becb7c0ceecf26b0dae2c6db80f9f2a8a6d4 )

Sun, 31 Jul 2016 14:00:30 +0100
Author : Robert Osfield
Added FT_LOAD_NO_HINTING

Sun, 31 Jul 2016 11:06:51 +0100
Author : Robert Osfield
Fixed build error reported on gcc 4.6.4/Ubuntu 12.04 32bit, issue #108

Sun, 31 Jul 2016 10:49:23 +0100
Author : OpenSceneGraph git repository
Merge pull request #107 from marchelbling/fix_tangentspacegenerator_regressionOsgUtil::TangentSpaceGenerator, merge tangent space for index array

Thu, 31 Jan 2013 02:16:34 +0100
Author : Cedric Pinson
OsgUtil::TangentSpaceGenerator, merge tangent space for index array

Tue, 19 Jul 2016 13:40:19 +0200
Author : Rafael Gaitán
Added OSG_CURL_SSL_VERIFYPEER option to the curl plugin to allow connecting to secure servers without the certificate

Mon, 18 Jul 2016 20:04:45 +0100
Author : Robert Osfield
Fixed bug in setting the ratio value

Wed, 13 Jul 2016 09:46:19 +0100
Author : OpenSceneGraph git repository
Merge pull request #105 from marchelbling/compiler-friendly-glesMoves gles visitors implementation in cpp files

Mon, 11 Jul 2016 14:38:13 +0200
Author : Marc Helbling
Moves gles visitors implementation in cpp files

Mon, 11 Jul 2016 09:52:07 +0100
Author : Robert Osfield
Added Optimizer::BufferObjectVisitor and associated BUFFER_OBJECT_SETTINGS value to enable it via the OSG_OPTIMZIER env var.The BufferObjectVisitor enbales vertex buffer objects usage on Drawable in the scene graph.


Mon, 11 Jul 2016 09:46:50 +0100
Author : Robert Osfield
Added dirty of the vertex arrays to make sure they are uploaded when using VBO + VAO's

Thu, 7 Jul 2016 07:31:15 +0100
Author : Robert Osfield
Fixed coverity issue

Thu, 7 Jul 2016 07:27:37 +0100
Author : Robert Osfield
Removed dead code

Thu, 7 Jul 2016 07:16:56 +0100
Author : Robert Osfield
Fixed potential memory leak

Wed, 6 Jul 2016 20:57:53 +0100
Author : Robert Osfield
Added ref_ptr<> to quieten down Coverity

Wed, 6 Jul 2016 20:36:50 +0100
Author : Robert Osfield
Removed dead code

Wed, 6 Jul 2016 20:34:41 +0100
Author : Robert Osfield
Fixed possible memory leak

Wed, 6 Jul 2016 20:23:34 +0100
Author : Robert Osfield
Added handling of null

Wed, 6 Jul 2016 20:21:53 +0100
Author : Robert Osfield
Changed dynamic_cast<> to static_cast<> as type is known based on getType() query.Added missing break statement.


Wed, 6 Jul 2016 20:15:49 +0100
Author : Robert Osfield
Added null pointer check

Wed, 6 Jul 2016 20:13:36 +0100
Author : Robert Osfield
Fixed null pointer check

Wed, 6 Jul 2016 20:08:03 +0100
Author : Robert Osfield
Added null pointer check

Wed, 6 Jul 2016 20:04:13 +0100
Author : Robert Osfield
Fixed use of invalidated iterator

Wed, 6 Jul 2016 19:58:23 +0100
Author : Robert Osfield
Added null pointer check

Wed, 6 Jul 2016 19:45:02 +0100
Author : Robert Osfield
Fixed TabPlaneDragger's handling of pressing the right mouse button whilst holding the left mouse button down, then releasing hte left mouse button.

Wed, 6 Jul 2016 11:36:47 +0100
Author : Robert Osfield
Improved casting to address crashes when handling classes that use virtual inheritance.

Wed, 6 Jul 2016 11:36:25 +0100
Author : Robert Osfield
Added ability to assign callbacks from lua scripts

Tue, 5 Jul 2016 19:22:15 +0100
Author : Robert Osfield
Uodate README date

Tue, 5 Jul 2016 18:11:31 +0100
Author : Robert Osfield
Merge branch 'master' of https://github.com/openscenegraph/OpenSceneGraph

Tue, 5 Jul 2016 18:10:51 +0100
Author : Robert Osfield
Added readObject() implementation.

Tue, 5 Jul 2016 18:04:50 +0100
Author : OpenSceneGraph git repository
Merge pull request #103 from marchelbling/update_stlUpdate stl.

    fixes magics color parsing
    adds support for incomplete binary stl files


Tue, 5 Jul 2016 17:57:28 +0100
Author : Robert Osfield
Fixed warnings

Tue, 5 Jul 2016 17:49:03 +0100
Author : OpenSceneGraph git repository
Merge pull request #102 from marchelbling/update_gles+osgjsUpdate gles+osgjs.



This PR

    cleans some gles coverity defects (remaining should only be false positive that need to be sorted out cleanly)
    updates osgjs plugin to support serialization; the history of changes is squashed; details can still be found on cedricpinson fork if needed

As compressed animation channels are no longer part of the main repo, I added a compilation flag for the osgjs plugin. The commit is isolated and the flag is not activated by default.
I am yet to find a better solution to make this plugin entirely free from our specific code.

Note: this PR will not change the gles compilation issues. We only compile on OSX/ubuntu and did not encounter any issue with the plugin.


Tue, 5 Jul 2016 17:08:08 +0200
Author : Marc Helbling
Adds support for incomplete stl binary filesThe logic is
* if a file is not ascii
* if its sizeis less than the expected binary size
then we can assume that the data is incomplete but still try to load it.


Tue, 5 Jul 2016 17:01:42 +0200
Author : Marc Helbling
Fixes magics color parsing`fread` returns the number of objects read, not a byte-size.


Tue, 5 Jul 2016 16:37:46 +0200
Author : Marc Helbling
Adds specific flag for compressed animation buffers

Tue, 5 Jul 2016 16:37:12 +0200
Author : Marc Helbling
Updates osgjs plugin for animation serialization

Tue, 5 Jul 2016 16:32:00 +0200
Author : Marc Helbling
Fixes gles coverity defects

Tue, 5 Jul 2016 12:57:41 +0100
Author : Robert Osfield
Fixed typo

Tue, 5 Jul 2016 11:54:31 +0100
Author : Robert Osfield
Seperated out the scene->requiresRedraw() method into a osgViewer::Viewer::requiresRedraw() method to make the functionality clearer and easier to override.

Tue, 5 Jul 2016 11:42:03 +0100
Author : Robert Osfield
Simplified DatabasePager::requires*() methods

Tue, 5 Jul 2016 11:27:44 +0100
Author : OpenSceneGraph git repository
Merge pull request #100 from filnet/checkneedtodoframestreamline DatabasePager::requiresUpdateSceneGraph()

Tue, 5 Jul 2016 07:41:23 +0100
Author : Robert Osfield
Added missing Plane and Quat handling

Mon, 4 Jul 2016 23:19:20 +0200
Author : Philippe Renon
split requiresUpdateSceneGraph() into requires update and requires redraw (wip)

Sun, 3 Jul 2016 17:31:07 +0200
Author : Philippe Renon
streamline DatabasePager::requiresUpdateSceneGraph()would trigger unnecessary redraws when there were pending file requests or active database threads

tested ok with and without IncrementalCompileOperation


Mon, 4 Jul 2016 20:26:28 +0100
Author : Robert Osfield
Added version guard around new parameter serializer

Mon, 4 Jul 2016 20:19:58 +0100
Author : Julien Valentin
Added serializer support for RigTransforms

Mon, 4 Jul 2016 13:37:29 +0100
Author : Robert Osfield
Added templte methods and implementations for Vec2,3,4 for b,ub,s,us,i and ui.

Mon, 4 Jul 2016 13:36:28 +0100
Author : Robert Osfield
Added Vec2,3,4 for b, ub, s, us, i, ui.

Mon, 4 Jul 2016 11:02:58 +0100
Author : Robert Osfield
Replaced seperate implementations with template implementations

Mon, 4 Jul 2016 10:53:06 +0100
Author : Robert Osfield
Replaced seperate getValue(Vec*) implementations with template based implementation

Mon, 4 Jul 2016 10:34:03 +0100
Author : Robert Osfield
Added ValueObject pushValue handling for Vec2*, Vec3*, Vec4 for b,ub,s,us,i and ui.

Mon, 4 Jul 2016 10:14:47 +0100
Author : Robert Osfield
Added Vec*b, Vec*s, Vec*i getValue(..) implementations

Mon, 4 Jul 2016 10:11:34 +0100
Author : Robert Osfield
Replaced pushVec(Vec2f etc.) implementations with template implementations.

Mon, 4 Jul 2016 10:01:17 +0100
Author : Julien Valentin
Added missing xzyw accessor to Vec4ub

Mon, 4 Jul 2016 09:06:50 +0100
Author : OpenSceneGraph git repository
Merge pull request #99 from filnet/gstreamerfix FindGStreamer.cmake for msys2 mingw

Sun, 3 Jul 2016 17:43:39 +0200
Author : Philippe Renon
fix FindGStreamer.cmake for msys2 mingw

Sat, 2 Jul 2016 14:45:10 +0100
Author : Robert Osfield
Added const

Sat, 2 Jul 2016 12:54:48 +0100
Author : Robert Osfield
Added initializers

Sat, 2 Jul 2016 12:52:20 +0100
Author : Robert Osfield
Introduced ref_ptr<> usage to avoid potential memory leaks

Sat, 2 Jul 2016 12:39:06 +0100
Author : Robert Osfield
Added handling of return type

Sat, 2 Jul 2016 12:37:22 +0100
Author : Robert Osfield
Added handling of return type

Sat, 2 Jul 2016 12:33:31 +0100
Author : Robert Osfield
Fixed types

Sat, 2 Jul 2016 12:31:08 +0100
Author : Robert Osfield
Added handling of return type

Sat, 2 Jul 2016 12:29:07 +0100
Author : Robert Osfield
Added initializer

Sat, 2 Jul 2016 12:27:48 +0100
Author : Robert Osfield
Added initializer

Sat, 2 Jul 2016 12:13:08 +0100
Author : Robert Osfield
Fixed warning and quitened ones caused by 3rd party headers.

Sat, 2 Jul 2016 11:09:12 +0100
Author : Robert Osfield
Changed to an int comparison

Sat, 2 Jul 2016 10:44:40 +0100
Author : Robert Osfield
Removed inappropriate use of Vec3us in osgAnimation as this relies upon nonexistant functionality in Vec3us and in general just doesn't make sense to attempt to use float point maths with a unsigned short.

Sat, 2 Jul 2016 10:14:06 +0100
Author : Robert Osfield
Fixed number of processors setting

Fri, 1 Jul 2016 18:07:16 +0100
Author : OpenSceneGraph git repository
Merge pull request #95 from marchelbling/tristripvisitor_index_optionAdds an indexMesh option to disable mesh reindexation

Fri, 1 Jul 2016 18:03:29 +0100
Author : OpenSceneGraph git repository
Merge pull request #94 from marchelbling/gles_plugin_updateUpdates gles plugin.

This PR updates the GLES plugin with latest Sketchfab changes:

    improves geometry splitting
    processes/cleans animation (for subsequent osgjs serialization)
    adds (yet another) normal smoother




Fri, 1 Jul 2016 17:57:44 +0100
Author : OpenSceneGraph git repository
Merge pull request #93 from marchelbling/osganimationUpdates to osgAnimation is mainly for the gles plugint to work correctly.

    adds Quaternion array
    reintroduces KeyframeContainer::linearInterpolationDeduplicate
    fixes MorphGeometry OSG serialization (target names)

Fri, 1 Jul 2016 18:12:32 +0200
Author : Marc Helbling
Adds an indexMesh option to disable mesh reindexationThis mainly breaks gles/osgjs when stripifying a MorphGeometry. It also
usually doesn't make sense to reindex an already indexed mesh.


Fri, 1 Jul 2016 17:28:01 +0200
Author : Marc Helbling
Updates gles plugin

Fri, 1 Jul 2016 17:04:09 +0200
Author : Marc Helbling
Updates osgAnimationThis updates is mainly for the gles plugint to work correctly.

* adds Quaternion array
* reintroduces `KeyframeContainer::linearInterpolationDeduplicate`
* fixes MorphGeometry OSG serialization (target names)


Fri, 1 Jul 2016 11:08:29 +0100
Author : Robert Osfield
Addd loop guard to prevent negative bit shift

Fri, 1 Jul 2016 10:57:31 +0100
Author : Robert Osfield
Fixed types

Fri, 1 Jul 2016 10:38:58 +0100
Author : Robert Osfield
Fixed types

Fri, 1 Jul 2016 10:35:18 +0100
Author : Robert Osfield
Fixed type

Fri, 1 Jul 2016 10:21:55 +0100
Author : Robert Osfield
Added intializers

Fri, 1 Jul 2016 10:13:14 +0100
Author : Robert Osfield
Added initializers

Fri, 1 Jul 2016 09:59:21 +0100
Author : Robert Osfield
Moved initializers

Fri, 1 Jul 2016 09:56:01 +0100
Author : Robert Osfield
Added initializers

Fri, 1 Jul 2016 09:54:58 +0100
Author : Robert Osfield
Added initializers

Fri, 1 Jul 2016 09:52:35 +0100
Author : Robert Osfield
Moved unused member variables to #if 0 blocks. Added initiliazer

Fri, 1 Jul 2016 09:15:36 +0100
Author : Robert Osfield
Fixed indentation

Fri, 1 Jul 2016 09:14:59 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 09:13:21 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 09:09:35 +0100
Author : Robert Osfield
Added intializer

Fri, 1 Jul 2016 08:52:43 +0100
Author : Robert Osfield
Added initializers

Fri, 1 Jul 2016 08:49:55 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 08:48:49 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 08:43:32 +0100
Author : Robert Osfield
Added initiaizer

Fri, 1 Jul 2016 08:41:54 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 08:40:25 +0100
Author : Robert Osfield
Added initialziers

Fri, 1 Jul 2016 08:37:48 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 08:36:54 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 08:35:08 +0100
Author : Robert Osfield
Replaced the old c style declaration of enum's as it was confusing Coverity

Fri, 1 Jul 2016 08:19:51 +0100
Author : Robert Osfield
Added initializers

Fri, 1 Jul 2016 08:16:39 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 08:15:01 +0100
Author : Robert Osfield
Added initializers

Fri, 1 Jul 2016 08:08:39 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 08:06:42 +0100
Author : Robert Osfield
Removed unused member variable and adding initializer

Fri, 1 Jul 2016 08:03:03 +0100
Author : Robert Osfield
Added initializers

Fri, 1 Jul 2016 08:00:49 +0100
Author : Robert Osfield
Addded initializer

Fri, 1 Jul 2016 07:58:04 +0100
Author : Robert Osfield
Added initializer

Fri, 1 Jul 2016 06:40:52 +0100
Author : OpenSceneGraph git repository
Merge pull request #91 from bjornblissing/feature/DestructionOperationCleanUpOperation added to Viewer

Thu, 30 Jun 2016 22:09:22 +0200
Author : Björn Blissing
CleanUpOperation added to ViewerSometimes there is need to do cleanup with valid graphic contexts
before closing these contexts. The added operation runs a graphics
operation on each context before closing them.


Thu, 30 Jun 2016 14:17:51 +0100
Author : Robert Osfield
Added initializer

Thu, 30 Jun 2016 14:16:14 +0100
Author : Robert Osfield
Added initializers

Thu, 30 Jun 2016 14:12:01 +0100
Author : Robert Osfield
Added initializer

Thu, 30 Jun 2016 14:04:52 +0100
Author : Robert Osfield
Added initializers

Thu, 30 Jun 2016 13:58:54 +0100
Author : Robert Osfield
Added initializer

Thu, 30 Jun 2016 11:31:02 +0100
Author : Robert Osfield
Added handling of error condition

Thu, 30 Jun 2016 11:28:59 +0100
Author : Robert Osfield
Added handling of error condition

Thu, 30 Jun 2016 11:26:21 +0100
Author : Robert Osfield
Added handling of error return value

Thu, 30 Jun 2016 11:24:50 +0100
Author : Robert Osfield
Added handling of error value

Thu, 30 Jun 2016 11:19:53 +0100
Author : Robert Osfield
Fixed handling of return values

Thu, 30 Jun 2016 11:19:24 +0100
Author : Robert Osfield
Fixed line endings

Thu, 30 Jun 2016 11:12:45 +0100
Author : Robert Osfield
Added handling of return value

Thu, 30 Jun 2016 11:11:00 +0100
Author : Robert Osfield
Added handling of return value

Thu, 30 Jun 2016 11:03:40 +0100
Author : Robert Osfield
Added handling of return value

Thu, 30 Jun 2016 11:00:38 +0100
Author : Robert Osfield
Added handling of return value

Thu, 30 Jun 2016 10:58:17 +0100
Author : Robert Osfield
Added handling of false return

Thu, 30 Jun 2016 10:55:34 +0100
Author : Robert Osfield
Added handling of false return

Thu, 30 Jun 2016 10:50:11 +0100
Author : Robert Osfield
Fixed typo

Thu, 30 Jun 2016 10:17:23 +0100
Author : Robert Osfield
Added handling of null dynamic_cast

Thu, 30 Jun 2016 10:08:29 +0100
Author : Robert Osfield
Added handling of null dynamic_cast

Thu, 30 Jun 2016 10:03:51 +0100
Author : Robert Osfield
Clean up clone

Thu, 30 Jun 2016 10:01:18 +0100
Author : Robert Osfield
Added handling of null pointer

Thu, 30 Jun 2016 09:59:27 +0100
Author : Robert Osfield
Added handling of null dynamic_cast

Thu, 30 Jun 2016 09:54:13 +0100
Author : Robert Osfield
Added handling of null dynamic_cast.

Thu, 30 Jun 2016 09:52:10 +0100
Author : Robert Osfield
Added handlng of null dynamic_cast

Thu, 30 Jun 2016 09:48:44 +0100
Author : Robert Osfield
Added null pointer handling

Thu, 30 Jun 2016 09:46:27 +0100
Author : Robert Osfield
Added better null pointer handling

Thu, 30 Jun 2016 09:38:41 +0100
Author : Robert Osfield
Improved error handling

Thu, 30 Jun 2016 09:29:32 +0100
Author : Robert Osfield
Added handling of error return type

Thu, 30 Jun 2016 09:09:54 +0100
Author : Robert Osfield
Removed no longer used code

Thu, 30 Jun 2016 08:27:49 +0100
Author : Robert Osfield
Improved check against number of bytes read

Thu, 30 Jun 2016 08:23:51 +0100
Author : Robert Osfield
Added handling of NULL pointer case

Thu, 30 Jun 2016 08:20:31 +0100
Author : Robert Osfield
Added handling of possible zero divisor

Thu, 30 Jun 2016 08:16:29 +0100
Author : Robert Osfield
Added handling of possible zero divisor

Thu, 30 Jun 2016 08:14:48 +0100
Author : Robert Osfield
Added handling of potential zero divisor

Thu, 30 Jun 2016 08:13:01 +0100
Author : Robert Osfield
Added handling of NULL

Thu, 30 Jun 2016 08:02:29 +0100
Author : Robert Osfield
Addd handling of NULL

Thu, 30 Jun 2016 07:59:51 +0100
Author : Robert Osfield
Added handling of NULL

Thu, 30 Jun 2016 07:59:37 +0100
Author : Robert Osfield
Added handling of NULL

Thu, 30 Jun 2016 07:50:40 +0100
Author : Robert Osfield
Added handling of out of memory

Thu, 30 Jun 2016 07:50:14 +0100
Author : Robert Osfield
Added better handling of nulls

Wed, 29 Jun 2016 19:59:56 +0100
Author : Robert Osfield
Added initializer

Wed, 29 Jun 2016 18:01:29 +0100
Author : Robert Osfield
Fixed handling of null pointer

Wed, 29 Jun 2016 17:58:03 +0100
Author : Robert Osfield
Cleaned up null pointer handling

Wed, 29 Jun 2016 17:56:11 +0100
Author : Robert Osfield
Moved assignment to within safe block

Wed, 29 Jun 2016 17:51:32 +0100
Author : Robert Osfield
Added hanlding of null value

Wed, 29 Jun 2016 17:47:32 +0100
Author : Robert Osfield
Added null pointer handling

Wed, 29 Jun 2016 17:43:37 +0100
Author : Robert Osfield
Added null pointer handling

Wed, 29 Jun 2016 17:35:20 +0100
Author : Robert Osfield
Added handling of null pointer

Wed, 29 Jun 2016 17:33:45 +0100
Author : Robert Osfield
Added null pointer check

Wed, 29 Jun 2016 17:31:16 +0100
Author : Robert Osfield
Added better handling of null istream

Wed, 29 Jun 2016 17:29:28 +0100
Author : Robert Osfield
Added null pointer handling

Wed, 29 Jun 2016 17:06:48 +0100
Author : Robert Osfield
Added handling of the possibility of null Options pointers

Wed, 29 Jun 2016 16:07:39 +0100
Author : Robert Osfield
Removed check against changed flag as check is aleady done outside the method so no need for a duplicate check

Wed, 29 Jun 2016 16:53:26 +0200
Author : Julien Valentin
fix in StateSet.cpp the State::DefineMap::changed flag is not resetted to false after currentDefines are updated

Wed, 29 Jun 2016 15:34:11 +0100
Author : Robert Osfield
Moved the scene related requiresUpdateSceneGraph() implementation details from View into Scene. Added check against the ImagePager.

Wed, 29 Jun 2016 15:15:31 +0100
Author : OpenSceneGraph git repository
Merge pull request #81 from filnet/checkneedtodoframe refactor common code from CompositeViewer::checkNeedToDoFrame() and Viewer::checkNeedToDoFrame() into View

Wed, 29 Jun 2016 15:11:02 +0100
Author : Robert Osfield
Added osg::ScissorIndexed that wraps up glScissorIndexed function

Wed, 29 Jun 2016 12:28:28 +0100
Author : Robert Osfield
Added osg::DepthRangeIndexed class to wrap up glDepthRangeIndexed functionality.

Wed, 29 Jun 2016 11:39:44 +0100
Author : Laurens Voerman
Added osgshadermultiviewport example to test and demonstrate the new osg::ViewportIndexed class

Wed, 29 Jun 2016 11:36:44 +0100
Author : Robert Osfield
Fixed cast

Wed, 29 Jun 2016 11:35:56 +0100
Author : Robert Osfield
Added build of new osg::ViewportIndexed

Wed, 29 Jun 2016 11:34:20 +0100
Author : Robert Osfield
Revert "Fixed incorrect cast" as commit contained more changes than intended.This reverts commit 2897ab13cb14aee914d32fa3e393f4c58bf80816.


Wed, 29 Jun 2016 11:26:54 +0100
Author : Robert Osfield
Added osg::ViewportIndexed that adds support for glViewportIndexed

Wed, 29 Jun 2016 11:25:08 +0100
Author : Robert Osfield
Fixed incorrect cast

Wed, 29 Jun 2016 09:53:04 +0100
Author : Laurens Voerman
Added glViewerArray, glSissorArray, glDepthRangeArray etc. GL extension support

Tue, 28 Jun 2016 19:49:48 +0100
Author : Robert Osfield
Fixed warnings

Tue, 28 Jun 2016 19:46:14 +0100
Author : Robert Osfield
Disabled -Wextra compile option for GCC + CLang as FBX headers generate lots of warnings we can't fix

Tue, 28 Jun 2016 18:39:12 +0100
Author : Robert Osfield
Revert "corrected syntax error in src/osgPlugins/fbx/ReaderWriterFBX.cpp"This reverts commit 7a1324800ffe3e4ddd9d7fb475f0323da6fe2f43.


Tue, 28 Jun 2016 16:49:08 +0100
Author : Robert Osfield
Added initializer

Tue, 28 Jun 2016 16:47:11 +0100
Author : Robert Osfield
Added initializers

Tue, 28 Jun 2016 16:44:24 +0100
Author : Robert Osfield
Added initializer

Tue, 28 Jun 2016 16:42:33 +0100
Author : Robert Osfield
Added initializer

Tue, 28 Jun 2016 16:40:57 +0100
Author : Robert Osfield
Added initializer

Tue, 28 Jun 2016 16:37:58 +0100
Author : Robert Osfield
Replaced unsafe strcpy

Tue, 28 Jun 2016 16:34:30 +0100
Author : Robert Osfield
Replaced usage c string usage

Tue, 28 Jun 2016 16:33:13 +0100
Author : Robert Osfield
Replaced unsafe string usage

Tue, 28 Jun 2016 16:30:06 +0100
Author : Robert Osfield
Replaced unsafe c string usage with std::stringstream

Tue, 28 Jun 2016 16:25:21 +0100
Author : Robert Osfield
Removed debug message

Tue, 28 Jun 2016 16:11:14 +0100
Author : Robert Osfield
Replaced unsafe c string usage with std::string

Tue, 28 Jun 2016 16:03:01 +0100
Author : Robert Osfield
Replaced unsafe c string usage with std::string

